* commit 1b1130d2ca8f48e97737caa405ede519abe70253
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Mar 17 12:53:53 2013 +0100
| 
|     Preparing for new Release shogun_2.1.0
| 
| M	doc/Doxyfile
|  
* commit 6ce44315fdc21bfee6876d006201530c3c28d885
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Mar 17 12:15:18 2013 +0100
| 
|     updated changelog
| 
| M	src/ChangeLog
|  
* commit 970299480069e165da69e6dae5a32e0aad7ae116
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 17 15:14:10 2013 +0400
| 
|     Fixed date of release
| 
| M	src/NEWS
|  
* commit 89d073bcdcbb14cbec897f632d6585969ed3a467
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 17 15:13:09 2013 +0400
| 
|     SGString is not based on SGReferencedData
| 
| M	src/NEWS
|  
* commit a0e0d95f03d03528e89e5b56bc7767846c9a064e
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 17 15:05:16 2013 +0400
| 
|     Updated NEWS
| 
| M	src/NEWS
|  
* commit cc2410f56db398e71e34ffd651645682fc9905b9
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Mar 17 09:46:50 2013 +0100
| 
|     support various label types in static interface
| 
| M	src/shogun/ui/SGInterface.cpp
|  
* commit b97829a764ec077b07169939382bc9ae30e301d4
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Mar 16 22:11:44 2013 +0100
| 
|     updated reference documentation
| 
| M	doc/pages/StaticCommandLineInterface.mainpage
| M	doc/pages/StaticOctaveInterface.mainpage
| M	doc/pages/StaticPythonInterface.mainpage
| M	doc/pages/StaticRInterface.mainpage
|  
* commit 731cbde006d6cf9ee7f8d6c188b211de26a3d986
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Mar 16 21:39:41 2013 +0100
| 
|     updated changelog
| 
| M	src/ChangeLog
|  
* commit ce73ba244b96ffdf01f132184f53c831df8197ff
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 17 05:16:10 2013 +0400
| 
|     Last update of tapkee before release
|     
|     - Much more doc
|     - Various code improvements (better naming, less warnings)
| 
| M	src/shogun/lib/tapkee/callback/callback_traits.hpp
| M	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| M	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/routines/spe.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/utils/any.hpp
| M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| M	src/shogun/lib/tapkee/utils/logging.hpp
| M	src/shogun/lib/tapkee/utils/matrix.hpp
| M	src/shogun/lib/tapkee/utils/parameters.hpp
|  
* commit 0e282c746ca3711b46d31496e6351c33663cbcc1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Mar 16 21:25:39 2013 +0100
| 
|     release fixes
|     
|     - disable json serialization for now
|     - rename OCTAVE_LOADPATH -> OCTAVE_PATH
| 
| M	examples/undocumented/lua_modular/serialization_complex_example.lua
| M	src/Makefile.template
|  
* commit ec6e14953a4b192a3c9d57ed1a9bb59d39220abc
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Mar 16 23:50:51 2013 +0400
| 
|     Fixed bug with libsvm 3 classes
| 
| M	examples/undocumented/libshogun/modelselection_grid_search_multiclass_svm.cpp
| M	src/shogun/multiclass/MulticlassLibSVM.cpp
|    
*   commit c77af730f686f4d6b29f14b4a647e45c17436160
|\  Merge: fc7f16e a88be17
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Mar 16 22:37:10 2013 +0400
| | 
| |     Merge branch 'master' of github.com:shogun-toolbox/shogun
| |     
| *   commit a88be17180977f29fa5fee9bbfa58bc87e0eecc3
| |\  Merge: 3d7cf1a 51e5322
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Sat Mar 16 11:19:29 2013 -0700
| | | 
| | |     Merge pull request #942 from karlnapf/master
| | |     
| | |     new example for model selection multiclass svm
| | |    
| | * commit 51e53229e94afb57b898ac86931ab5f6238fc9bb
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Sat Mar 16 18:18:13 2013 +0000
| |   
| |       added a modelselection example for multiclass lib svm
| |   
| |   M	examples/undocumented/libshogun/Makefile
| |   A	examples/undocumented/libshogun/modelselection_grid_search_multiclass_svm.cpp
| |   
* | commit fc7f16e0ba181fbd2b0c4d27be0cfccf6b55a562
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Mar 16 21:34:59 2013 +0400
| | 
| |     updated changelog
| | 
| | M	src/ChangeLog
| |   
* | commit a77b5baaa22e07fb8e0b597b4452adce1abefcd7
|/  Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
|   Date:   Sat Mar 16 21:04:54 2013 +0400
|   
|       updated changelog
|   
|   M	src/ChangeLog
|    
*   commit 3d7cf1a359a310f1e22eff5334b9fb6a3b684ea8
|\  Merge: 4c7fc6c c758bf6
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Mar 16 03:55:18 2013 -0700
| | 
| |     Merge pull request #941 from vigsterkr/master
| |     
| |     use -a for tee as that's more widespread among OSes
| |   
| * commit c758bf6f045a7e169c5696fef4e6c616c0c7d6e3
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Sat Mar 16 10:23:35 2013 +0100
|   
|       use -a for tee as that's more widespread among OSes
|   
|   M	Makefile
|  
* commit 4c7fc6c1d7e7ff42dc22daabbcd62805a5a24043
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 15 15:00:45 2013 +0100
| 
|     don't call inplace new in octave_static for sparse vectors
| 
| M	src/interfaces/octave_static/OctaveInterface.cpp
|  
* commit 7f78f8dd8701a00aedacec6e6855661466776e22
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 15 12:10:24 2013 +0100
| 
|     updated changelog
| 
| M	src/ChangeLog
|  
* commit d546cb6f33dfb3c7d228980851f3c37ad29c7f30
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 15 12:07:48 2013 +0100
| 
|     release makefile fixes
|     
|     -run configure before make ChangeLog to ensure .config is present
|     -don't make distclean to ensure that lib/versionstring.h is still present
| 
| M	Makefile
|  
* commit 20c20dad615678d06845f7e04ea3f010c93f2c64
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 15 01:05:51 2013 +0100
| 
|     require new tutorial
| 
| M	doc/tutorial
|  
* commit 61981ada2185f65c8a8d6e2ca8c19e9078240b10
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 15 01:03:17 2013 +0100
| 
|     update NEWS and add eclipse project files
| 
| M	src/NEWS
| A	src/shogun/.cproject
| A	src/shogun/.settings/language.settings.xml
|  
* commit a03730bd045359e64be67436927da228501877e6
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 15 00:22:32 2013 +0400
| 
|     Resolved a conflict with BMRM stuff
| 
| M	examples/undocumented/python_modular/graphical/so_multiclass_BMRM.py
| M	examples/undocumented/python_modular/graphical/so_multiclass_director_BMRM.py
| M	src/shogun/structure/bmrm_return_value.h
|  
* commit e8ecefe4f27a4716800414e64f374070e45bb30c
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Mar 14 23:29:42 2013 +0400
| 
|     Updated data
| 
| M	data
|  
* commit b9c4d1a227a8f511839e08b58ec12fdf471093f5
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Mar 14 23:14:40 2013 +0400
| 
|     updated data
| 
| M	data
|  
* commit 436952b23991277a31418a1668195c3310e5b674
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Mar 14 22:51:41 2013 +0400
| 
|     Fixed bmrm_return_value issues
| 
| M	examples/undocumented/python_modular/graphical/so_multiclass_BMRM.py
| M	examples/undocumented/python_modular/graphical/so_multiclass_director_BMRM.py
| M	src/interfaces/modular/Structure.i
| M	src/interfaces/modular/Structure_includes.i
| A	src/shogun/structure/bmrm_return_value.h
| M	src/shogun/structure/libbmrm.h
|    
*   commit 5a9e1c817f88e9f7266888f84d5634436741bf30
|\  Merge: 64d20d4 36120de
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 11:31:01 2013 -0700
| | 
| |     Merge pull request #939 from karlnapf/master
| |     
| |     more integration test fixes
| |   
| * commit 36120ded54602981eb32a53174d09589d3c15ae3
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Mar 14 18:30:01 2013 +0000
|   
|       more working integration tests
|   
|   M	examples/undocumented/python_modular/evaluation_clustering.py
|   M	examples/undocumented/python_modular/evaluation_cross_validation_multiclass_storage.py
|   M	examples/undocumented/python_modular/evaluation_multiclassovrevaluation_modular.py
|    
*   commit 64d20d4bb79a26c832872d5d32760707de89915a
|\  Merge: 91d957d a697aab
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 11:14:16 2013 -0700
| | 
| |     Merge pull request #938 from karlnapf/master
| |     
| |     more integration test fixes
| |   
| * commit a697aabc67519c05cc478c0202bbd52e618b5a64
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Thu Mar 14 21:53:57 2013 +0400
| | 
| |     Hopefully last update of tapkee before release
| | 
| | M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| |     
| *   commit f5d494345bbbbec4aa85107b912a3abf70f75e1f
| |\  Merge: 5b7f8d7 2436f2e
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 18:09:24 2013 +0000
| | | 
| | |     Merge branch 'bugsprint'
| | |    
| | * commit 2436f2e684be12153d3602bd388f1a2824aeddf8
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 18:08:50 2013 +0000
| | | 
| | |     updated example to work with data that makes sense
| | | 
| | | M	examples/undocumented/python_modular/regression_kernel_ridge_modular.py
| | |    
| | * commit 4aad85416f02a54391ae57a3d7fa62a6847ce0ae
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 17:56:39 2013 +0000
| | | 
| | |     made two more integration tests work
| | | 
| | | M	examples/undocumented/python_modular/evaluation_clustering_simple.py
| | | M	examples/undocumented/python_modular/evaluation_cross_validation_multiclass_storage.py
| | |    
| | * commit 20fca14ad5f4bfd1f618cb9dd58287828255c219
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 17:38:03 2013 +0000
| | | 
| | |     really fixed it now
| | | 
| | | M	tests/unit/regression/GaussianProcessRegression_unittest.cc
| | |    
| | * commit 35cbc5149b6e997ba5c38c1250c652c0ab4b851b
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 17:32:22 2013 +0000
| | | 
| | |     fixed memory errors and added asserts again
| | | 
| | | M	tests/unit/regression/GaussianProcessRegression_unittest.cc
| | |    
* | | commit 91d957d412f4f323bbb84f14243540d0494849b1
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Thu Mar 14 21:53:57 2013 +0400
| | | 
| | |     Hopefully last update of tapkee before release
| | | 
| | | M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| | |      
* | |   commit a33c97c4334dc7ca0085fb1e67a722d216d5b3c0
|\ \ \  Merge: 7f80fe7 5b7f8d7
| |/ /  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | /   Date:   Thu Mar 14 10:40:11 2013 -0700
| |/    
|/|         Merge pull request #937 from karlnapf/master
| |         
| |         fixed and enabled GPR unit test
| |   
| * commit 5b7f8d7e7ae0ab703762714d23aefe0e43354d12
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Mar 14 17:39:22 2013 +0000
|   
|       Squashed commit of the following:
|       
|       commit 20fca14ad5f4bfd1f618cb9dd58287828255c219
|       Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|       Date:   Thu Mar 14 17:38:03 2013 +0000
|       
|           really fixed it now
|       
|       commit 35cbc5149b6e997ba5c38c1250c652c0ab4b851b
|       Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|       Date:   Thu Mar 14 17:32:22 2013 +0000
|       
|           fixed memory errors and added asserts again
|   
|   M	tests/unit/regression/GaussianProcessRegression_unittest.cc
|    
*   commit 7f80fe76d5c9b0f97d90fa3c3c6708abcada5f66
|\  Merge: 5cd042d d06ebf4
| | Author: Viktor Gal <vigsterkr@gmail.com>
| | Date:   Thu Mar 14 10:35:50 2013 -0700
| | 
| |     Merge pull request #936 from vigsterkr/master
| |     
| |     Add check for HAVE_EIGEN3 in ExactInferenceMethod_unittest
| |   
| * commit d06ebf49996c36147047060c754d62a0d1688df5
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Thu Mar 14 18:34:27 2013 +0100
|   
|       Add check for HAVE_EIGEN3 in ExactInferenceMethod_unittest
|   
|   M	tests/unit/regression/gp/ExactInferenceMethod_unittest.cc
|  
* commit 5cd042d83495f5e1789d2ff387809326b3783320
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Mar 14 18:32:26 2013 +0100
| 
|     fix ocr & svr demo
| 
| M	applications/ocr/data/ocr.svm.gz
| M	examples/undocumented/python_modular/graphical/interactive_svr_demo.py
|    
*   commit 1459ba0a45afd4700a43709d91986b94f62ec489
|\  Merge: 333fce5 4110afc
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 10:21:15 2013 -0700
| | 
| |     Merge pull request #934 from karlnapf/master
| |     
| |     added a collection of tests/examüples for things that currently do not work
| |   
| * commit 4110afcb7cda05f29564691076ae20cdd4c172f3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 17:14:46 2013 +0000
| | 
| |     added an example for adding new parameters to classes. However this one does not work, must be activated once it works
| | 
| | M	examples/undocumented/libshogun/Makefile
| | A	examples/undocumented/libshogun/base_migration_new_buggy.cpp
| |   
| * commit b2313d0d1b38b94686621e5a749b9a1f3c956740
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 17:12:19 2013 +0000
| | 
| |     added a provisory test for multiclass label serialization which has to be activated once this works
| | 
| | A	tests/unit/base/Serialization_unittest.cc
| |   
| * commit 0aa25e8b24d303519c7692a95ed3d6e68ca4f7c3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 17:11:31 2013 +0000
| | 
| |     removed wrongly named file
| | 
| | D	examples/undocumented/libshogun/labels_multiclass_serialization.cpp
| |   
| * commit b51ee305b33fd53544f4ed02e3e38b906f1d21b8
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 17:11:23 2013 +0000
| | 
| |     added a test for multiclass serialization
| | 
| | A	examples/undocumented/libshogun/serialization_multiclass_labels.cpp
| |   
| * commit 4da2a23b474958427855af7a978f332d3649cc78
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 17:04:39 2013 +0000
| | 
| |     added an example for multiclass serialization that doesnt work (but runs fine) Once muticlass label serialization work this should be turned into a test
| | 
| | M	examples/undocumented/libshogun/Makefile
| | A	examples/undocumented/libshogun/labels_multiclass_serialization.cpp
| |     
* |   commit 333fce5b7e7472d396f4146a7f1c2a2d7d8fd720
|\ \  Merge: 9e0747f 286c078
| |/  Author: Viktor Gal <vigsterkr@gmail.com>
|/|   Date:   Thu Mar 14 10:20:46 2013 -0700
| |   
| |       Merge pull request #933 from vigsterkr/master
| |       
| |       Add HAVE_EIGEN3 check to GaussianProcessRegression_unittest.cc
| |   
| * commit 286c078b8147b22e3155b0092c06bc2b36049375
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Thu Mar 14 18:13:27 2013 +0100
| | 
| |     Add HAVE_EIGEN3 check to GaussianProcessRegression_unittest.cc
| | 
| | M	tests/unit/regression/GaussianProcessRegression_unittest.cc
| |     
* |   commit 9e0747f4e5fe2d121ae81b1de7422a7cd7413404
|\ \  Merge: b85414b e651665
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 09:15:24 2013 -0700
| | | 
| | |     Merge pull request #932 from karlnapf/master
| | |     
| | |     removed parameter registration for multiclass labels again
| | |    
| * | commit e65166525b07863f522c1bd91cb3e5133304a165
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 16:14:40 2013 +0000
| | | 
| | |     forgot this
| | | 
| | | M	src/shogun/labels/MulticlassLabels.cpp
| | |    
| * | commit d7338cb06341b8eef04a1c49e060793cee780c82
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 16:13:10 2013 +0000
| | | 
| | |     removed parameter registration
| | | 
| | | M	src/shogun/labels/MulticlassLabels.cpp
| | |    
| * | commit 9645d2a8b24252e6920a58ee9c497c8d8328d8bb
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 13:03:11 2013 +0000
| | | 
| | |     removed clustering MI since it does not work with integration tests
| | | 
| | | M	examples/undocumented/python_modular/evaluation_clustering.py
| | |    
| * | commit fde6304b8ab53733c44f8e13b0c1ede5e86a1747
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 11:43:59 2013 +0000
| | | 
| | |     added comments on parameter maps
| | | 
| | | M	src/shogun/machine/KernelMachine.cpp
| | |    
| * | commit 25b961322c6acb64a41a47014c722bc6726b9275
| | | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | | Date:   Thu Mar 14 11:43:50 2013 +0000
| | | 
| | |     added parameter mapping for new serialisable parameter which currently maps from 0 to 1
| | | 
| | | M	src/shogun/labels/MulticlassLabels.cpp
| | |      
* | |   commit b85414ba0a113b1ac5ced44d4534a8586a230891
|\ \ \  Merge: 83c5966 807d8ca
| | |/  Author: Viktor Gal <vigsterkr@gmail.com>
| |/|   Date:   Thu Mar 14 09:12:51 2013 -0700
| | |   
| | |       Merge pull request #931 from vigsterkr/master
| | |       
| | |       Fix for issue #929 and #930
| | |    
| * | commit 807d8ca02d81f46f3e87a1216c110e1708b4095c
| | | Author: Viktor Gal <viktor.gal@maeth.com>
| | | Date:   Thu Mar 14 17:10:11 2013 +0100
| | | 
| | |     Fix for issue #929 and #930
| | |     Release SGVector gaussian sample in CDataGenerator::generate_gaussians
| | | 
| | | M	src/shogun/features/DataGenerator.cpp
| | |      
* | |   commit 83c5966c3096ccb328c028efed78c9dbe3e957d3
|\ \ \  Merge: 041ac8b 55d0cf0
| |/ /  Author: Viktor Gal <vigsterkr@gmail.com>
| | |   Date:   Thu Mar 14 08:14:59 2013 -0700
| | |   
| | |       Merge pull request #924 from vigsterkr/master
| | |       
| | |       Fix for valgrind-per-module make command
| | |    
| * | commit 55d0cf089274c8337eda912f8bf922ef46f6db49
| | | Author: Viktor Gal <viktor.gal@maeth.com>
| | | Date:   Thu Mar 14 16:09:00 2013 +0100
| | | 
| | |     Add LD_LIBRARY_PATH for xargs in valgrind-per-module
| | | 
| | | M	tests/unit/Makefile
| | |    
| * | commit 449105724c4ef8d2c33e97786b27e4415769d0e5
| | | Author: Viktor Gal <viktor.gal@maeth.com>
| | | Date:   Thu Mar 14 15:42:44 2013 +0100
| | | 
| | |     Fix for previous commit.
| | |     Left out the dependency for valgrind-per-module command
| | | 
| | | M	tests/unit/Makefile
| | |    
* | | commit 041ac8bfd4afc87ea3609c9a9e842c3f944f5cd3
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Thu Mar 14 18:40:10 2013 +0400
| | | 
| | |     Update MulticlassLabels_unittest.cc
| | | 
| | | M	tests/unit/labels/MulticlassLabels_unittest.cc
| | |      
* | |   commit ec0b1583f764005542ec1e9efedacab8f3f42739
|\ \ \  Merge: e7fd05f b03de59
| |/ /  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | |   Date:   Thu Mar 14 07:20:20 2013 -0700
| | |   
| | |       Merge pull request #923 from vigsterkr/master
| | |       
| | |       Add new make option for valgrind
| | |    
| * | commit b03de59218b5261f86516e8689bdcb7c7d395bbf
|/ /  Author: Viktor Gal <viktor.gal@maeth.com>
| |   Date:   Thu Mar 14 15:17:29 2013 +0100
| |   
| |       Add new make option for valgrind
| |       'make valgrind-per-module' command runs valgrind on each
| |       unit testing module separately.
| |       (for Heiko with love ;)
| |   
| |   M	tests/unit/Makefile
| |     
* |   commit e7fd05f9333343b56d73a9dc0e7691cee0af0c11
|\ \  Merge: 66c5b51 68e1b97
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Thu Mar 14 04:26:34 2013 -0700
| |   
| |       Merge pull request #921 from karlnapf/master
| |       
| |       serialisation support for multiclass labels
| |   
| * commit 68e1b979b9f6e834cb7976f8c3165438e2c71c7c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 11:23:33 2013 +0000
| | 
| |     made example integration test work by storing everything including the now serialisable multiclass labels
| | 
| | M	examples/undocumented/python_modular/evaluation_clustering.py
| |   
| * commit ea53122fa195a6da3b916879ae26ec4bd3e85cbf
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 11:22:52 2013 +0000
| | 
| |     added serialisation support for multiclass labels now that the confidences are stored in a matrix
| | 
| | M	src/shogun/labels/MulticlassLabels.cpp
| | M	src/shogun/labels/MulticlassLabels.h
| |     
* |   commit 66c5b5180bccdffeeb70f194c9e324e04b5505e7
|\ \  Merge: c80ac5e a76e700
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Thu Mar 14 04:07:37 2013 -0700
| |   
| |       Merge pull request #920 from karlnapf/master
| |       
| |       Some more test fixes
| |   
| * commit a76e7005f090e00a8a10c4663e411ae75a94a2b9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 10:51:35 2013 +0000
| | 
| |     removed output
| | 
| | M	tests/unit/multiclass/LaRank_unittest.cc
| |   
| * commit 1f4b794ffb3c80fb07c9da20af2383318f1fdb86
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 10:51:27 2013 +0000
| | 
| |     test failed before, using more sensible data now
| | 
| | M	tests/unit/multiclass/MulticlassLibLinear_unittest.cc
| |   
| * commit 2ac9e64cb64de4a88092d63ef7128b7510df543f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 10:35:23 2013 +0000
| | 
| |     made tests quiet
| | 
| | M	tests/unit/features/DataGenerators_unittest.cc
| | M	tests/unit/features/SparseFeatures_unittest.cc
| | M	tests/unit/features/StringFeatures_unittest.cc
| | M	tests/unit/statistics/LinearTimeMMD_unittest.cc
| |   
| * commit 032abc1ebfd15c2e52d2ec53b39cc81b1a88dcdf
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Mar 14 10:35:11 2013 +0000
| | 
| |     removed debug output
| | 
| | M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
| |   
| * commit 348efb2bba90ef217d8b4b6a5ee036f8e198511a
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Thu Mar 14 01:20:38 2013 +0400
| | 
| |     Fixed MC machine confidences allocation
| | 
| | M	src/shogun/machine/MulticlassMachine.cpp
| |   
| * commit 5fc7151692c81da1e27dcd137f7f2f4406986df4
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Thu Mar 14 01:02:42 2013 +0400
| | 
| |     Some improvement for multiclass confidences
| |     
| |     - Changed the way confidences are stored (array of sgvectors -> sgmatrix)
| |     
| |     - Added a unit test for confidences
| | 
| | M	src/shogun/labels/MulticlassLabels.cpp
| | M	src/shogun/labels/MulticlassLabels.h
| | M	src/shogun/machine/MulticlassMachine.cpp
| | A	tests/unit/labels/MulticlassLabels_unittest.cc
| |   
| * commit 934d00f78e8c4048c38803eb7afde9b2258fa043
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Mar 13 23:59:33 2013 +0400
| | 
| |     Fixed compilation
| | 
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| |   
| * commit 56cea1c5885752511157d327b15c871d0cd7aa58
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Mar 13 23:13:16 2013 +0400
| | 
| |     A big update for Tapkee
| |     
| |     - Fixed a few VS 2012 compilations
| |     - Parallel MDS
| |     - Parallel
| |     - Callbacks folder rearrangement
| |     - Other improvements
| | 
| | A	src/shogun/lib/tapkee/callback/callback_traits.hpp
| | A	src/shogun/lib/tapkee/callback/eigen_callbacks.hpp
| | A	src/shogun/lib/tapkee/callback/neighbor_callback.hpp
| | A	src/shogun/lib/tapkee/callback/pimpl_callbacks.hpp
| | A	src/shogun/lib/tapkee/callback/precomputed_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/eigen_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/neighbor_callback.hpp
| | D	src/shogun/lib/tapkee/callbacks/pimpl_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/precomputed_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/traits.hpp
| | M	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| | M	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| | M	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| | M	src/shogun/lib/tapkee/routines/fa.hpp
| | M	src/shogun/lib/tapkee/routines/isomap.hpp
| | M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| | M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| | M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| | M	src/shogun/lib/tapkee/routines/random_projection.hpp
| | M	src/shogun/lib/tapkee/routines/spe.hpp
| | M	src/shogun/lib/tapkee/tapkee.hpp
| | M	src/shogun/lib/tapkee/tapkee_defines.hpp
| | M	src/shogun/lib/tapkee/tapkee_methods.hpp
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| | M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| |   
| * commit de3862a442ed1e5b52398c61f70b722ccc4e2b3f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 18:51:06 2013 +0000
| | 
| |     some minor changes in order to make integration test work
| | 
| | M	examples/undocumented/python_modular/evaluation_clustering_simple.py
| |   
| * commit 04e7e669b85ac4e080d1ce0159f9f648bad234c5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 18:38:21 2013 +0000
| | 
| |     added new example for clustering evamluation which tests the method on simple toy data in order to decide whether it is good
| | 
| | A	examples/undocumented/python_modular/evaluation_clustering_simple.py
| |   
* | commit c80ac5e045d35c0d37d857e7b3dcec5a926cd7e2
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Thu Mar 14 01:20:38 2013 +0400
| | 
| |     Fixed MC machine confidences allocation
| | 
| | M	src/shogun/machine/MulticlassMachine.cpp
| |   
* | commit 48366db1a2f832edcae22d05382a91fb4e5bef0d
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Thu Mar 14 01:02:42 2013 +0400
| | 
| |     Some improvement for multiclass confidences
| |     
| |     - Changed the way confidences are stored (array of sgvectors -> sgmatrix)
| |     
| |     - Added a unit test for confidences
| | 
| | M	src/shogun/labels/MulticlassLabels.cpp
| | M	src/shogun/labels/MulticlassLabels.h
| | M	src/shogun/machine/MulticlassMachine.cpp
| | A	tests/unit/labels/MulticlassLabels_unittest.cc
| |   
* | commit 6e013467d73a06c61fa89c808eaa06927af546e3
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Mar 13 23:59:33 2013 +0400
| | 
| |     Fixed compilation
| | 
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| |   
* | commit d3d518cacac72cf33d7078be3063250c35293c2d
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Mar 13 23:13:16 2013 +0400
| | 
| |     A big update for Tapkee
| |     
| |     - Fixed a few VS 2012 compilations
| |     - Parallel MDS
| |     - Parallel
| |     - Callbacks folder rearrangement
| |     - Other improvements
| | 
| | A	src/shogun/lib/tapkee/callback/callback_traits.hpp
| | A	src/shogun/lib/tapkee/callback/eigen_callbacks.hpp
| | A	src/shogun/lib/tapkee/callback/neighbor_callback.hpp
| | A	src/shogun/lib/tapkee/callback/pimpl_callbacks.hpp
| | A	src/shogun/lib/tapkee/callback/precomputed_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/eigen_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/neighbor_callback.hpp
| | D	src/shogun/lib/tapkee/callbacks/pimpl_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/precomputed_callbacks.hpp
| | D	src/shogun/lib/tapkee/callbacks/traits.hpp
| | M	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| | M	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| | M	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| | M	src/shogun/lib/tapkee/routines/fa.hpp
| | M	src/shogun/lib/tapkee/routines/isomap.hpp
| | M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| | M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| | M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| | M	src/shogun/lib/tapkee/routines/random_projection.hpp
| | M	src/shogun/lib/tapkee/routines/spe.hpp
| | M	src/shogun/lib/tapkee/tapkee.hpp
| | M	src/shogun/lib/tapkee/tapkee_defines.hpp
| | M	src/shogun/lib/tapkee/tapkee_methods.hpp
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| | M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| |     
* |   commit 099f6d22e800a438a479daba146d9d8449d94312
|\ \  Merge: 3b6afdd a478bd6
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Wed Mar 13 10:56:40 2013 -0700
| |   
| |       Merge pull request #919 from karlnapf/master
| |       
| |       Made classic GP regression work again
| |   
| * commit a478bd6c33adb84a67cdeac3c1f1c53c461b6e6b
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 17:55:59 2013 +0000
| | 
| |     notice about GPR bug
| | 
| | M	src/NEWS
| |   
| * commit 8654aeb7e07bf07d6da6533bedc0bf50fd543513
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 17:45:56 2013 +0000
| | 
| |     added seed for reproducable results
| | 
| | M	examples/undocumented/python_modular/regression_gaussian_process_modular.py
| |   
| * commit e07b5f91226aff23aba10a34d7595482b0317eec
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 17:37:55 2013 +0000
| | 
| |     separated std constructor and one with parameter
| | 
| | M	src/shogun/regression/gp/GaussianLikelihood.cpp
| | M	src/shogun/regression/gp/GaussianLikelihood.h
| |   
| * commit 5d348e770eba805749e7026efcf63eeb70eee094
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 17:35:22 2013 +0000
| | 
| |     example works for the first time!
| | 
| | M	examples/undocumented/python_modular/regression_gaussian_process_modular.py
| |   
| * commit 131542408237aad7d0a55f44e2379c062ee12ac9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 17:35:09 2013 +0000
| | 
| |     added a mpore reasonable standard value for the noise parameter and possibility to set in constructor
| | 
| | M	src/shogun/regression/gp/GaussianLikelihood.cpp
| | M	src/shogun/regression/gp/GaussianLikelihood.h
| |   
| * commit 68783f6c203314e7fe8a9d2ac0bdbb0670628cb2
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:44:55 2013 +0000
| | 
| |     added a unit test for larger test than training data
| | 
| | M	tests/unit/regression/GaussianProcessRegression_unittest.cc
| |   
| * commit 9ac157579d73dd7254986075915da9003fe760fb
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:44:45 2013 +0000
| | 
| |     cleaned up
| | 
| | M	src/shogun/regression/gp/ExactInferenceMethod.cpp
| |   
| * commit b14034c2b3c4304373c71b2325de601c40259b57
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:44:41 2013 +0000
| | 
| |     minor stuff and replaced a (buggy) lapack call by eigen3. This fixed the bug where GPR crashed when there was more test than training data
| | 
| | M	src/shogun/regression/GaussianProcessRegression.cpp
| |   
| * commit 0ea8f9cc1fae00673425f3360fd541d8284488cd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:43:54 2013 +0000
| | 
| |     cleaned up a bit
| | 
| | M	examples/undocumented/libshogun/Makefile
| |   
| * commit 464ca1e9701622b3129e8499413b126b4701fb6f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:29:18 2013 +0000
| | 
| |     corrected typo
| | 
| | M	examples/undocumented/libshogun/Makefile
| |   
| * commit 42a79292ec8311cc2c8f4a4bb94e02189a86e176
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:24:52 2013 +0000
| | 
| |     new unit tests for gp regression with exact inference
| | 
| | A	tests/unit/regression/GaussianProcessRegression_unittest.cc
| | A	tests/unit/regression/gp/ExactInferenceMethod_unittest.cc
| |   
| * commit 58366b5899ed5b890fd27ca379780023bd8a296c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:24:29 2013 +0000
| | 
| |     added a simply GP regression example
| | 
| | M	examples/undocumented/libshogun/Makefile
| | A	examples/undocumented/libshogun/regression_gaussian_process_simple_exact.cpp
| |   
| * commit 8bd57ff2b969f63f66f29f8ddc7b9c039a33c262
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:23:54 2013 +0000
| | 
| |     replaced lapack by eigen3 calls and make code much easier to read
| | 
| | M	src/shogun/regression/gp/ExactInferenceMethod.cpp
| |   
| * commit f37c2d87321ab9dc71c77a8d615343d4510c6ae6
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:23:31 2013 +0000
| | 
| |     added a note
| | 
| | M	src/shogun/regression/gp/InferenceMethod.h
| |   
| * commit 7c25b13b5d880ea87aa89f28a3c3e42850300855
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Mar 13 15:23:17 2013 +0000
| | 
| |     fixes the bug that GP regression returns nonsense
| | 
| | M	src/shogun/regression/GaussianProcessRegression.cpp
| | M	src/shogun/regression/GaussianProcessRegression.h
| |   
| * commit b847c03973f7855bb5a3f873a6ce081aebe98e8e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 11 16:27:17 2013 +0000
| | 
| |     added more test cases and make use of parameter list
| | 
| | M	examples/undocumented/python_modular/library_time.py
| |   
| * commit 1a024d413ab76903a24c0876f12b9e2bbd15be99
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Mon Mar 11 16:16:42 2013 +0000
|   
|       added additional parameter to mean shift data generator (select dimension of shift) and make sure that tests/examples still work
|   
|   M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
|   M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
|   M	tests/unit/features/DataGenerators_unittest.cc
|   M	tests/unit/kernel/CustomKernel_unittest.cc
|   M	tests/unit/statistics/QuadraticTimeMMD_unittest.cc
|  
* commit 3b6afdd8ed5266523fff13bf0b061c944cac25c4
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Wed Mar 13 10:58:41 2013 +0400
| 
|     Compilation fix for tapkee code which fails w/o ARPACK
| 
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
|  
* commit f4696ee7d06ba8ed097ed45ff74ac4c78ec12a44
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Wed Mar 13 02:10:17 2013 +0400
| 
|     A fix for director contingency evaluation class
| 
| M	src/shogun/evaluation/DirectorContingencyTableEvaluation.h
|  
* commit b6c25aa6ddcc3dd07f1d94f2970fb331bc9a8702
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Tue Mar 12 19:36:11 2013 +0400
| 
|     An attempt to get MDS example make more sense
| 
| M	examples/undocumented/python_modular/converter_multidimensionalscaling_modular.py
|    
*   commit 1e89f0c64f6ccc62ed242c2d7d25b190efcc2d27
|\  Merge: 84e4b13 11d764e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 16:02:48 2013 -0700
| | 
| |     Merge pull request #915 from karlnapf/master
| |     
| |     example updates in order to make test-suite work
| |   
| * commit 11d764e59461c41a833bb18ea156614519c267e4
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 23:01:47 2013 +0000
| | 
| |     new easy toy data data for example
| | 
| | M	examples/undocumented/python_modular/classifier_multiclassocas_modular.py
| |   
| * commit 4c9352a018c5c5adfc91c11b02110f5d5ae6b583
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 23:01:16 2013 +0000
| | 
| |     empty line to make things look nicer
| | 
| | M	examples/undocumented/python_modular/classifier_larank_modular.py
| |   
| * commit d3f1eeefc1d4ac709b8f4879654a77eb3a08f786
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 22:51:37 2013 +0000
| | 
| |     used a more sensible data set to actually see whether the method works
| | 
| | M	examples/undocumented/python_modular/classifier_larank_modular.py
| |   
| * commit 4b7ded480f37fdefe091557d6f264f25757f5c67
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 20:49:03 2013 +0000
| | 
| |     added unit-test for LaRank which asserts basic functionality of classifier
| | 
| | A	tests/unit/multiclass/LaRank_unittest.cc
| |   
| * commit 5131bb50ee2e46d9965f21d94a68c4e6557c3f2c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 20:39:54 2013 +0000
| | 
| |     made example way better (random input data means non-sense output) and prepared for unit-test
| | 
| | M	examples/undocumented/libshogun/classifier_larank.cpp
| |   
* | commit 84e4b13917bd2e0d86e2640df00db768fcf40620
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Mar 11 02:06:37 2013 +0400
| | 
| |     Added isomap unittest
| | 
| | A	tests/unit/converter/Isomap_unittest.cc
| |   
* | commit 13ba0c7f37e58c23b0fc0a70f54933d428167f81
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Mar 11 02:02:09 2013 +0400
| | 
| |     A few patches for tapkee
| | 
| | M	src/shogun/lib/tapkee/tapkee.hpp
| | M	src/shogun/lib/tapkee/tapkee_exceptions.hpp
| | M	src/shogun/lib/tapkee/utils/parameters.hpp
| |     
* |   commit 2f9db76ec1bef4e598a765ffd50cfd67c6ce32df
|\ \  Merge: 6a89ce1 56ce595
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Sun Mar 10 12:44:39 2013 -0700
| |   
| |       Merge pull request #914 from karlnapf/master
| |       
| |       example remove warning
| |   
| * commit 56ce595b10cdd742414f99b95552b6738d76d38a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 19:27:15 2013 +0000
| | 
| |     fixed copy/paste error
| | 
| | M	examples/undocumented/python_modular/classifier_averaged_perceptron_modular.py
| |   
| * commit ac2044bd27f3c7162de362d6bef2b0621c66dfa3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 19:25:42 2013 +0000
| | 
| |     changed training data to be (probably) linearly seperable to avoid warnings
| | 
| | M	examples/undocumented/python_modular/classifier_averaged_perceptron_modular.py
| |   
| * commit 83bc0426c9801ae745ac509843068a019652a843
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Mar 10 19:20:21 2013 +0000
| | 
| |     changed training data to be (probably) linearly seperable to avoid warnings
| | 
| | M	examples/undocumented/python_modular/classifier_perceptron_modular.py
| |   
| * commit 92439e34ed87bda59a58be24ee52169bb877f38f
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Sun Mar 10 18:33:57 2013 +0000
|   
|       removed unstable warning and added some proper assertion messages
|   
|   M	src/shogun/multiclass/MulticlassLogisticRegression.cpp
|  
* commit 6a89ce13a1961ccab9863c395461a3aed49bc836
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 10 23:10:24 2013 +0400
| 
|     Removed unstable from MC LR
| 
| M	src/shogun/multiclass/MulticlassLogisticRegression.cpp
|  
* commit da237a41d4932068ae37ec5121b263a03b7fcb48
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 10 23:09:44 2013 +0400
| 
|     Added tapkee license file
| 
| A	src/LICENSE.tapkee
|  
* commit cfb5bf76fe67654d01a80895b71226a50b729f0b
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 10 21:56:34 2013 +0400
| 
|     Big update for tapkee
|     
|     - Relicensed code to BSD
|     - Better includes arrangement
|     - Doc improvements
| 
| M	src/shogun/lib/tapkee/callbacks/eigen_callbacks.hpp
| A	src/shogun/lib/tapkee/callbacks/neighbor_callback.hpp
| M	src/shogun/lib/tapkee/callbacks/pimpl_callbacks.hpp
| A	src/shogun/lib/tapkee/callbacks/precomputed_callbacks.hpp
| M	src/shogun/lib/tapkee/callbacks/traits.hpp
| M	src/shogun/lib/tapkee/neighbors/connected.hpp
| M	src/shogun/lib/tapkee/neighbors/covertree.hpp
| M	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| M	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| M	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/fa.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/isomap.hpp
| M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| M	src/shogun/lib/tapkee/routines/methods_traits.hpp
| M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/routines/random_projection.hpp
| M	src/shogun/lib/tapkee/routines/spe.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_exceptions.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/tapkee_projection.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/utils/any.hpp
| M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| M	src/shogun/lib/tapkee/utils/fibonacci_heap.hpp
| M	src/shogun/lib/tapkee/utils/logging.hpp
| M	src/shogun/lib/tapkee/utils/matrix.hpp
| M	src/shogun/lib/tapkee/utils/parameters.hpp
| M	src/shogun/lib/tapkee/utils/time.hpp
|  
* commit caa80db4b8e75e0222780c0449a0afc1967bf3ba
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Mar 9 21:18:06 2013 +0100
| 
|     blacklist director based examples and require new data version
| 
| M	data
| M	examples/undocumented/python_modular/distance_director_euclidean_modular.py
| M	examples/undocumented/python_modular/evaluation_director_contingencytableevaluation_modular.py
| M	examples/undocumented/python_modular/features_dense_zero_copy_modular.py
| M	examples/undocumented/python_modular/features_director_dot_modular.py
| M	examples/undocumented/python_modular/kernel_director_linear_modular.py
| M	tests/integration/python_modular/generator.py
|    
*   commit 1f4a9514dd40081e5161d74f6cb66821643a9648
|\  Merge: dd32469 b432027
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Mar 9 07:26:55 2013 -0800
| | 
| |     Merge pull request #913 from gsomix/fixes
| |     
| |     Small pack of fixes: buffer protocol and compiling
| |   
| * commit b432027d1ed785a947b78ee9832b4d463bffe376
| | Author: Evgeniy Andreev <gsomix@gmail.com>
| | Date:   Sat Mar 9 19:24:19 2013 +0400
| | 
| |     fix: checking python's version for buffer protocol
| | 
| | M	src/interfaces/python_modular/protocols_helper.i
| |   
| * commit c291dc27317da6483b31857eff7d9d620981c508
|/  Author: Evgeniy Andreev <gsomix@gmail.com>
|   Date:   Sat Mar 9 16:27:03 2013 +0400
|   
|       added forgotten include
|   
|   M	src/shogun/transfer/multitask/MultitaskKernelMaskNormalizer.h
|  
* commit dd324691ef7b36451b82357ee8295e5f40799086
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 22:47:48 2013 +0100
| 
|     fix doxygen doc
| 
| M	src/shogun/evaluation/CrossValidation.h
|    
*   commit f049173f7cb84fe016a63fb364206b1fab98c8c9
|\  Merge: 76d24b2 ab46e89
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 8 13:30:07 2013 -0800
| | 
| |     Merge pull request #912 from karlnapf/master
| |     
| |     fix swig-R clash
| |   
| * commit ab46e89d4f2c55fd32a57ed96a46cbb23680653d
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Fri Mar 8 21:27:29 2013 +0000
|   
|       renamed result variable to avoid swig-R crash
|   
|   M	src/shogun/evaluation/CrossValidation.h
|  
* commit 76d24b25e83d0cb3bf68cfd2b4b62076d328e505
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 22:10:34 2013 +0100
| 
|     add doc to obtain_from_generic in crossvalidation
| 
| M	src/shogun/evaluation/CrossValidation.h
|  
* commit ff466092a9398bc9945f3b199ab88752c1c14ca2
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 22:10:20 2013 +0100
| 
|     require new data version
| 
| M	data
|  
* commit 0e23ae57de4d7c8e106d932ea0e2b288af911598
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 21:46:45 2013 +0100
| 
|     muten examples
| 
| M	examples/undocumented/python_modular/modelselection_grid_search_kernel.py
| M	examples/undocumented/python_modular/statistics_hsic.py
| M	examples/undocumented/python_modular/statistics_kmm.py
| M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| M	examples/undocumented/python_modular/statistics_mmd_kernel_selection_combined.py
| M	examples/undocumented/python_modular/statistics_mmd_kernel_selection_single.py
| M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
|  
* commit 8a5b2b08dc03e9a498d53c363077d1bb7b4561c5
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 20:45:24 2013 +0100
| 
|     further example fixes
|     
|     - completely disable vw examples (broken)
|     - further muten examples
| 
| M	examples/undocumented/python_modular/modelselection_grid_search_kernel.py
| M	examples/undocumented/python_modular/preprocessor_dimensionreductionpreprocessor_modular.py
| M	examples/undocumented/python_modular/serialization_complex_example.py
| M	examples/undocumented/python_modular/serialization_string_kernels_modular.py
| M	examples/undocumented/python_modular/streaming_vw_createcache_modular.py
| M	examples/undocumented/python_modular/streaming_vw_modular.py
| M	examples/undocumented/python_modular/structure_hmsvm_bmrm.py
| M	examples/undocumented/python_modular/transfer_multitask_clustered_logistic_regression.py
| M	src/shogun/features/SubsetStack.cpp
| M	src/shogun/structure/DualLibQPBMSOSVM.cpp
|    
*   commit 9fe4085ef00a8086cebd859c42103f0c1fcfcadb
|\  Merge: f7f3431 45e0d17
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 8 11:37:35 2013 -0800
| | 
| |     Merge pull request #911 from karlnapf/master
| |     
| |     added integration tests
| |   
| * commit 45e0d171e6f45721e09ff03944bfe5f007262f23
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 8 19:36:09 2013 +0000
| | 
| |     made some python examples work with integration tests
| |     (split the mmd kernel selection example)
| | 
| | M	examples/undocumented/python_modular/modelselection_grid_search_kernel.py
| | M	examples/undocumented/python_modular/serialization_string_kernels_modular.py
| | M	examples/undocumented/python_modular/statistics_hsic.py
| | M	examples/undocumented/python_modular/statistics_kmm.py
| | M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| | D	examples/undocumented/python_modular/statistics_mmd_kernel_selection.py
| | A	examples/undocumented/python_modular/statistics_mmd_kernel_selection_combined.py
| | A	examples/undocumented/python_modular/statistics_mmd_kernel_selection_single.py
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| |   
| * commit 7e2e1740a60dacba092b0fcb731fe2588f242dde
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 8 19:36:01 2013 +0000
| | 
| |     made CrossValidatioResult serializable
| | 
| | M	src/shogun/evaluation/CrossValidation.h
| |   
| * commit c6db0b3d55ea7db3d6eba37d9c82e393e195c099
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 8 19:34:49 2013 +0000
| | 
| |     example descriptoins for kernel test statistics
| | 
| | A	examples/descriptions/modular/statistics_hsic.txt
| | A	examples/descriptions/modular/statistics_linear_time_mmd.txt
| | A	examples/descriptions/modular/statistics_mmd_kernel_selection.txt
| | A	examples/descriptions/modular/statistics_quadratic_time_mmd.txt
| |   
* | commit f7f34318e539b1433ef721636c860a5e365bfdbe
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Fri Mar 8 23:31:33 2013 +0400
| | 
| |     Some updates for NEWS
| | 
| | M	src/NEWS
| |   
* | commit 60de6d383f7c633b4a699db4d19ddc762bbb1b14
|/  Author: Soeren Sonnenburg <sonne@debian.org>
|   Date:   Fri Mar 8 19:23:50 2013 +0100
|   
|       fix whitespaces in NEWS
|   
|   M	src/NEWS
|  
* commit f91efd50d732c78c65ae1f388d1886a5a1934cac
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 18:52:49 2013 +0100
| 
|     drop static product function from SGVector
| 
| M	src/shogun/lib/SGVector.h
|  
* commit ecc4a61c095b41ec7293470db5fdb6a6663a0344
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 18:49:03 2013 +0100
| 
|     remove unused (but troublesome) includes of libbmrm, libppbm and libp3bm
| 
| M	src/interfaces/modular/Structure.i
| M	src/interfaces/modular/Structure_includes.i
| M	src/interfaces/modular/modshogun_ignores.i
|  
* commit 116a810cd33b91dc72cd0f6748ca792f5b35ee20
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 20:38:10 2013 +0400
| 
|     An attempt to fix wdsvmocas
| 
| M	src/shogun/classifier/svm/WDSVMOcas.cpp
|  
* commit fb68dbcbc7514c7a572bfcc2d24184339624a84b
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 20:23:56 2013 +0400
| 
|     Some fixes for converters doc
| 
| M	src/shogun/converter/DiffusionMaps.h
| M	src/shogun/converter/FactorAnalysis.h
| M	src/shogun/converter/HessianLocallyLinearEmbedding.h
| M	src/shogun/converter/Isomap.h
| M	src/shogun/converter/LaplacianEigenmaps.h
| M	src/shogun/converter/LinearLocalTangentSpaceAlignment.h
| M	src/shogun/converter/LocalTangentSpaceAlignment.h
| M	src/shogun/converter/LocalityPreservingProjections.h
| M	src/shogun/converter/LocallyLinearEmbedding.h
| M	src/shogun/converter/MultidimensionalScaling.h
| M	src/shogun/converter/NeighborhoodPreservingEmbedding.h
| M	src/shogun/converter/StochasticProximityEmbedding.h
|  
* commit 6abf4337b902c3226f4639c28046a9d16ce5c210
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 20:14:35 2013 +0400
| 
|     Fixed SO multiclass example
| 
| M	examples/undocumented/python_modular/so_multiclass.py
|  
* commit 655fc3dc4e0e2bec427d1e481882777bb29f2453
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 16:08:24 2013 +0100
| 
|     make x-val example non-verbose
| 
| M	examples/undocumented/python_modular/evaluation_cross_validation_mkl_weight_storage.py
|  
* commit 780178247a0705f89b1ce74e2b6c640217f53443
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 19:03:23 2013 +0400
| 
|     Correct fix for LA
| 
| M	examples/undocumented/python_modular/converter_laplacianeigenmaps_modular.py
|  
* commit 2f3cbef4d541c4e4d7c6ee9350cf7514f3a9a058
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 15:55:46 2013 +0100
| 
|     move more code into #ifdef PTHREAD
| 
| M	src/shogun/classifier/svm/WDSVMOcas.cpp
|  
* commit d0654a4d5b17cc40b58ac27d338f7f717e4f9554
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 15:55:35 2013 +0100
| 
|     fix serialization of mask table
| 
| M	src/shogun/features/StringFeatures.cpp
|  
* commit a0f490e32e3c6b3d645e7a102effe627e98e7319
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 15:55:08 2013 +0100
| 
|     shareboost: don't print progress if not in debug mode
| 
| M	src/shogun/multiclass/ShareBoost.cpp
|  
* commit 56122795922c3109fc2fff4c7b5cab748227c0ed
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 15:54:15 2013 +0100
| 
|     fix various examples
|     
|     - to not print anything
|     - wrong function names (or file name euclidian vs euclidean)
| 
| M	examples/undocumented/python_modular/classifier_libsvm_minimal_modular.py
| M	examples/undocumented/python_modular/classifier_libsvm_modular.py
| M	examples/undocumented/python_modular/classifier_multiclass_ecoc.py
| M	examples/undocumented/python_modular/classifier_multiclass_ecoc_ovr.py
| M	examples/undocumented/python_modular/classifier_multiclass_relaxedtree.py
| M	examples/undocumented/python_modular/classifier_multiclass_shareboost.py
| A	examples/undocumented/python_modular/distance_director_euclidean_modular.py
| D	examples/undocumented/python_modular/distance_director_euclidian_modular.py
| A	examples/undocumented/python_modular/distance_euclidean_modular.py
| D	examples/undocumented/python_modular/distance_euclidian_modular.py
| M	examples/undocumented/python_modular/evaluation_cross_validation_mkl_weight_storage.py
| M	examples/undocumented/python_modular/evaluation_director_contingencytableevaluation_modular.py
| M	examples/undocumented/python_modular/evaluation_multiclassovrevaluation_modular.py
| M	examples/undocumented/python_modular/features_dense_protocols_modular.py
| M	examples/undocumented/python_modular/features_director_dot_modular.py
| M	examples/undocumented/python_modular/kernel_director_linear_modular.py
| M	examples/undocumented/python_modular/regression_gaussian_process_modular.py
| M	examples/undocumented/python_modular/serialization_svmlight_modular.py
| M	examples/undocumented/python_modular/so_multiclass.py
| M	examples/undocumented/python_modular/structure_hmsvm_mosek.py
|  
* commit b560a521af3c165abb4c2fb42b01101cd0f013f7
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 18:53:23 2013 +0400
| 
|     Adjusted width to avoid errors in laplacian eigenmaps
| 
| M	examples/undocumented/python_modular/converter_laplacianeigenmaps_modular.py
|  
* commit ad1a6e1f128d4c79d0de2912e221a8319effa1f1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 14:27:04 2013 +0100
| 
|     fix a minor warnings when pthreads are not available
| 
| M	src/shogun/classifier/svm/WDSVMOcas.cpp
| M	src/shogun/structure/CCSOSVM.cpp
|  
* commit 5d4172dee86ec7fa80640cf43e0b0324e0d2b237
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 13:57:59 2013 +0100
| 
|     remove NO_IMPORT define and numpy include in sg_print_functions.cpp
|     
|     this fixes the long standing warning:
|     ‘int _import_array()’ defined but not used
| 
| M	src/interfaces/python_modular/sg_print_functions.cpp
| M	src/interfaces/python_modular/swig_typemaps.i
|    
*   commit 4a4d217742b88b89ad220eff74ccb51898fe2f8b
|\  Merge: f288268 904d75c
| | Author: Viktor Gal <vigsterkr@gmail.com>
| | Date:   Fri Mar 8 04:52:41 2013 -0800
| | 
| |     Merge pull request #910 from vigsterkr/master
| |     
| |     Add some comments for CCSOSVM
| |   
| * commit 904d75ccc675ad51e1152f9328f62e3780350633
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Fri Mar 8 13:51:53 2013 +0100
|   
|       Add some comments for CCSOSVM
|   
|   M	src/shogun/structure/CCSOSVM.h
|  
* commit f28826896f6de0738ce845b982f9162204fc39e5
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 16:10:27 2013 +0400
| 
|     Commented out initParallel of eigen in tapkee
| 
| M	src/shogun/lib/tapkee/tapkee.hpp
|  
* commit 657462ce433c7edb0a5e1f4f0039774c99e4a4e6
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 15:55:16 2013 +0400
| 
|     Fixed includes in tapkee and fixed wrong segment of eigenvalues in
|     generalized eigenembedding
| 
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/utils/fibonacci_heap.hpp
| M	src/shogun/lib/tapkee/utils/time.hpp
|  
* commit 2b119cc4db723c7d8bad2eaa1062e8832aead138
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 15:42:03 2013 +0400
| 
|     Added -Wno-unknown-pragmas key to ignore openmp pragmas
| 
| M	src/configure
|  
* commit ce8fd330e5ce20a6188fdfb61faa84cefffa8e9b
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 12:33:52 2013 +0100
| 
|     fix loglevel_above check
| 
| M	src/shogun/io/SGIO.h
|  
* commit f9c0960a2447773e427d210092eafc259b7786b3
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 15:29:47 2013 +0400
| 
|     A few fixes for Tapkee:
|     
|     - Correct implementation for NPE, LLTSA and LPP
|     - Parallel implementation of isomap
|     - Parallel implementation of lle
|     - Proper consts
|     - Proper timing
| 
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/isomap.hpp
| M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/utils/fibonacci_heap.hpp
| M	src/shogun/lib/tapkee/utils/time.hpp
|  
* commit 9cd8b070ae6ca0a45ba5ae881cf841fb23e815bf
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 12:04:01 2013 +0100
| 
|     fix logging of functions
| 
| M	src/shogun/io/SGIO.h
|  
* commit 688da262f28ef35ef7c6ea7a50893b4d88f6f901
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 11:58:02 2013 +0100
| 
|     a few more doxygen fixes
| 
| M	src/shogun/regression/gp/ExactInferenceMethod.h
| M	src/shogun/regression/gp/FITCInferenceMethod.h
| M	src/shogun/regression/gp/LaplacianInferenceMethod.h
|  
* commit efed63958cb02e05eff329c4785bd7b08d2c2cd1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 10:29:44 2013 +0100
| 
|     remove unstable warning about oligo/SLIK kernels
| 
| M	src/shogun/kernel/string/OligoStringKernel.cpp
| M	src/shogun/kernel/string/SimpleLocalityImprovedStringKernel.cpp
|  
* commit 9c1840be49d03d5751719dd43f9e630993f4cdd6
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 10:27:16 2013 +0100
| 
|     fix ar warning
| 
| M	tests/unit/Makefile
|  
* commit 07843b77b65745eb6045b798e3c3024fa71aae0e
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Mar 8 10:24:03 2013 +0100
| 
|     add missing doxygen documentation
| 
| M	src/shogun/classifier/mkl/MKLMulticlass.cpp
| M	src/shogun/classifier/mkl/MKLMulticlass.h
| M	src/shogun/lib/SGSparseVector.h
| M	src/shogun/lib/SGVector.h
| M	src/shogun/regression/gp/ExactInferenceMethod.h
| M	src/shogun/regression/gp/FITCInferenceMethod.h
| M	src/shogun/regression/gp/LaplacianInferenceMethod.h
| M	src/shogun/structure/CCSOSVM.h
| M	src/shogun/structure/libbmrm.h
|  
* commit 45244267d1900180dbd5bad75b78a3d3df6cd8d0
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Mar 8 02:56:48 2013 +0400
| 
|     Update for tapkee
|     
|     - Fixed dense eigenembedding method
|     - Better parameters macro structure
|     - t-SNE preparation
|     - Debug logging level
| 
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/utils/logging.hpp
| A	src/shogun/lib/tapkee/utils/parameters.hpp
|  
* commit b837e0e589b2ecd67385532d7a9b0bcdae3cf327
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Mar 7 20:55:23 2013 +0100
| 
|     fix integration test directory
| 
| M	tests/integration/python_modular/generator.py
| M	tests/integration/python_modular/tester.py
|    
*   commit 6bc71bb61422fa361079a55986d047a7789762c7
|\  Merge: 91e9f46 a499fcd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 09:06:26 2013 -0800
| | 
| |     Merge pull request #909 from karlnapf/master
| |     
| |     more warnings removed
| |   
| * commit a499fcd75ccbb3b0939760a5800bc1524b28d1b8
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 17:03:49 2013 +0000
| | 
| |     removed warnings by adding documentation
| | 
| | M	src/shogun/statistics/LinearTimeMMD.h
| |     
* |   commit 91e9f466a7606cdd8bce84fa12bfecb214bbe948
|\ \  Merge: adb36ad 77e75db
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Tue Mar 5 08:34:16 2013 -0800
| |   
| |       Merge pull request #907 from karlnapf/master
| |       
| |       removed some warnings via adding documentation
| |   
| * commit 77e75db4e4e3165b60103ead5780770cde745451
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 16:31:43 2013 +0000
| | 
| |     added example to reproduce the mkl model selection bug with SVMLight
| | 
| | M	examples/undocumented/libshogun/Makefile
| |   
| * commit 4b774b13bd36a440806dab7c06d50048ef0883f4
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 16:30:46 2013 +0000
| | 
| |     added example to reproduce the mkl model selection bug with SVMLight
| | 
| | A	examples/undocumented/libshogun/classifier_mkl_svmlight_modelselection_bug.cpp
| |   
| * commit 3a81dd2791f76322174dd6438f8e588db8028d07
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 16:29:42 2013 +0000
| | 
| |     fixed a typo
| | 
| | M	src/shogun/io/streaming/InputParser.h
| |   
| * commit 1b0e0ed84f8453b4791d053313f7c34d7ed80520
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 15:47:31 2013 +0000
| | 
| |     added a note on Viktors cool new unit tests
| | 
| | M	src/NEWS
| |   
| * commit bc4c0711455abc12531eed79f468d2cb9d2a3873
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 15:47:11 2013 +0000
| | 
| |     code formating
| | 
| | M	src/shogun/base/SGObject.cpp
| |   
| * commit 605fa179c9afa6d1963f8d1c4d2c42292203eda5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Mar 5 15:47:01 2013 +0000
| | 
| |     -removed the data generator example and moved it to the unit-tests
| |     -renamed the unit test
| | 
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/streaming_generators.cpp
| | A	tests/unit/features/DataGenerators_unittest.cc
| | D	tests/unit/features/GaussianBlobsDataGenerator_unittest.cc
| |   
| * commit 9a867faa9ec6f29fc207362a34b4eab607dfed74
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Tue Mar 5 15:23:44 2013 +0000
|   
|       removed some warnings via adding documentation
|   
|   M	src/shogun/features/streaming/StreamingDenseFeatures.h
|   M	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.h
|   M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
|   M	src/shogun/statistics/QuadraticTimeMMD.h
|  
* commit adb36ad022b558983f530802cd0832392f783c7e
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Tue Mar 5 00:59:58 2013 +0400
| 
|     Updates for tapkee
|     
|     - MSVS compatibility
|     - Better checkers
| 
| M	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/random_projection.hpp
| M	src/shogun/lib/tapkee/routines/spe.hpp
| M	src/shogun/lib/tapkee/tapkee_exceptions.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
|  
* commit 55855d479e6fef46d5f5b06c51612877b39058f5
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Mar 4 23:36:21 2013 +0400
| 
|     Added missed number of vectors setting for FA
| 
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
|    
*   commit 0dcf0866aeb8bac9474d9a15277fc92735c65fab
|\  Merge: 0dc8b38 17f5597
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 09:03:11 2013 -0800
| | 
| |     Merge pull request #905 from karlnapf/master
| |     
| |     fixed hsic graphical example
| |   
| * commit 17f5597447cbf6d04296045a4b3b312b646bc9a9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 17:02:28 2013 +0000
| | 
| |     made hsic graphical example work again
| | 
| | M	examples/undocumented/python_modular/graphical/statistics_hsic.py
| |     
* |   commit 0dc8b38f8fe0fa429dae0377885c11a26119935a
|\ \  Merge: 24ea0be ec2c6ef
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Mon Mar 4 08:58:11 2013 -0800
| |   
| |       Merge pull request #904 from karlnapf/master
| |       
| |       made graphical examples for MMD work again
| |   
| * commit ec2c6efb07210fb978e384467b4cbad18d3c5883
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:57:17 2013 +0000
| | 
| |     made example work again
| | 
| | M	examples/undocumented/python_modular/graphical/statistics_quadratic_time_mmd.py
| |   
| * commit 7e8d80c82ed31d265f8435273f3061a8a0100f1e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:57:10 2013 +0000
| | 
| |     minor fix
| | 
| | M	examples/undocumented/python_modular/graphical/statistics_linear_time_mmd.py
| |   
| * commit 3dc5ac0db43f0400ecb22f7c50664a6f407c8abf
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:51:10 2013 +0000
| | 
| |     made example work again
| | 
| | M	examples/undocumented/python_modular/graphical/statistics_linear_time_mmd.py
| |   
| * commit a86a0f37c6cb781be194fd1bfab76e96fe76580b
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:49:33 2013 +0000
| | 
| |     fixed intendation
| | 
| | M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
| |     
* |   commit 24ea0beaead39df3c6b6a68a78b77e6236f117ca
|\ \  Merge: c9ebee6 cb17caa
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Mon Mar 4 08:28:45 2013 -0800
| |   
| |       Merge pull request #903 from karlnapf/master
| |       
| |       make test work again, removed warnings
| |   
| * commit cb17caabf2eb22782decb63ee030c6c883349b11
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:13:53 2013 +0000
| | 
| |     made test compile again
| | 
| | M	tests/unit/statistics/MMDKernelSelectionCombMaxL2_unittest.cc
| |   
| * commit ba3be927e2fd70f9634dc9d6a06467a9dcf4413d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:13:44 2013 +0000
| | 
| |     removed unnecessary remove subset command
| | 
| | M	tests/unit/kernel/CustomKernel_unittest.cc
| |   
| * commit 4b3a255f3cf562eb6883fb4817e244120b8fba1a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:13:31 2013 +0000
| | 
| |     removed warning
| | 
| | M	src/shogun/io/streaming/StreamingFileFromDenseFeatures.h
| |   
| * commit 8d02af999d4cb92403cf9ba777974544feedb6b2
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:13:18 2013 +0000
| | 
| |     removed doxygen warning
| | 
| | M	src/shogun/statistics/MMDKernelSelection.h
| |   
| * commit de8de4d6ba7cf92ae06959e1ba359f964371abd1
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Mar 4 16:13:09 2013 +0000
| | 
| |     registered some parameters
| | 
| | M	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.cpp
| |     
* |   commit c9ebee62f05c6ea6af63df1327c62c424612c3ef
|\ \  Merge: 2717831 ee46d69
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Mon Mar 4 05:28:30 2013 -0800
| |   
| |       Merge pull request #902 from karlnapf/master
| |       
| |       Massive documentation update
| |   
| * commit ee46d692854f976a0f7cd4e7b61ca26f1c0e809e
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Mon Mar 4 13:27:10 2013 +0000
|   
|       updated documentation for kernel MMD two-sample testing
|   
|   M	src/shogun/statistics/KernelTwoSampleTestStatistic.h
|   M	src/shogun/statistics/LinearTimeMMD.cpp
|   M	src/shogun/statistics/LinearTimeMMD.h
|   M	src/shogun/statistics/MMDKernelSelection.cpp
|   M	src/shogun/statistics/MMDKernelSelection.h
|   M	src/shogun/statistics/MMDKernelSelectionComb.cpp
|   M	src/shogun/statistics/MMDKernelSelectionComb.h
|   M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.cpp
|   M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.h
|   M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
|   M	src/shogun/statistics/MMDKernelSelectionCombOpt.h
|   M	src/shogun/statistics/MMDKernelSelectionMax.h
|   M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
|   M	src/shogun/statistics/MMDKernelSelectionMedian.h
|   M	src/shogun/statistics/MMDKernelSelectionOpt.cpp
|   M	src/shogun/statistics/MMDKernelSelectionOpt.h
|   M	src/shogun/statistics/QuadraticTimeMMD.cpp
|   M	src/shogun/statistics/QuadraticTimeMMD.h
|  
* commit 2717831d542a4cdda4b68ced2efff9d018ee85cf
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Mar 4 10:48:50 2013 +0400
| 
|     Updated tapkee library
|     
|     - Better parameters handling: proper invariants to avoid bugs
|     - Better exceptions usage
|     - Better naming of types
| 
| M	src/shogun/lib/tapkee/callbacks/eigen_callbacks.hpp
| M	src/shogun/lib/tapkee/callbacks/pimpl_callbacks.hpp
| M	src/shogun/lib/tapkee/callbacks/traits.hpp
| M	src/shogun/lib/tapkee/neighbors/connected.hpp
| M	src/shogun/lib/tapkee/neighbors/covertree.hpp
| M	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| M	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| M	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| M	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/fa.hpp
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| M	src/shogun/lib/tapkee/routines/isomap.hpp
| M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| M	src/shogun/lib/tapkee/routines/methods_traits.hpp
| M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/routines/random_projection.hpp
| M	src/shogun/lib/tapkee/routines/spe.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| A	src/shogun/lib/tapkee/tapkee_exceptions.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/utils/fibonacci_heap.hpp
| M	src/shogun/lib/tapkee/utils/logging.hpp
|  
* commit 18399b7f97b7b63793180d3e71d60ae3822c9f98
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Mar 3 00:47:08 2013 +0400
| 
|     Handled case of exceeding number of landmarks in landmark mds
| 
| M	src/shogun/converter/MultidimensionalScaling.cpp
|  
* commit f7d5441cf342ddfbb0eb9dd5bf05b93ccb6d8fa7
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Mar 2 23:18:57 2013 +0400
| 
|     Fixed Factor Analysis integration
|     
|     - Fixed bug with unset features
|     - Added Factor Analysis to modular interfaces
| 
| M	examples/undocumented/libshogun/Makefile
| A	examples/undocumented/libshogun/converter_factoranalysis.cpp
| A	examples/undocumented/python_modular/converter_factoranalysis_modular.py
| M	src/interfaces/modular/Converter.i
| M	src/interfaces/modular/Converter_includes.i
| M	src/shogun/converter/FactorAnalysis.cpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
|    
*   commit 53b1db8571958ab7581ebce7c5dd1dacbae77880
|\  Merge: 7517dcb b452fdd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 12:11:21 2013 -0800
| | 
| |     Merge pull request #900 from karlnapf/master
| |     
| |     Fixed a serious CustomKernel subset related bug
| |     
| *   commit b452fdd7a861f95d8748b7a85cfbacf285cdfae5
| |\  Merge: 7517dcb fd72cf3
|/ /  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Mar 1 20:08:42 2013 +0000
| |   
| |       Merge branch 'mmd_kernel_selection'
| |   
| * commit fd72cf329eaf92ee229e93a4108d0064b7f0c32d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 20:08:32 2013 +0000
| | 
| |     added some comments on the MMD examples and the custom kernel bugfix
| | 
| | M	src/NEWS
| |   
| * commit 5afd83703c0fcf1c172dcb77df108afb3ee60bed
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 20:05:52 2013 +0000
| | 
| |     added example/test for a SVM on string data with a string kernel and a precomputed kernel matrix which are asserted to return the same predictions
| | 
| | M	examples/undocumented/libshogun/Makefile
| | A	examples/undocumented/libshogun/classifier_svmlight_string_features_precomputed_kernel.cpp
| |   
| * commit 14ba3a8a3757778f2e58bd3ec78d46efbacb5a0f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 19:29:13 2013 +0000
| | 
| |     replaced asserts by expect equal
| | 
| | M	tests/unit/kernel/CustomKernel_unittest.cc
| |   
| * commit 12988b3a22930edbffb4325ca996a5ce583741dd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 19:25:31 2013 +0000
| | 
| |     new unit test for subset copying behaviour (fixed bug and this is a test for it)
| | 
| | M	tests/unit/kernel/CustomKernel_unittest.cc
| |   
| * commit b9dd284d6f3c12d88b4f6ccca85b2b3d66e8e3fc
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 19:25:02 2013 +0000
| | 
| |     -removed print_kernel_matrix
| |     -added some error messages
| |     -FIXED A BUG WHICH CAUSED SUBSET INDEX CONFUSION (nasty one)
| | 
| | M	src/shogun/kernel/CustomKernel.cpp
| | M	src/shogun/kernel/CustomKernel.h
| |   
| * commit 89b801481a103e155f4c3b4bbe0925298f82b0db
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 16:39:57 2013 +0000
| | 
| |     fixed a memory leak by using SGVector instead of array
| | 
| | M	src/shogun/evaluation/ROCEvaluation.cpp
| |   
| * commit ddfdd866585fab5f12e3dbf65ef5e78507f4f6cd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 14:53:41 2013 +0000
| | 
| |     added a nicer error message
| | 
| | M	src/shogun/labels/Labels.cpp
| |   
| * commit 72a06ee35eb45abe31771c19656aa22318eaf766
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 14:53:27 2013 +0000
| | 
| |     moved copy subset example of string features into a unit test
| | 
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/features_copy_subset_string_features.cpp
| | A	tests/unit/features/StringFeatures_unittest.cc
| |     
* |   commit 7517dcb3b2f645ee8fe61249fc892932a1153a96
|\ \  Merge: 606c7e7 ef8c5f3
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Mar 1 03:07:22 2013 -0800
| |   
| |       Merge pull request #899 from karlnapf/master
| |       
| |       minor memory error in example
| |   
| * commit ef8c5f3ba993d8cedc9de9125a310a8dc1f24ef9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 11:06:31 2013 +0000
| | 
| |     fix a memory error
| | 
| | M	examples/undocumented/libshogun/statistics_quadratic_time_mmd.cpp
| |     
* |   commit 606c7e7b925726d8fdcce703f496c237e39c8bfa
|\ \  Merge: 5488858 1dab3bd
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Mar 1 03:00:29 2013 -0800
| |   
| |       Merge pull request #898 from karlnapf/master
| |       
| |       more illustrative example for quadratic time MMD
| |   
| * commit 1dab3bd9f79baf11128fac9b1d46ef8d8d3664f7
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Mar 1 10:58:00 2013 +0000
| | 
| |     more illustrative example that is similar to the libshogun one
| | 
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| |   
| * commit c06571cc12f4a49377eff72b571374dae2a00614
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Fri Mar 1 10:57:43 2013 +0000
|   
|       illustrate use of precomputed kernel and some minor changes
|   
|   M	examples/undocumented/libshogun/statistics_quadratic_time_mmd.cpp
|    
*   commit 548885890a159076b0113b5e5d0c8466c9fa28bc
|\  Merge: da1f023 0239dd1
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 28 11:33:32 2013 -0800
| | 
| |     Merge pull request #897 from karlnapf/master
| |     
| |     More unit tests and bugfixes for MMD kernel selection
| |   
| * commit 0239dd1b18572c76f5ade70ae84d1f213c1970ff
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 28 19:31:55 2013 +0000
| | 
| |     added a comment on the previous bug that explains why one has to add/remove the indices every time
| | 
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| |   
| * commit b53e848c8dba8057435284b10c78afe9cfe87457
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 28 19:26:57 2013 +0000
| | 
| |     added a unit test for the custom kernel in order to check subset settings
| | 
| | A	tests/unit/kernel/CustomKernel_unittest.cc
| |   
| * commit 22d91cec0b6b7c125e00c3254f89b23445951797
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 28 19:26:36 2013 +0000
| | 
| |     added a unit test that checks whether bootstrapping statistics are the same for a custom kernel and a normal one
| | 
| | M	tests/unit/statistics/QuadraticTimeMMD_unittest.cc
| |   
| * commit 079a1e33a5c54850c7ad1d5ab06f0bb40d70faf5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 28 19:26:08 2013 +0000
| | 
| |     fixed a nasty bug that would avoid computing type I errors. Very subtle. Subsets were not updated properly
| | 
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| |   
| * commit 0261cd1253dcc3dd486471633818ea8123e86888
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Feb 28 19:25:26 2013 +0000
|   
|       added comment about parallelisation
|   
|   M	src/shogun/statistics/QuadraticTimeMMD.cpp
|  
* commit da1f0234bedac7cb5f5c9b71257b1498fd09c058
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Feb 28 11:50:28 2013 +0400
| 
|     Ported a few more fixes and additions from tapkee
|     
|     - Added random projection method
|     - Added missed mean subtraction in projection and out-of-sample projection
|     - Fixed implementation of isomap and landmark isomap
| 
| M	src/shogun/lib/tapkee/routines/isomap.hpp
| M	src/shogun/lib/tapkee/routines/pca.hpp
| A	src/shogun/lib/tapkee/routines/random_projection.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| M	src/shogun/lib/tapkee/tapkee_projection.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
|    
*   commit 98f6b37fd8f04b0205728898a3ea8f7c843814cc
|\  Merge: 9a78f24 b741d4b
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Feb 27 23:22:43 2013 -0800
| | 
| |     Merge pull request #894 from iglesias/fa
| |     
| |     + port factor analysis from tapkee
| |   
| * commit b741d4bcfeba73808dd53c603f6f7224fd2590ce
| | Author: iglesias <fernando.iglesiasg@gmail.com>
| | Date:   Thu Feb 28 02:49:24 2013 +0100
| | 
| |     + factor analysis class in converter and fa/spe refactoring
| |     fa and spe now share interface for the parameter max. iterations
| | 
| | A	src/shogun/converter/FactorAnalysis.cpp
| | A	src/shogun/converter/FactorAnalysis.h
| | M	src/shogun/converter/StochasticProximityEmbedding.cpp
| | M	src/shogun/converter/StochasticProximityEmbedding.h
| | M	src/shogun/lib/tapkee/routines/fa.hpp
| | M	src/shogun/lib/tapkee/routines/spe.hpp
| | M	src/shogun/lib/tapkee/tapkee_defines.hpp
| | M	src/shogun/lib/tapkee/tapkee_methods.hpp
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| | M	src/shogun/lib/tapkee/tapkee_shogun.hpp
| |   
| * commit 06e7e4082016e31a8d75ac7a437459845f065567
|/  Author: iglesias <fernando.iglesiasg@gmail.com>
|   Date:   Tue Feb 26 16:37:42 2013 +0100
|   
|       + port factor analysis from tapkee
|   
|   A	src/shogun/lib/tapkee/routines/fa.hpp
|   M	src/shogun/lib/tapkee/tapkee.hpp
|   M	src/shogun/lib/tapkee/tapkee_defines.hpp
|   M	src/shogun/lib/tapkee/tapkee_methods.hpp
|   M	src/shogun/lib/tapkee/tapkee_shogun.cpp
|   M	src/shogun/lib/tapkee/tapkee_shogun.hpp
|    
*   commit 9a78f243814d17c0011e4f91aa7d3e09ef078eb8
|\  Merge: 060ba7d d2c75d5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Feb 26 10:36:36 2013 -0800
| | 
| |     Merge pull request #896 from karlnapf/master
| |     
| |     minor changes to example
| |   
| * commit d2c75d518a7388c07805413e5e95583be13981ce
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Feb 26 18:35:19 2013 +0000
| | 
| |     make use of precomputed kernel when estimating type I and II errors
| | 
| | M	examples/undocumented/libshogun/statistics_quadratic_time_mmd.cpp
| |     
* |   commit 060ba7d54ef73b0ebc58f42b144c4a749b59647d
|\ \  Merge: 560bcf4 d1c5ebf
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Tue Feb 26 10:31:07 2013 -0800
| |   
| |       Merge pull request #895 from karlnapf/master
| |       
| |       new unit tests and examples for quadratic time MMD
| |   
| * commit d1c5ebfebdecf6b9429b44ab3339906d41a5010e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Feb 26 18:29:33 2013 +0000
| | 
| |     added an illustrativ example for the quadratic time MMD
| | 
| | M	examples/undocumented/libshogun/statistics_quadratic_time_mmd.cpp
| |   
| * commit 1356618706af45534d368def6229923bc33e5a6a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Feb 26 18:29:20 2013 +0000
| | 
| |     added some first unit tests for the quadratic time mmd
| | 
| | A	tests/unit/statistics/QuadraticTimeMMD_unittest.cc
| |   
| * commit 6043e0634a33b36c22ac13253db8f7cec9be7643
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Feb 26 18:29:03 2013 +0000
| | 
| |     some renaming and cleaned up includes
| | 
| | M	tests/unit/statistics/LinearTimeMMD_unittest.cc
| |   
| * commit 772d905d58c59fb76116f6c8825b15b04cbf0c19
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Tue Feb 26 18:28:38 2013 +0000
|   
|       corrected typos in error messages
|   
|   M	src/shogun/statistics/QuadraticTimeMMD.cpp
|   M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
|  
* commit 560bcf47b52cbc538ad51b5b473278c67bd8c441
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Feb 25 22:57:00 2013 +0400
| 
|     Fixed typo
| 
| M	src/shogun/labels/DenseLabels.h
|  
* commit 2dd4049060a034920047a9ac467e0e54382fe263
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Feb 25 22:24:07 2013 +0400
| 
|     Same guards for c sharp
| 
| M	src/shogun/labels/BinaryLabels.cpp
| M	src/shogun/labels/BinaryLabels.h
| M	src/shogun/labels/DenseLabels.cpp
| M	src/shogun/labels/DenseLabels.h
|  
* commit 370a2eede7a01a1c38301fcd8fe3765f8baf6d0b
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Feb 25 21:44:15 2013 +0400
| 
|     Guarded conflicting method in dense labels
| 
| M	src/shogun/labels/DenseLabels.cpp
| M	src/shogun/labels/DenseLabels.h
|  
* commit ddd10aa2697a7a03211fb9f13646f4fee6f726cf
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Feb 25 20:55:53 2013 +0400
| 
|     Disabled recent constructors for java
| 
| M	src/shogun/labels/BinaryLabels.cpp
| M	src/shogun/labels/BinaryLabels.h
|    
*   commit c1e89cbed49000d1f312dc3d638ec7fed2b7428f
|\  Merge: d04bb50 fc7e2dc
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Feb 25 08:31:34 2013 -0800
| | 
| |     Merge pull request #893 from iglesias/master
| |     
| |     Added one more convenience constructor for BinaryLabels
| |   
| * commit fc7e2dcc1b70a9e8ba97df728f473e6c1566b66e
|/  Author: iglesias <fernando.iglesiasg@gmail.com>
|   Date:   Mon Feb 25 15:28:04 2013 +0100
|   
|       + Added one more convenience constructor for BinaryLabels
|   
|   M	src/shogun/labels/BinaryLabels.cpp
|   M	src/shogun/labels/BinaryLabels.h
|   M	src/shogun/labels/DenseLabels.cpp
|   M	src/shogun/labels/DenseLabels.h
|  
* commit d04bb506f95b24424ffb6fc90ff31bceec2446e1
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Mon Feb 25 15:03:14 2013 +0400
| 
|     Added convenience constructor for BinaryLabels
| 
| M	src/shogun/labels/BinaryLabels.cpp
| M	src/shogun/labels/BinaryLabels.h
|  
* commit 9554dab08344a46be07757dfb2ab0a9f8d8f50a3
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 20:26:41 2013 +0400
| 
|     Added some doc
| 
| M	src/shogun/structure/StructuredModel.h
| M	src/shogun/structure/libbmrm.h
|  
* commit 77b9c8e936ab5258165f22b44e8800e7b501a5fe
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 18:26:30 2013 +0400
| 
|     Updated old edrt folder in applications
| 
| D	applications/edrt/faces_embedding.py
| D	applications/edrt/octave_ltsa.m
| D	applications/edrt/swissroll_embedding.py
| D	applications/edrt/tutorial_examples/data.py
| D	applications/edrt/tutorial_examples/dm.py
| D	applications/edrt/tutorial_examples/hlle.py
| D	applications/edrt/tutorial_examples/isomap.py
| D	applications/edrt/tutorial_examples/klle.py
| D	applications/edrt/tutorial_examples/la.py
| D	applications/edrt/tutorial_examples/lle.py
| D	applications/edrt/tutorial_examples/lltsa.py
| D	applications/edrt/tutorial_examples/lpp.py
| D	applications/edrt/tutorial_examples/ltsa.py
| D	applications/edrt/tutorial_examples/mds.py
| D	applications/edrt/tutorial_examples/npe.py
| D	applications/edrt/words_embedding.py
| A	applications/tapkee/faces_embedding.py
| A	applications/tapkee/octave_ltsa.m
| A	applications/tapkee/samples/data.py
| A	applications/tapkee/samples/dm.py
| A	applications/tapkee/samples/hlle.py
| A	applications/tapkee/samples/isomap.py
| A	applications/tapkee/samples/klle.py
| A	applications/tapkee/samples/la.py
| A	applications/tapkee/samples/lle.py
| A	applications/tapkee/samples/lltsa.py
| A	applications/tapkee/samples/lpp.py
| A	applications/tapkee/samples/ltsa.py
| A	applications/tapkee/samples/mds.py
| A	applications/tapkee/samples/npe.py
| A	applications/tapkee/swissroll_embedding.py
| A	applications/tapkee/words_embedding.py
|  
* commit 5fcbf7b7f0df8492e99e21847dee86a876eb2d01
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 17:27:49 2013 +0400
| 
|     Old eigen support in tapkee and laplacian eigenmaps fix
| 
| M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
|  
* commit de82da565a84e6a9fac01b7ba1ee2924fde772ed
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 17:27:19 2013 +0400
| 
|     Fixed leaks in library serialization
| 
| M	examples/undocumented/libshogun/library_serialization.cpp
|  
* commit 064b53cd4ac01a8438efb7abb4268d87b359c1bf
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 16:00:04 2013 +0400
| 
|     Added missed free in library hdf5 example
| 
| M	examples/undocumented/libshogun/library_hdf5.cpp
|  
* commit 2ba8bb6338b172145ccacb501c57be2dbc70aa39
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 04:18:42 2013 +0400
| 
|     Added projecting functions capabilities in tapkee
| 
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/routines/spe.hpp
| M	src/shogun/lib/tapkee/tapkee.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
| A	src/shogun/lib/tapkee/tapkee_projection.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
|  
* commit 28c5f412fbae754d2a827264af96cf3170e3b263
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 04:02:13 2013 +0400
| 
|     Added missed method traits
| 
| A	src/shogun/lib/tapkee/routines/methods_traits.hpp
|  
* commit d91f97eafc85281a638bdd8a67f9fbd79588f018
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 03:07:31 2013 +0400
| 
|     Changed eigen old define to tapkee internal define
| 
| M	src/shogun/lib/tapkee/routines/locally_linear.hpp
|  
* commit 7421ea58a264f33fd8b271477f3548b19147e498
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 23 03:02:14 2013 +0400
| 
|     Updates for tapkee
| 
| D	src/shogun/lib/tapkee/callbacks/neighbor_callback.hpp
| D	src/shogun/lib/tapkee/callbacks/precomputed_callbacks.hpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
|    
*   commit 8b83c55fb1ee5aef3827ccef0a2a9beaa919dbf0
|\  Merge: 5ebfc14 eb8bf03
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 12:58:24 2013 -0800
| | 
| |     Merge pull request #892 from karlnapf/master
| |     
| |     new tests new example
| |   
| * commit eb8bf033374ecf088acfccee111a36f355231234
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 18:47:09 2013 +0000
| | 
| |     made a more illustrative example now that tests are in unit-tests
| | 
| | M	examples/undocumented/libshogun/statistics_linear_time_mmd.cpp
| |   
| * commit 5a99140e0e0374159aa1a7bd1d53f8f0301d84bf
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 18:30:57 2013 +0000
| | 
| |     added unit test for linear time MMD
| | 
| | A	tests/unit/statistics/LinearTimeMMD_unittest.cc
| |     
* |   commit 5ebfc14aad2e4f8a71dbc434d34a3e50212cbb05
|\ \  Merge: 2dc1656 18e8181
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Feb 22 10:18:21 2013 -0800
| |   
| |       Merge pull request #891 from karlnapf/master
| |       
| |       some example fixed and updates
| |   
| * commit 18e818104f502713347f6e1db75e519dc413f70b
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 18:17:21 2013 +0000
| | 
| |     commented out all pylab stuff
| | 
| | M	examples/undocumented/python_modular/statistics_mmd_kernel_selection.py
| |   
| * commit 38226942fffa1769174c1f1dfaed06ace13b0338
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:54:37 2013 +0000
| | 
| |     reduced number of samples to be faster
| | 
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| |   
| * commit b78b2848fadea1fa05794486b1cf68f950017cd3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:54:26 2013 +0000
| | 
| |     added computation of type I and II errors
| | 
| | M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| |   
| * commit 41aef009835ee9136a63d643758b67e9fb6c2f91
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:40:49 2013 +0000
| | 
| |     fixed get_name string
| | 
| | M	src/shogun/statistics/MMDKernelSelectionMedian.h
| |   
| * commit a52880556c117d224d7b3d869299f964524486c1
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:40:40 2013 +0000
| | 
| |     added other kernel selection methods for illustrational purposes
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| | M	examples/undocumented/python_modular/statistics_mmd_kernel_selection.py
| |   
| * commit b2ecc905f37e84bfeed14e266490175f4ffbe775
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:22:59 2013 +0000
| | 
| |     extended example with a combined kernel weight selection
| | 
| | M	examples/undocumented/python_modular/statistics_mmd_kernel_selection.py
| |     
* |   commit 2dc165692e5a3827f9e78bd34079d37dfe6dd879
|\ \  Merge: eb8bdcd 0634ac1
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Feb 22 09:15:00 2013 -0800
| |   
| |       Merge pull request #890 from karlnapf/master
| |       
| |       new example for kernel selection on combined kernels
| |   
| * commit 0634ac101e6c724293f896cdc50443bc23319898
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:09:02 2013 +0000
| | 
| |     added combined kernel selection example
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit c637489e4282ced0f3879c6961a1a18b6b59c3e2
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:08:47 2013 +0000
| | 
| |     mentioned Gaussian blobs generator
| | 
| | M	src/NEWS
| |   
| * commit 76463c5e8621bf1adb258376b5dc4b4578f82606
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:08:36 2013 +0000
| | 
| |     some minor updates
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 051da8060260b566bef9b01b980510f0885267ec
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 17:08:22 2013 +0000
| | 
| |     -removed KernelToCombinedKernel and replaced by a (proper) obtain_from_generic
| |     -some better error messages
| |     -added possibility to init with single features which are then applied to all subkernels (needed by MMD stuff)
| | 
| | M	src/shogun/kernel/CombinedKernel.cpp
| | M	src/shogun/kernel/CombinedKernel.h
| |   
| * commit 253e9a6c41cb04a2367106cc839522e99ed7b9c5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 11:54:53 2013 +0000
| | 
| |     removed prints
| | 
| | M	tests/unit/statistics/MMDKernelSelectionMax_unittest.cc
| |   
| * commit ff9a77402fd742972d9810052d9eb996626fb91c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 22 11:54:40 2013 +0000
| | 
| |     moved SG_REF to a nicer place
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit 97591469871d0de72857eb4233949db6cdee9afc
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Fri Feb 22 11:54:26 2013 +0000
|   
|       re-added initialisation for current vector which prevents double free segfaults when streaming from fixed data in memory
|   
|   M	src/shogun/features/streaming/StreamingDenseFeatures.cpp
|    
*   commit eb8bdcd03d6bb84648b146234d9042a5f1230335
|\  Merge: 956d418 7190a52
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 09:53:30 2013 -0800
| | 
| |     Merge pull request #889 from karlnapf/master
| |     
| |     some first proper examples for kernel selection
| |   
| * commit 7190a520a903034dfb8c76e55bd77d9d10f1f9c5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:52:06 2013 +0000
| | 
| |     a first proper mmd kernel selection example in python
| | 
| | A	examples/undocumented/python_modular/statistics_mmd_kernel_selection.py
| |   
| * commit e1f4e366dd3d3744a1e46118c8c5694e2d60cae5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:51:46 2013 +0000
| | 
| |     some small updates
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit c1299e7e10a2ed9366128c44b18df41a5f8c40b4
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:31:54 2013 +0000
| | 
| |     made a proper kernel selection example since tests are now somewhere else
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit e371f852f87a8b07008efd093b9b5cbb5e660b69
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:31:38 2013 +0000
| | 
| |     fixed a memory leak
| | 
| | M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
| |   
| * commit 756abdd4216da4f999c302b8a5c43ab2ccf6ff6f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:31:22 2013 +0000
| | 
| |     fixed a bug that caused non-termination
| | 
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| |   
| * commit 1a15bacb90f82069c755aeb03aa454e138ef47cf
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 17:31:09 2013 +0000
| | 
| |     made setter inline
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit ff41d12935ed9799d41a2a8b7af3d81a884bf2ef
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Feb 21 17:30:57 2013 +0000
|   
|       removed a print
|   
|   M	src/shogun/features/DenseFeatures.cpp
|    
*   commit 956d418e3598ce80bdfa26a738fe14284631bd27
|\  Merge: eef8299 e01ed51
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 07:32:52 2013 -0800
| | 
| |     Merge pull request #888 from karlnapf/master
| |     
| |     better handling of null distribution sampling for linear time mmd
| |   
| * commit e01ed51c007e8c3c34280899d960c1439ed30bd4
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 15:27:10 2013 +0000
| | 
| |     moved simulate_h0 flag to linear time MMD since in the case where data is stored, permuting it is easy: data is stored in one single feature object
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| | M	src/shogun/statistics/QuadraticTimeMMD.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.h
| |   
| * commit e35b27d38b31e0934fee7a126686f19ce2cc271c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 15:00:52 2013 +0000
| | 
| |     added simulate_h0 method to two-distribution based test statistics, which allows to sample the null hypothesis. This has to be handled in all methods that compute a statistic. Added handling for linear and quadratic time MMD. Changed the bootstrap_null method to use this flag
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/QuadraticTimeMMD.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.h
| |   
| * commit a68876f2ffc1e974e5864ee426ff2df7b3bacd6f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 14:50:32 2013 +0000
| | 
| |     corrected get_name
| | 
| | M	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.h
| |   
| * commit d3170f704326b3ea7f8f4722c4a3a01523a01fb0
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 14:50:23 2013 +0000
| | 
| |     removed prints
| | 
| | M	src/shogun/features/DenseFeatures.cpp
| |     
* |   commit eef829995dbda9d4d06a17aa2eeb3575f631b36b
|\ \  Merge: 35a512f 07648d1
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Thu Feb 21 05:18:40 2013 -0800
| |   
| |       Merge pull request #887 from karlnapf/master
| |       
| |       added a new create_merged_features method
| |   
| * commit 07648d1862443c9896dd3e2f7244c8d8726f2eb9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 13:16:15 2013 +0000
| | 
| |     removed create_merged_copy example and added a test for combined features and dense features instead
| | 
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/features_create_merged_copy.cpp
| | A	tests/unit/features/CombinedFeatures_unittest.cc
| | A	tests/unit/features/DenseFeatures_unittest.cc
| |   
| * commit 41988bbd60aaf747fe891748557ec2324dc3b96d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 21 13:09:35 2013 +0000
| | 
| |     changed create_merged_copy to work with multiple feature objects and added implementation for DenseFeatures
| | 
| | M	src/shogun/features/DenseFeatures.cpp
| | M	src/shogun/features/DenseFeatures.h
| | M	src/shogun/features/Features.h
| |   
* | commit 35a512f25737b36f835a2613127e23f39a9a2d74
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Feb 20 12:31:11 2013 +0400
| | 
| |     Mention of include fix in NEWS. Related to #855
| | 
| | M	src/NEWS
| |   
* | commit 299897031ea438bbe18044d162cf4e9be4186885
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Feb 20 09:25:52 2013 +0100
| | 
| |     include SGMatrixList.h instead of .cpp (Closes: #855)
| |     
| |     Thanks bianjiang for the fix!
| | 
| | M	src/shogun/lib/SGMatrix.cpp
| |   
* | commit 49060b0a4fdc0a8beacf821e09ed04fab9e13671
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Feb 19 21:40:15 2013 +0100
| | 
| |     refactor parameters to use SGVector as dims (for future ndarray support)
| | 
| | M	src/shogun/base/Parameter.cpp
| | M	src/shogun/base/Parameter.h
| | M	src/shogun/base/SGObject.cpp
| | M	src/shogun/features/streaming/StreamingDenseFeatures.cpp
| | M	src/shogun/io/SerializableAsciiFile.cpp
| | M	src/shogun/lib/SGVector.h
| | M	src/shogun/mathematics/eigen3.h
| |   
* | commit 5ad201e5e6bdb0a24a61867a6b29796866419fe3
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Feb 19 21:39:50 2013 +0100
| | 
| |     add unit test for sgvector's setters/getters
| | 
| | M	tests/unit/lib/SGVector_unittest.cc
| |   
* | commit cc46936a53fad63dafa6fd120a5e1eed2859a01a
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Feb 18 22:27:26 2013 +0400
| | 
| |     Speeded up MDS unit test
| | 
| | M	tests/unit/converter/MultidimensionalScaling_unittest.cc
| |     
* |   commit 6c3cae343c2ad47c03756f60cb847bedab5cef59
|\ \  Merge: 269b3a3 893cb2c
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Sun Feb 17 23:39:08 2013 -0800
| | | 
| | |     Merge pull request #883 from iglesias/dev
| | |     
| | |     minor fixes to compile VW examples
| | |    
| * | commit 893cb2c7af7e81b7fb69c406f076b8fba154c7be
| | | Author: iglesias <fernando.iglesiasg@gmail.com>
| | | Date:   Sun Feb 17 21:38:06 2013 +0100
| | | 
| | |     minor fixes to compile VW examples
| | | 
| | | M	examples/undocumented/libshogun/streaming_vowpalwabbit.cpp
| | | M	examples/undocumented/libshogun/streaming_vwfeatures.cpp
| | |    
* | | commit 269b3a35f4efa56d7e042e9c998b7999410bc0b7
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Mon Feb 18 11:27:57 2013 +0400
| | | 
| | |     Fixed typo in MKL
| | | 
| | | M	src/shogun/classifier/mkl/MKL.cpp
| | |      
* | |   commit d23d3aa9eb6351121597ac4693883af0ea7542a4
|\ \ \  Merge: bdac6bc 6f9c315
| | | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | | Date:   Sun Feb 17 23:17:17 2013 -0800
| | | | 
| | | |     Merge pull request #884 from iglesias/fix-warning
| | | |     
| | | |     * minor warning fixes
| | | |     
| * | | commit 6f9c31569fc867ccf8e2873dea4e302e2c3e827d
|/ / /  Author: iglesias <fernando.iglesiasg@gmail.com>
| | |   Date:   Sun Feb 17 22:16:21 2013 +0100
| | |   
| | |       * minor warning fixes
| | |       
| | |       Mainly in statistics module doc
| | |   
| | |   M	src/shogun/classifier/mkl/MKL.cpp
| | |   M	src/shogun/multiclass/MulticlassTreeGuidedLogisticRegression.h
| | |   M	src/shogun/statistics/MMDKernelSelectionComb.h
| | |   M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.h
| | |   M	src/shogun/statistics/MMDKernelSelectionCombOpt.h
| | |   M	src/shogun/statistics/MMDKernelSelectionMedian.h
| | |   M	src/shogun/statistics/MMDKernelSelectionOpt.h
| | |    
* | | commit bdac6bc7101775743c621f4833a48899ecb2269a
| | | Author: Soeren Sonnenburg <sonne@debian.org>
| | | Date:   Sun Feb 17 21:03:56 2013 +0100
| | | 
| | |     don't use ref'counted matrix in parameter example (fixing double free!)
| | | 
| | | M	examples/undocumented/libshogun/base_map_parameters.cpp
| | |    
* | | commit b80f57941bc8ab1003be313a08ba7465934f02fa
|/ /  Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| |   Date:   Sun Feb 17 19:05:26 2013 +0400
| |   
| |       Fixed wrong spectrum mismatch rbf construction in static interfaces
| |   
| |   M	src/NEWS
| |   M	src/shogun/ui/SGInterface.cpp
| |   
* | commit 43ab1b6c6c9d19df9736a4cf6166fb9f5bc3b47c
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 18:21:40 2013 +0400
| | 
| |     Guarded mds test
| | 
| | M	tests/unit/converter/MultidimensionalScaling_unittest.cc
| |   
* | commit 1d9645360c17a17c737f2b9902bfde13443dd045
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 18:10:57 2013 +0400
| | 
| |     Added multiclass liblinear test
| | 
| | A	tests/unit/multiclass/MulticlassLibLinear_unittest.cc
| |   
* | commit fb4ef2b9447400236750bb63776bb91fc412cc47
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 18:08:31 2013 +0400
| | 
| |     Added a unittest for MDS
| | 
| | A	tests/unit/converter/MultidimensionalScaling_unittest.cc
| |   
* | commit 9013527466e6a4fb7f408ba5d5f4bea2d3353cfc
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 14:41:21 2013 +0400
| | 
| |     Enabled GCOV when profile is enabled
| | 
| | M	src/configure
| |   
* | commit e667b9e60e4a1619d867a51e28f66290043d9d5f
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 03:31:50 2013 +0400
| | 
| |     More safety for parameter dictionary routine. Related to #880
| | 
| | M	src/shogun/base/SGObject.cpp
| |     
* |   commit 0ab4a45d7e60a2bc16af3b8286b2c6af42bec37f
|\ \  Merge: 6cbe6de 6e4af9c
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Sat Feb 16 14:15:27 2013 -0800
| |   
| |       Merge pull request #879 from karlnapf/master
| |       
| |       unit tests for kernel selection
| |     
| *   commit 6e4af9c75e5654671127062684be9e6988ce565c
| |\  Merge: 6cbe6de 4a6b977
|/ /  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Sat Feb 16 22:14:02 2013 +0000
| |   
| |       Merge branch 'mmd_kernel_selection'
| |   
| * commit 4a6b9772de47ea58e12500cb5f8c642998164714
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sat Feb 16 22:13:16 2013 +0000
| | 
| |     unit tests for kernel selection
| | 
| | A	tests/unit/statistics/MMDKernelSelectionCombMaxL2_unittest.cc
| | A	tests/unit/statistics/MMDKernelSelectionCombOpt_unittest.cc
| | A	tests/unit/statistics/MMDKernelSelectionMax_unittest.cc
| | A	tests/unit/statistics/MMDKernelSelectionMedian_unittest.cc
| | A	tests/unit/statistics/MMDKernelSelectionOpt_unittest.cc
| |   
| * commit afc74996818241677d2bd1f8153135b94890392e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sat Feb 16 22:12:48 2013 +0000
| | 
| |     renamed test
| | 
| | D	tests/unit/features/CGaussianBlobsDataGenerator_unittest.cc
| | A	tests/unit/features/GaussianBlobsDataGenerator_unittest.cc
| |   
* | commit 6cbe6de109f1fc2beca0906b036bb6231b5fd579
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 01:49:01 2013 +0400
| | 
| |     Fixed lost nullspace shift in LLTSA
| | 
| | M	src/shogun/converter/LinearLocalTangentSpaceAlignment.cpp
| |   
* | commit 538ee431c9d1c5a08526e4a95515187a69c6a3c7
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 01:33:33 2013 +0400
| | 
| |     Commented out unused projecting functions to avoid unhandled memory
| | 
| | M	src/shogun/lib/tapkee/tapkee_methods.hpp
| |   
* | commit 2b60dbe596d28aaabed9122799b1aede31c484c5
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Sat Feb 16 21:52:34 2013 +0100
| | 
| |     Fix serialization of Sparse features
| |     
| |     - remove inplace (de-)constructors for SGSparse
| |     - add malloc support for SGSparseVector<T>
| |     - enable unit test for sparse feature serialization
| | 
| | M	examples/undocumented/libshogun/features_dense_real_modular.cpp
| | M	src/shogun/base/Parameter.cpp
| | M	src/shogun/base/Parameter.h
| | M	src/shogun/base/SGObject.cpp
| | M	src/shogun/features/SparseFeatures.cpp
| | M	src/shogun/lib/SGSparseMatrix.cpp
| | M	src/shogun/lib/memory.cpp
| | M	src/shogun/lib/memory.h
| | M	tests/unit/features/SparseFeatures_unittest.cc
| |   
* | commit 99a82365fa46dede16d93d0ef12be9027125b532
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Sat Feb 16 21:09:17 2013 +0100
| | 
| |     add eclipse project file
| | 
| | A	src/shogun/.project
| |   
* | commit 9860c736661ff4aba365c0986911d9883b176cfb
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 00:30:13 2013 +0400
| | 
| |     Removed unnecessary and memory-wise wrong distance initialization in laplacian eigenmaps
| | 
| | M	src/shogun/converter/LaplacianEigenmaps.cpp
| |   
* | commit 4091d89436dcfda623a16ce7cfd59033db045fc5
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 00:23:22 2013 +0400
| | 
| |     Added gcda for clear target
| | 
| | M	src/Makefile.template
| |   
* | commit c4d485eea0740e9357812b55a166e18120d5c6c4
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 00:04:54 2013 +0400
| | 
| |     Fixed totally wrong tapkee integration feature access callback
| | 
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| |   
* | commit 749d96694ba2f35b84f786bccb57614179415fec
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Feb 17 00:04:18 2013 +0400
| | 
| |     Ignore gcda file extension
| | 
| | M	.gitignore
| |     
* |   commit 17d6ba9eb5fea2d38673b03ef28c72f81ffe425f
|\ \  Merge: 83d3fbe 2e37cd5
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Feb 15 11:58:26 2013 -0800
| |   
| |       Merge pull request #878 from karlnapf/master
| |       
| |       kernel selection for linear time mmd for modular interfaces
| |   
| * commit 2e37cd5beea2fc7f827611e4155b8025fc11bba2
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Fri Feb 15 19:57:12 2013 +0000
| | 
| |     Made new kernel selection methods for linear time MMD available under modular interfaces.
| |     Includes some other minor changes
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| | M	src/interfaces/modular/Features.i
| | M	src/interfaces/modular/Features_includes.i
| | M	src/interfaces/modular/Statistics.i
| | M	src/interfaces/modular/Statistics_includes.i
| | M	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.cpp
| | M	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.h
| | A	src/shogun/statistics/MMDKernelSelectionOpt.cpp
| | A	src/shogun/statistics/MMDKernelSelectionOpt.h
| | D	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
| | D	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| |     
* |   commit 83d3fbed74dc4f9fd77f1a968b5f4cef4280e548
|\ \  Merge: 59719ba 9f1daba
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Fri Feb 15 10:12:51 2013 -0800
| |   
| |       Merge pull request #877 from karlnapf/master
| |       
| |       added epsilon and tube_epsilon for model selection
| |   
| * commit 9f1daba1d32cc786614f64f5fd7088bd2b88aa3b
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Fri Feb 15 18:10:51 2013 +0000
|   
|       added epsilon and tube_epsilon for model selection
|   
|   M	src/shogun/classifier/svm/SVM.cpp
|  
* commit 59719ba652c35ac206feb39945e262b83f7663f6
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Feb 14 20:23:58 2013 +0100
| 
|     require single thread usage & initialize rnd number generator
| 
| M	tests/unit/classifier/svm/SVMOcas_unittest.cc
|  
* commit ac7aa2a4d0da9576f5e90a821d1231acba7d0098
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Feb 14 20:08:57 2013 +0100
| 
|     fix compile error / forgotten glpk include
| 
| M	src/shogun/classifier/mkl/MKL.h
|    
*   commit 59032523db4e58f95b32fe93449b999f7e7fcea3
|\  Merge: 2f80763 09c467a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 14 09:04:19 2013 -0800
| | 
| |     Merge pull request #876 from karlnapf/master
| |     
| |     my first unit test
| |   
| * commit 09c467a5694e89d9a3bcb0e9f3f0ff5742de3ffd
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 14 16:53:40 2013 +0000
| | 
| |     examples work again so use them
| | 
| | M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| |   
| * commit e4b0d2b1e4130780ecc50a555ac2f14e2a0389ee
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Feb 14 16:49:19 2013 +0000
|   
|       my first unit-test to ensure that Gaussian blobs data is produced roughly the right way
|   
|   A	tests/unit/features/CGaussianBlobsDataGenerator_unittest.cc
|  
* commit 2f807630df1d2b18345701ba662d96e1108452fa
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 22:18:48 2013 +0100
| 
|     add valgrind target
| 
| M	tests/unit/Makefile
|  
* commit 8cad60cd802899b362aef78286d2f6da449586e1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 22:18:31 2013 +0100
| 
|     add sparse features serialization test
| 
| A	tests/unit/features/SparseFeatures_unittest.cc
|  
* commit d41b3134895c3e95440fe9c8e446d6d8cddc69cd
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 21:45:41 2013 +0100
| 
|     add serialization test for combined kernel
| 
| M	tests/unit/kernel/CombinedKernel_unittest.cc
|  
* commit bba7f878e20f6440b221b564015637620d713c66
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 21:34:06 2013 +0100
| 
|     set #threads to one *before* training and epsilon to sth very low
| 
| M	tests/unit/multiclass/MulticlassOCAS_unittest.cc
|  
* commit 9580b2de01e236f9bbc411ee066f40f41179ee6c
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 21:30:34 2013 +0100
| 
|     add test for combined kernel weights getter/setter
| 
| A	tests/unit/kernel/CombinedKernel_unittest.cc
|  
* commit f509af518f34862e792b86b65b3831fd13203976
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 21:23:18 2013 +0100
| 
|     add objective test for ocas
| 
| M	tests/unit/classifier/svm/SVMOcas_unittest.cc
|  
* commit b80a07c63b7123d23c4b1f4682c000daf404182d
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 13 21:11:46 2013 +0100
| 
|     fix %template warning and potential compile error
| 
| M	src/interfaces/modular/Features.i
| M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
| M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
|    
*   commit 8d72b2949edc7427ff33414b914239745d7e9a83
|\  Merge: 0a21ab6 e15edc3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Feb 13 11:41:28 2013 -0800
| | 
| |     Merge pull request #875 from karlnapf/master
| |     
| |     quickfix
| |   
| * commit e15edc3eb2ac0c81b875801d22d9877eea75e396
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Feb 13 19:40:51 2013 +0000
| | 
| |     added forgotten template arugment in base class
| | 
| | M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
| |     
* |   commit 0a21ab68ecbae93c2f31dd3962b6512b9e12a3b6
|\ \  Merge: 18ea338 d9bb5b8
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Wed Feb 13 11:33:13 2013 -0800
| |   
| |       Merge pull request #874 from karlnapf/master
| |       
| |       New class for data generation
| |   
| * commit d9bb5b825203d4e52c7e1399a3b3f2a56dca23ca
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Feb 13 19:30:53 2013 +0000
| | 
| |     made CMeanShiftDataGenerator not be a template anymore since useless and annoying
| | 
| | M	examples/undocumented/libshogun/statistics_linear_time_mmd.cpp
| | M	examples/undocumented/libshogun/streaming_generators.cpp
| | M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| | M	src/interfaces/modular/Features.i
| | M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
| | M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
| |   
| * commit 773664da6de95fa85580eccd5aa549cf9f94d923
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Feb 13 18:50:59 2013 +0000
| | 
| |     added example for new gaussian blobs data generator
| | 
| | M	examples/undocumented/libshogun/streaming_generators.cpp
| |   
| * commit 822d40a6534b801ea2c83fede17d9c165dde846c
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Feb 13 18:50:15 2013 +0000
| | 
| |     added new streaming data generator class for creating Gaussian blobs as in NIPS paper for optimal kernel choice for linear time MMD
| | 
| | A	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.cpp
| | A	src/shogun/features/streaming/generators/GaussianBlobsDataGenerator.h
| |   
| * commit 7e6bc9c9fd797cd0120735760dc42393c06b63ab
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Sat Feb 9 23:17:58 2013 +0000
|   
|       fixed typo
|   
|   M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
|   M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
|    
*   commit 18ea3388b7b64b08df95f7d7f34c7fad484c9851
|\  Merge: da53770 59e15f5
| | Author: Viktor Gal <vigsterkr@gmail.com>
| | Date:   Wed Feb 13 06:50:39 2013 -0800
| | 
| |     Merge pull request #872 from vigsterkr/master
| |     
| |     Fix unit tests for SGVector::max_abs and MOCASSVM
| |   
| * commit 59e15f5087e05618b4f29faa533b3d8002571ec0
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Wed Feb 13 15:48:56 2013 +0100
|   
|       Fix unit tests for SGVector::max_abs and MOCASSVM
|       there was a bug when calculating max_abs in an SGVector
|       and MulticlassOCAS has been set to use only 1 thread
|   
|   M	tests/unit/lib/SGVector_unittest.cc
|   M	tests/unit/multiclass/MulticlassOCAS_unittest.cc
|    
*   commit da53770c936c847376f96449e78f2545fc7269ef
|\  Merge: db0a595 c553667
| | Author: Viktor Gal <vigsterkr@gmail.com>
| | Date:   Wed Feb 13 02:41:53 2013 -0800
| | 
| |     Merge pull request #867 from iglesias/master
| |     
| |     minor fix: add POSTLINKFLAGS in linking gtest
| |     
| *   commit c5536673621c26ebbaa7cdb496eb733a66ce5a16
| |\  Merge: a954c4f 021237f
| | | Author: iglesias <fernando.iglesiasg@gmail.com>
| | | Date:   Wed Feb 13 11:39:04 2013 +0100
| | | 
| | |     Merge branch 'master' of github.com:iglesias/shogun
| | |     
| | |     Conflicts:
| | |     	tests/unit/Makefile
| | |    
| | * commit 021237f32332ba15b6b0baf337b4ae3e5293c0d4
| | | Author: iglesias <fernando.iglesiasg@gmail.com>
| | | Date:   Sat Feb 9 23:56:01 2013 +0100
| | | 
| | |     add -lpthread flag to build tests correctly
| | | 
| | | M	tests/unit/Makefile
| | |    
| * | commit a954c4f2912d5c736a9c521750e48bf9082f1707
|/ /  Author: iglesias <fernando.iglesiasg@gmail.com>
| |   Date:   Wed Feb 13 11:36:07 2013 +0100
| |   
| |       minor fix: add POSTLINKFLAGS in linking gtest
| |   
| |   M	tests/unit/Makefile
| |     
* |   commit db0a595a2cc65032be3573b340c9d10548912c55
|\ \  Merge: c515f49 3f87a2e
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Wed Feb 13 00:43:33 2013 -0800
| | | 
| | |     Merge pull request #862 from iglesias/tapkee
| | |     
| | |     [WIP] Small fixes in converters to avoid valgrind errors
| | |    
| * | commit 3f87a2e0183aa42396be7994f6bfd7233544223a
| | | Author: iglesias <fernando.iglesiasg@gmail.com>
| | | Date:   Wed Feb 13 01:19:22 2013 +0100
| | | 
| | |     * minor fix in NPE to avoid valgrind complains
| | | 
| | | M	src/shogun/converter/NeighborhoodPreservingEmbedding.cpp
| | |    
| * | commit ded1104c19f0445fbf33f40f2508145b5606291d
| | | Author: iglesias <fernando.iglesiasg@gmail.com>
| | | Date:   Wed Feb 13 01:13:26 2013 +0100
| | | 
| | |     + Gaussian kernel width initialization in DiffusionMaps
| | | 
| | | M	src/shogun/converter/DiffusionMaps.cpp
| | |    
| * | commit c4443b05e08274639d5053f4bc5dfdb357b7df71
|/ /  Author: iglesias <fernando.iglesiasg@gmail.com>
| |   Date:   Tue Feb 12 13:07:11 2013 +0100
| |   
| |       small fix in KLLE to avoid valgrind errors
| |   
| |   M	src/shogun/converter/KernelLocallyLinearEmbedding.cpp
| |   
* | commit c515f49661ed3bfde488fa9597c9a7b75484f4ba
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Feb 11 00:10:07 2013 +0400
| | 
| |     Dummy malsar routines doc
| | 
| | M	src/shogun/lib/malsar/malsar_clustered.h
| | M	src/shogun/lib/malsar/malsar_joint_feature_learning.h
| | M	src/shogun/lib/malsar/malsar_low_rank.h
| |   
* | commit c8b58e5cd9407902ffa13f895f202e2b0be8b628
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Feb 11 00:04:20 2013 +0400
| | 
| |     Preparations for GCOV code coverage tool usage
| |     
| |     Ignored .gcno file extension
| |     Updated Makefile to clean .gcno files
| | 
| | M	.gitignore
| | M	src/Makefile.template
| |   
* | commit a119187825cdfe97038e889b1893cebc1de46a2e
|/  Author: Soeren Sonnenburg <sonne@debian.org>
|   Date:   Sun Feb 10 20:16:49 2013 +0100
|   
|       use expect_double_eq for double comparison
|   
|   M	tests/unit/lib/SGVector_unittest.cc
|  
* commit 001790288e12ada4bd2d4956007b4f87834d84c7
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Feb 8 23:12:14 2013 +0100
| 
|     fix argmax/max in sgvector
|     
|     for float/double: isamax computes the argmax of abs(vector)
|     not the max! introduce new max_abs / arg_max_abs functions for that and
|     add tests for these too.
| 
| M	src/Makefile
| M	src/configure
| M	src/shogun/lib/SGVector.cpp
| M	src/shogun/lib/SGVector.h
| M	tests/unit/lib/SGVector_unittest.cc
|  
* commit 55a234d58576e3bffaa12a98fee48cda77177e26
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Feb 9 00:22:00 2013 +0400
| 
|     Removed shameful not stable mark from Local Alignment string kernel
| 
| M	src/shogun/kernel/string/LocalAlignmentStringKernel.cpp
|  
* commit 77862dda510a8c39790cd36d7de46a14d035e84c
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Feb 8 20:25:04 2013 +0100
| 
|     hopefully fix gmock/gtest detection
| 
| M	src/configure
|  
* commit 159ddb02b278342f1b37097f4bd2cb3d12de061d
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Feb 8 19:38:55 2013 +0100
| 
|     fix miscelleaneous erros/warnings
|     
|     - fix example compiler error
|     - fix doxygen warnings
|     - fix compiler flag
| 
| M	examples/undocumented/libshogun/parameter_set_from_parameters.cpp
| M	src/configure
| M	src/shogun/base/Parameter.h
| M	src/shogun/lib/DynamicObjectArray.h
|    
*   commit 24a7529c8af20750f31d316fd098b9c98b3518fb
|\  Merge: 9c17a1d 0c0581e
| | Author: Viktor Gal <vigsterkr@gmail.com>
| | Date:   Fri Feb 8 08:43:36 2013 -0800
| | 
| |     Merge pull request #860 from vigsterkr/utest
| |     
| |     Fix google mocking framework detection
| |   
| * commit 0c0581eedaeab0beb973241535788e350a083914
| | Author: vigsterkr <vigsterkr@gmail.com>
| | Date:   Fri Feb 8 17:40:04 2013 +0100
| | 
| |     Fix google mocking framework detection
| |     Google unit testing and mocking framework has to be compiled
| |     with the same compiler flags as the code you are testing.
| | 
| | M	src/configure
| | M	tests/unit/Makefile
| |   
* | commit 9c17a1d8f0fb20da361ba58046a4e32874850a54
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Fri Feb 8 19:05:42 2013 +0400
| | 
| |     Removed covertree example
| | 
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/library_cover_tree.cpp
| |   
* | commit 7d0a59b5373bccd869b44bbdc370e62319349569
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Fri Feb 8 18:54:16 2013 +0400
| | 
| |     Removed fibheap and arpack examples
| | 
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/library_fibonacci_heap.cpp
| | D	examples/undocumented/libshogun/mathematics_arpack.cpp
| |     
* |   commit 253b5bc7d3930dd70f9b0d434e68d8da47f7d495
|\ \  Merge: 680939f dfe64a8
| |/  Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
|/|   Date:   Fri Feb 8 05:05:28 2013 -0800
| |   
| |       Merge pull request #859 from AlexBinder/master
| |       
| |       init random number generator in evaluation_cross_validation_multiclass_mkl.cpp
| |   
| * commit dfe64a849684b3801ce1d5999e954d4e1e07f0b6
|/  Author: AlexBinder <alexander.binder@tu-berlin.de>
|   Date:   Fri Feb 8 13:18:58 2013 +0100
|   
|       initialized random number generator for reproducible outcomes in the light of an assertion ASSERT(result->mean>0.9);
|   
|   M	examples/undocumented/libshogun/evaluation_cross_validation_multiclass_mkl.cpp
|  
* commit 680939fd00c27f5fdc4890542ad3194784984e28
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Feb 8 12:15:26 2013 +0100
| 
|     fix (harmless) error messages on make install
|     
|     better avoid them to not confuse us users or devlopers :)
| 
| M	src/Makefile.template
|    
*   commit 66b147db40329985b8dd7792cc4287cf8345a574
|\  Merge: c370b5d f1df014
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Feb 7 10:53:45 2013 -0800
| | 
| |     Merge pull request #858 from karlnapf/master
| |     
| |     Finally finished all mmd kernel selection methods
| |   
| * commit f1df01409d8f2166964df2788edaca97bc48bf36
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Feb 7 18:52:13 2013 +0000
|   
|       -finally make median kernel selection work
|       -bugfixed (added a new constructor to SGMatrix)
|       -added a new test for median kernel selection
|   
|   M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
|   M	src/shogun/lib/SGMatrix.cpp
|   M	src/shogun/lib/SGMatrix.h
|   M	src/shogun/statistics/MMDKernelSelectionComb.cpp
|   M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
|   M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
|  
* commit c370b5de2757dcd216e93d1022357b768ab08811
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Feb 7 10:44:03 2013 +0100
| 
|     mention perl interface and data in README
| 
| M	README
|  
* commit 18666b1527465efdd4292b93f0e21a9ccd5e26cc
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Feb 7 01:25:20 2013 +0400
| 
|     Removed unused arpack wrapper and removed unused covertree import
| 
| M	src/shogun/classifier/NearestCentroid.h
| M	src/shogun/converter/MultidimensionalScaling.cpp
| D	src/shogun/mathematics/arpack.cpp
| D	src/shogun/mathematics/arpack.h
|  
* commit 48e3489656524eaa7689af5dc34492922167dfab
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Feb 7 01:16:25 2013 +0400
| 
|     Removed duplicate of fibonacci heap
| 
| D	src/shogun/lib/FibonacciHeap.cpp
| D	src/shogun/lib/FibonacciHeap.h
|  
* commit ff6d33624986decf4e085ed02418bf7fd8fbf7b7
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Thu Feb 7 00:45:27 2013 +0400
| 
|     Removed unused covertree
| 
| D	src/shogun/lib/CoverTree.h
|  
* commit b2e2b301eebfaed45cdcc7fa591f5b9599bfc4f1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 21:23:52 2013 +0100
| 
|     fix some clang compile errors
| 
| M	src/shogun/multiclass/LaRank.cpp
| M	src/shogun/multiclass/LaRank.h
|  
* commit 37d473621e388d64e0abd8ae0064cd49283b64e6
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 21:23:12 2013 +0100
| 
|     remove cstring include to hopefully fix clang compile error
| 
| M	src/interfaces/python_modular/protocols_helper.i
|  
* commit 397f02747e5665e68a00be15858f60312953b3fb
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 21:15:10 2013 +0100
| 
|     really disable optimizations in travis
| 
| M	.travis.yml
|  
* commit 61197e6018fe278bfae1b103c8494903f850b80b
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Wed Feb 6 22:34:46 2013 +0400
| 
|     Disabled optimizations in travis
| 
| M	.travis.yml
|  
* commit ad53e41509b3b2641ba25c5c4eb3d23c842ab4d2
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 19:22:54 2013 +0100
| 
|     enable more strict compiler settings
| 
| M	src/configure
|  
* commit 4791238c1617776a7add5339a6b00f5c6b076072
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 19:04:37 2013 +0100
| 
|     Fix a couple of clang compiler warnings.
| 
| M	src/shogun/io/SerializableFile.h
| M	src/shogun/lib/IndexBlock.cpp
| M	src/shogun/lib/IndexBlock.h
| M	src/shogun/lib/SGStringList.h
| M	src/shogun/multiclass/ScatterSVM.cpp
|  
* commit 5c8e2b102d53ad85ccd94870ec9b3c0a2ea197d0
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 14:05:29 2013 +0100
| 
|     remove legacy whitespace in all SG_*IO functions
|     
|     like SG_INFO( "foo") -> SG_INFO("foo")
| 
| M	src/shogun/base/Version.cpp
| M	src/shogun/classifier/LDA.cpp
| M	src/shogun/classifier/PluginEstimate.cpp
| M	src/shogun/classifier/PluginEstimate.h
| M	src/shogun/classifier/mkl/MKL.cpp
| M	src/shogun/classifier/mkl/MKLMulticlassGradient.cpp
| M	src/shogun/classifier/svm/CPLEXSVM.cpp
| M	src/shogun/classifier/svm/GPBTSVM.cpp
| M	src/shogun/classifier/svm/LibSVM.cpp
| M	src/shogun/classifier/svm/MPDSVM.cpp
| M	src/shogun/classifier/svm/SVM.cpp
| M	src/shogun/classifier/svm/SVMLight.cpp
| M	src/shogun/classifier/svm/SVMLightOneClass.cpp
| M	src/shogun/classifier/svm/WDSVMOcas.cpp
| M	src/shogun/distance/CustomDistance.cpp
| M	src/shogun/distance/CustomDistance.h
| M	src/shogun/distance/DenseDistance.h
| M	src/shogun/distance/Distance.cpp
| M	src/shogun/distance/HammingWordDistance.cpp
| M	src/shogun/distance/SparseDistance.h
| M	src/shogun/distributions/HMM.cpp
| M	src/shogun/distributions/HMM.h
| M	src/shogun/features/Alphabet.cpp
| M	src/shogun/features/CombinedDotFeatures.cpp
| M	src/shogun/features/CombinedFeatures.cpp
| M	src/shogun/features/DenseFeatures.cpp
| M	src/shogun/features/DotFeatures.cpp
| M	src/shogun/features/FKFeatures.cpp
| M	src/shogun/features/Features.cpp
| M	src/shogun/features/HashedWDFeaturesTransposed.cpp
| M	src/shogun/features/PolyFeatures.cpp
| M	src/shogun/features/RealFileFeatures.cpp
| M	src/shogun/features/SparseFeatures.cpp
| M	src/shogun/features/StringFeatures.cpp
| M	src/shogun/features/TOPFeatures.cpp
| M	src/shogun/io/SimpleFile.h
| M	src/shogun/kernel/AUCKernel.cpp
| M	src/shogun/kernel/CombinedKernel.cpp
| M	src/shogun/kernel/CustomKernel.cpp
| M	src/shogun/kernel/CustomKernel.h
| M	src/shogun/kernel/DotKernel.h
| M	src/shogun/kernel/Kernel.cpp
| M	src/shogun/kernel/Kernel.h
| M	src/shogun/kernel/ProductKernel.cpp
| M	src/shogun/kernel/SparseKernel.h
| M	src/shogun/kernel/string/CommUlongStringKernel.cpp
| M	src/shogun/kernel/string/CommWordStringKernel.cpp
| M	src/shogun/kernel/string/HistogramWordStringKernel.cpp
| M	src/shogun/kernel/string/LocalityImprovedStringKernel.cpp
| M	src/shogun/kernel/string/SalzbergWordStringKernel.cpp
| M	src/shogun/kernel/string/SalzbergWordStringKernel.h
| M	src/shogun/kernel/string/WeightedCommWordStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreePositionStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreePositionStringKernel.h
| M	src/shogun/kernel/string/WeightedDegreeStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreeStringKernel.h
| M	src/shogun/lib/DynamicArray.h
| M	src/shogun/lib/Trie.cpp
| M	src/shogun/lib/Trie.h
| M	src/shogun/lib/external/gpdtsolve.cpp
| M	src/shogun/lib/external/ssl.cpp
| M	src/shogun/machine/KernelMachine.cpp
| M	src/shogun/mathematics/Cplex.cpp
| M	src/shogun/mathematics/Math.cpp
| M	src/shogun/multiclass/GMNPSVM.cpp
| M	src/shogun/multiclass/KNN.cpp
| M	src/shogun/multiclass/KNN.h
| M	src/shogun/multiclass/MulticlassLibSVM.cpp
| M	src/shogun/multiclass/MulticlassSVM.cpp
| M	src/shogun/multiclass/ScatterSVM.cpp
| M	src/shogun/preprocessor/PruneVarSubMean.cpp
| M	src/shogun/preprocessor/SortUlongString.cpp
| M	src/shogun/regression/gp/ExactInferenceMethod.cpp
| M	src/shogun/regression/gp/FITCInferenceMethod.cpp
| M	src/shogun/regression/gp/LaplacianInferenceMethod.cpp
| M	src/shogun/regression/svr/LibSVR.cpp
| M	src/shogun/regression/svr/SVRLight.cpp
| M	src/shogun/structure/DynProg.cpp
| M	src/shogun/structure/Plif.cpp
| M	src/shogun/structure/Plif.h
| M	src/shogun/structure/PlifMatrix.cpp
| M	src/shogun/structure/SegmentLoss.cpp
| M	src/shogun/ui/GUIDistance.cpp
| M	src/shogun/ui/GUIFeatures.cpp
| M	src/shogun/ui/GUIHMM.cpp
| M	src/shogun/ui/GUIKernel.cpp
| M	src/shogun/ui/GUIPluginEstimate.cpp
| M	src/shogun/ui/GUIPreprocessor.cpp
| M	src/shogun/ui/SGInterface.cpp
|  
* commit 792f8955781fc5149a114e7349107b0d52ba2132
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Feb 6 13:56:15 2013 +0100
| 
|     Improve speed of SG_*IO debug functions
|     
|     - SG_DEBUG & co are likely not enabled. Improve macros to test if
|     loglevel is above the to-be-shown level and only then call io code
|     - Note: This change requires that all SG_*IO functions no longer have a
|     trailing ";", e.g. SG_DEBUG("hi there...") is sufficient.
| 
| M	src/interfaces/octave_static/OctaveInterface.cpp
| M	src/interfaces/python_static/PythonInterface.cpp
| M	src/interfaces/r_static/RInterface.cpp
| M	src/shogun/base/Parallel.cpp
| M	src/shogun/base/Parameter.cpp
| M	src/shogun/base/ParameterMap.cpp
| M	src/shogun/base/SGObject.cpp
| M	src/shogun/base/SGObject.h
| M	src/shogun/base/Version.cpp
| M	src/shogun/classifier/AveragedPerceptron.cpp
| M	src/shogun/classifier/FeatureBlockLogisticRegression.cpp
| M	src/shogun/classifier/LDA.cpp
| M	src/shogun/classifier/LDA.h
| M	src/shogun/classifier/LPBoost.cpp
| M	src/shogun/classifier/LPBoost.h
| M	src/shogun/classifier/LPM.cpp
| M	src/shogun/classifier/LPM.h
| M	src/shogun/classifier/NearestCentroid.cpp
| M	src/shogun/classifier/Perceptron.cpp
| M	src/shogun/classifier/PluginEstimate.cpp
| M	src/shogun/classifier/PluginEstimate.h
| M	src/shogun/classifier/SubGradientLPM.cpp
| M	src/shogun/classifier/mkl/MKL.cpp
| M	src/shogun/classifier/mkl/MKLClassification.cpp
| M	src/shogun/classifier/mkl/MKLMulticlass.cpp
| M	src/shogun/classifier/mkl/MKLMulticlassGLPK.cpp
| M	src/shogun/classifier/mkl/MKLMulticlassGradient.cpp
| M	src/shogun/classifier/mkl/MKLMulticlassOptimizationBase.cpp
| M	src/shogun/classifier/mkl/MKLOneClass.cpp
| M	src/shogun/classifier/svm/CPLEXSVM.cpp
| M	src/shogun/classifier/svm/GNPPLib.cpp
| M	src/shogun/classifier/svm/GNPPSVM.cpp
| M	src/shogun/classifier/svm/GPBTSVM.cpp
| M	src/shogun/classifier/svm/LibLinear.cpp
| M	src/shogun/classifier/svm/LibSVM.cpp
| M	src/shogun/classifier/svm/LibSVMOneClass.cpp
| M	src/shogun/classifier/svm/MPDSVM.cpp
| M	src/shogun/classifier/svm/MPDSVM.h
| M	src/shogun/classifier/svm/NewtonSVM.cpp
| M	src/shogun/classifier/svm/OnlineLibLinear.cpp
| M	src/shogun/classifier/svm/OnlineSVMSGD.cpp
| M	src/shogun/classifier/svm/QPBSVMLib.cpp
| M	src/shogun/classifier/svm/SGDQN.cpp
| M	src/shogun/classifier/svm/SVM.cpp
| M	src/shogun/classifier/svm/SVMLight.cpp
| M	src/shogun/classifier/svm/SVMLightOneClass.cpp
| M	src/shogun/classifier/svm/SVMLin.cpp
| M	src/shogun/classifier/svm/SVMOcas.cpp
| M	src/shogun/classifier/svm/SVMSGD.cpp
| M	src/shogun/classifier/svm/SubGradientSVM.cpp
| M	src/shogun/classifier/svm/WDSVMOcas.cpp
| M	src/shogun/classifier/svm/WDSVMOcas.h
| M	src/shogun/classifier/vw/VowpalWabbit.cpp
| M	src/shogun/classifier/vw/VwParser.cpp
| M	src/shogun/classifier/vw/VwRegressor.cpp
| M	src/shogun/classifier/vw/cache/VwCacheReader.cpp
| M	src/shogun/classifier/vw/cache/VwCacheWriter.cpp
| M	src/shogun/classifier/vw/cache/VwNativeCacheReader.cpp
| M	src/shogun/clustering/GMM.cpp
| M	src/shogun/clustering/Hierarchical.cpp
| M	src/shogun/clustering/Hierarchical.h
| M	src/shogun/clustering/KMeans.cpp
| M	src/shogun/converter/DiffusionMaps.cpp
| M	src/shogun/converter/EmbeddingConverter.cpp
| M	src/shogun/converter/Isomap.cpp
| M	src/shogun/converter/KernelLocallyLinearEmbedding.cpp
| M	src/shogun/converter/LaplacianEigenmaps.cpp
| M	src/shogun/converter/LocallyLinearEmbedding.cpp
| M	src/shogun/converter/MultidimensionalScaling.cpp
| M	src/shogun/converter/StochasticProximityEmbedding.cpp
| M	src/shogun/distance/AttenuatedEuclideanDistance.cpp
| M	src/shogun/distance/BrayCurtisDistance.cpp
| M	src/shogun/distance/CanberraMetric.cpp
| M	src/shogun/distance/CanberraWordDistance.cpp
| M	src/shogun/distance/ChebyshewMetric.cpp
| M	src/shogun/distance/ChiSquareDistance.cpp
| M	src/shogun/distance/CosineDistance.cpp
| M	src/shogun/distance/CustomDistance.cpp
| M	src/shogun/distance/CustomDistance.h
| M	src/shogun/distance/DenseDistance.h
| M	src/shogun/distance/DirectorDistance.h
| M	src/shogun/distance/Distance.cpp
| M	src/shogun/distance/Distance.h
| M	src/shogun/distance/EuclideanDistance.cpp
| M	src/shogun/distance/GeodesicMetric.cpp
| M	src/shogun/distance/HammingWordDistance.cpp
| M	src/shogun/distance/JensenMetric.cpp
| M	src/shogun/distance/KernelDistance.cpp
| M	src/shogun/distance/MahalanobisDistance.cpp
| M	src/shogun/distance/ManhattanMetric.cpp
| M	src/shogun/distance/ManhattanWordDistance.cpp
| M	src/shogun/distance/MinkowskiMetric.cpp
| M	src/shogun/distance/RealDistance.h
| M	src/shogun/distance/SparseDistance.h
| M	src/shogun/distance/StringDistance.h
| M	src/shogun/distance/TanimotoDistance.cpp
| M	src/shogun/distributions/Distribution.cpp
| M	src/shogun/distributions/Gaussian.cpp
| M	src/shogun/distributions/HMM.cpp
| M	src/shogun/distributions/HMM.h
| M	src/shogun/distributions/Histogram.cpp
| M	src/shogun/distributions/LinearHMM.cpp
| M	src/shogun/distributions/LinearHMM.h
| M	src/shogun/distributions/PositionalPWM.cpp
| M	src/shogun/evaluation/ClusteringAccuracy.cpp
| M	src/shogun/evaluation/ClusteringEvaluation.cpp
| M	src/shogun/evaluation/ClusteringMutualInformation.cpp
| M	src/shogun/evaluation/ContingencyTableEvaluation.cpp
| M	src/shogun/evaluation/ContingencyTableEvaluation.h
| M	src/shogun/evaluation/CrossValidation.cpp
| M	src/shogun/evaluation/CrossValidation.h
| M	src/shogun/evaluation/CrossValidationMKLStorage.cpp
| M	src/shogun/evaluation/CrossValidationMulticlassStorage.cpp
| M	src/shogun/evaluation/CrossValidationMulticlassStorage.h
| M	src/shogun/evaluation/CrossValidationPrintOutput.cpp
| M	src/shogun/evaluation/DirectorContingencyTableEvaluation.h
| M	src/shogun/evaluation/GradientResult.h
| M	src/shogun/evaluation/MeanAbsoluteError.cpp
| M	src/shogun/evaluation/MeanSquaredError.cpp
| M	src/shogun/evaluation/MeanSquaredLogError.cpp
| M	src/shogun/evaluation/MulticlassAccuracy.cpp
| M	src/shogun/evaluation/MulticlassOVREvaluation.cpp
| M	src/shogun/evaluation/MulticlassOVREvaluation.h
| M	src/shogun/evaluation/PRCEvaluation.cpp
| M	src/shogun/evaluation/ROCEvaluation.cpp
| M	src/shogun/evaluation/StratifiedCrossValidationSplitting.cpp
| M	src/shogun/evaluation/StructuredAccuracy.cpp
| M	src/shogun/features/Alphabet.cpp
| M	src/shogun/features/BinnedDotFeatures.cpp
| M	src/shogun/features/CombinedDotFeatures.cpp
| M	src/shogun/features/CombinedFeatures.cpp
| M	src/shogun/features/DenseFeatures.cpp
| M	src/shogun/features/DenseSubsetFeatures.h
| M	src/shogun/features/DirectorDotFeatures.h
| M	src/shogun/features/DotFeatures.cpp
| M	src/shogun/features/ExplicitSpecFeatures.cpp
| M	src/shogun/features/FKFeatures.cpp
| M	src/shogun/features/Features.cpp
| M	src/shogun/features/Features.h
| M	src/shogun/features/HashedWDFeatures.cpp
| M	src/shogun/features/HashedWDFeaturesTransposed.cpp
| M	src/shogun/features/ImplicitWeightedSpecFeatures.cpp
| M	src/shogun/features/LBPPyrDotFeatures.cpp
| M	src/shogun/features/LatentFeatures.cpp
| M	src/shogun/features/PolyFeatures.cpp
| M	src/shogun/features/RealFileFeatures.cpp
| M	src/shogun/features/SNPFeatures.cpp
| M	src/shogun/features/SparseFeatures.cpp
| M	src/shogun/features/SparsePolyFeatures.cpp
| M	src/shogun/features/StringFeatures.cpp
| M	src/shogun/features/StringFileFeatures.cpp
| M	src/shogun/features/SubsetStack.h
| M	src/shogun/features/TOPFeatures.cpp
| M	src/shogun/features/WDFeatures.cpp
| M	src/shogun/features/streaming/StreamingDenseFeatures.cpp
| M	src/shogun/features/streaming/StreamingDotFeatures.cpp
| M	src/shogun/features/streaming/StreamingFeatures.cpp
| M	src/shogun/features/streaming/StreamingSparseFeatures.cpp
| M	src/shogun/features/streaming/StreamingStringFeatures.cpp
| M	src/shogun/features/streaming/StreamingVwFeatures.cpp
| M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.cpp
| M	src/shogun/io/AsciiFile.cpp
| M	src/shogun/io/BinaryFile.cpp
| M	src/shogun/io/BinaryStream.h
| M	src/shogun/io/File.cpp
| M	src/shogun/io/HDF5File.cpp
| M	src/shogun/io/HDF5File.h
| M	src/shogun/io/IOBuffer.cpp
| M	src/shogun/io/MemoryMappedFile.h
| M	src/shogun/io/SGIO.cpp
| M	src/shogun/io/SGIO.h
| M	src/shogun/io/SerializableAsciiFile.cpp
| M	src/shogun/io/SerializableAsciiReader00.cpp
| M	src/shogun/io/SerializableFile.cpp
| M	src/shogun/io/SerializableHdf5File.cpp
| M	src/shogun/io/SerializableHdf5Reader00.cpp
| M	src/shogun/io/SerializableJsonFile.cpp
| M	src/shogun/io/SerializableXmlFile.cpp
| M	src/shogun/io/SerializableXmlReader00.cpp
| M	src/shogun/io/SimpleFile.h
| M	src/shogun/io/streaming/InputParser.h
| M	src/shogun/io/streaming/ParseBuffer.h
| M	src/shogun/io/streaming/StreamingAsciiFile.cpp
| M	src/shogun/io/streaming/StreamingFile.cpp
| M	src/shogun/io/streaming/StreamingFile.h
| M	src/shogun/io/streaming/StreamingFileFromDenseFeatures.h
| M	src/shogun/io/streaming/StreamingFileFromFeatures.h
| M	src/shogun/io/streaming/StreamingVwCacheFile.cpp
| M	src/shogun/io/streaming/StreamingVwFile.cpp
| M	src/shogun/kernel/ANOVAKernel.cpp
| M	src/shogun/kernel/AUCKernel.cpp
| M	src/shogun/kernel/BesselKernel.cpp
| M	src/shogun/kernel/CauchyKernel.cpp
| M	src/shogun/kernel/Chi2Kernel.cpp
| M	src/shogun/kernel/CircularKernel.cpp
| M	src/shogun/kernel/CombinedKernel.cpp
| M	src/shogun/kernel/CombinedKernel.h
| M	src/shogun/kernel/CustomKernel.cpp
| M	src/shogun/kernel/CustomKernel.h
| M	src/shogun/kernel/DirectorKernel.h
| M	src/shogun/kernel/DistanceKernel.cpp
| M	src/shogun/kernel/DotKernel.h
| M	src/shogun/kernel/ExponentialKernel.cpp
| M	src/shogun/kernel/GaussianARDKernel.cpp
| M	src/shogun/kernel/GaussianKernel.cpp
| M	src/shogun/kernel/GaussianShiftKernel.cpp
| M	src/shogun/kernel/GaussianShortRealKernel.cpp
| M	src/shogun/kernel/HistogramIntersectionKernel.cpp
| M	src/shogun/kernel/JensenShannonKernel.cpp
| M	src/shogun/kernel/Kernel.cpp
| M	src/shogun/kernel/Kernel.h
| M	src/shogun/kernel/LinearARDKernel.cpp
| M	src/shogun/kernel/LinearKernel.cpp
| M	src/shogun/kernel/LinearKernel.h
| M	src/shogun/kernel/LogKernel.cpp
| M	src/shogun/kernel/MultiquadricKernel.cpp
| M	src/shogun/kernel/PowerKernel.cpp
| M	src/shogun/kernel/ProductKernel.cpp
| M	src/shogun/kernel/ProductKernel.h
| M	src/shogun/kernel/PyramidChi2.cpp
| M	src/shogun/kernel/RationalQuadraticKernel.cpp
| M	src/shogun/kernel/SparseKernel.h
| M	src/shogun/kernel/SphericalKernel.cpp
| M	src/shogun/kernel/SplineKernel.cpp
| M	src/shogun/kernel/TStudentKernel.cpp
| M	src/shogun/kernel/TensorProductPairKernel.cpp
| M	src/shogun/kernel/WaveKernel.cpp
| M	src/shogun/kernel/WaveletKernel.cpp
| M	src/shogun/kernel/WeightedDegreeRBFKernel.cpp
| M	src/shogun/kernel/normalizer/AvgDiagKernelNormalizer.h
| M	src/shogun/kernel/normalizer/DiceKernelNormalizer.h
| M	src/shogun/kernel/normalizer/RidgeKernelNormalizer.h
| M	src/shogun/kernel/normalizer/ScatterKernelNormalizer.h
| M	src/shogun/kernel/normalizer/SqrtDiagKernelNormalizer.h
| M	src/shogun/kernel/normalizer/TanimotoKernelNormalizer.h
| M	src/shogun/kernel/normalizer/VarianceKernelNormalizer.h
| M	src/shogun/kernel/normalizer/ZeroMeanCenterKernelNormalizer.h
| M	src/shogun/kernel/string/CommUlongStringKernel.cpp
| M	src/shogun/kernel/string/CommWordStringKernel.cpp
| M	src/shogun/kernel/string/DistantSegmentsKernel.cpp
| M	src/shogun/kernel/string/FixedDegreeStringKernel.cpp
| M	src/shogun/kernel/string/GaussianMatchStringKernel.cpp
| M	src/shogun/kernel/string/HistogramWordStringKernel.cpp
| M	src/shogun/kernel/string/LinearStringKernel.cpp
| M	src/shogun/kernel/string/LocalAlignmentStringKernel.cpp
| M	src/shogun/kernel/string/LocalityImprovedStringKernel.cpp
| M	src/shogun/kernel/string/MatchWordStringKernel.cpp
| M	src/shogun/kernel/string/OligoStringKernel.cpp
| M	src/shogun/kernel/string/PolyMatchStringKernel.cpp
| M	src/shogun/kernel/string/PolyMatchWordStringKernel.cpp
| M	src/shogun/kernel/string/RegulatoryModulesStringKernel.cpp
| M	src/shogun/kernel/string/SNPStringKernel.cpp
| M	src/shogun/kernel/string/SalzbergWordStringKernel.cpp
| M	src/shogun/kernel/string/SalzbergWordStringKernel.h
| M	src/shogun/kernel/string/SimpleLocalityImprovedStringKernel.cpp
| M	src/shogun/kernel/string/SparseSpatialSampleStringKernel.cpp
| M	src/shogun/kernel/string/SparseSpatialSampleStringKernel.h
| M	src/shogun/kernel/string/SpectrumMismatchRBFKernel.cpp
| M	src/shogun/kernel/string/SpectrumRBFKernel.cpp
| M	src/shogun/kernel/string/StringKernel.h
| M	src/shogun/kernel/string/WeightedCommWordStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreePositionStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreePositionStringKernel.h
| M	src/shogun/kernel/string/WeightedDegreeStringKernel.cpp
| M	src/shogun/kernel/string/WeightedDegreeStringKernel.h
| M	src/shogun/labels/BinaryLabels.cpp
| M	src/shogun/labels/DenseLabels.cpp
| M	src/shogun/labels/Labels.cpp
| M	src/shogun/labels/LatentLabels.cpp
| M	src/shogun/labels/MulticlassLabels.cpp
| M	src/shogun/labels/MulticlassMultipleOutputLabels.cpp
| M	src/shogun/labels/RegressionLabels.cpp
| M	src/shogun/labels/StructuredLabels.cpp
| M	src/shogun/latent/DirectorLatentModel.cpp
| M	src/shogun/latent/LatentModel.cpp
| M	src/shogun/latent/LatentSVM.cpp
| M	src/shogun/lib/BitString.h
| M	src/shogun/lib/Cache.h
| M	src/shogun/lib/Compressor.cpp
| M	src/shogun/lib/DataType.cpp
| M	src/shogun/lib/DynInt.h
| M	src/shogun/lib/DynamicArray.h
| M	src/shogun/lib/FibonacciHeap.cpp
| M	src/shogun/lib/GCArray.h
| M	src/shogun/lib/IndexBlock.cpp
| M	src/shogun/lib/IndexBlockGroup.cpp
| M	src/shogun/lib/IndexBlockRelation.cpp
| M	src/shogun/lib/IndexBlockTree.cpp
| M	src/shogun/lib/JLCoverTree.h
| M	src/shogun/lib/JLCoverTreePoint.h
| M	src/shogun/lib/List.h
| M	src/shogun/lib/Map.h
| M	src/shogun/lib/SGMatrix.cpp
| M	src/shogun/lib/SGNDArray.cpp
| M	src/shogun/lib/SGNDArray.h
| M	src/shogun/lib/SGReferencedData.cpp
| M	src/shogun/lib/SGSparseMatrix.cpp
| M	src/shogun/lib/SGSparseVector.cpp
| M	src/shogun/lib/SGString.cpp
| M	src/shogun/lib/SGStringList.cpp
| M	src/shogun/lib/SGVector.cpp
| M	src/shogun/lib/Set.h
| M	src/shogun/lib/Signal.cpp
| M	src/shogun/lib/Time.cpp
| M	src/shogun/lib/Trie.cpp
| M	src/shogun/lib/Trie.h
| M	src/shogun/lib/external/gpdtsolve.cpp
| M	src/shogun/lib/external/gpm.cpp
| M	src/shogun/lib/external/libocas.cpp
| M	src/shogun/lib/external/pr_loqo.cpp
| M	src/shogun/lib/external/shogun_libsvm.cpp
| M	src/shogun/lib/external/ssl.cpp
| M	src/shogun/lib/malsar/malsar_clustered.cpp
| M	src/shogun/lib/malsar/malsar_joint_feature_learning.cpp
| M	src/shogun/lib/malsar/malsar_low_rank.cpp
| M	src/shogun/lib/slep/slep_mc_plain_lr.cpp
| M	src/shogun/lib/slep/slep_mc_tree_lr.cpp
| M	src/shogun/lib/slep/slep_solver.cpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/loss/LogLossMargin.cpp
| M	src/shogun/loss/SmoothHingeLoss.cpp
| M	src/shogun/loss/SquaredHingeLoss.cpp
| M	src/shogun/machine/DirectorKernelMachine.h
| M	src/shogun/machine/DirectorLinearMachine.h
| M	src/shogun/machine/DistanceMachine.cpp
| M	src/shogun/machine/KernelMachine.cpp
| M	src/shogun/machine/KernelMulticlassMachine.cpp
| M	src/shogun/machine/LinearLatentMachine.cpp
| M	src/shogun/machine/LinearMachine.cpp
| M	src/shogun/machine/LinearMulticlassMachine.h
| M	src/shogun/machine/Machine.cpp
| M	src/shogun/machine/Machine.h
| M	src/shogun/machine/MulticlassMachine.cpp
| M	src/shogun/machine/MulticlassMachine.h
| M	src/shogun/machine/OnlineLinearMachine.cpp
| M	src/shogun/machine/OnlineLinearMachine.h
| M	src/shogun/mathematics/Cplex.cpp
| M	src/shogun/mathematics/Math.cpp
| M	src/shogun/mathematics/Math.h
| M	src/shogun/mathematics/Mosek.cpp
| M	src/shogun/mathematics/SparseInverseCovariance.cpp
| M	src/shogun/mathematics/Statistics.cpp
| M	src/shogun/mathematics/arpack.cpp
| M	src/shogun/mathematics/lapack.cpp
| M	src/shogun/modelselection/GradientModelSelection.cpp
| M	src/shogun/modelselection/GridSearchModelSelection.cpp
| M	src/shogun/modelselection/ModelSelectionParameters.cpp
| M	src/shogun/modelselection/ModelSelectionParameters.h
| M	src/shogun/modelselection/ParameterCombination.cpp
| M	src/shogun/modelselection/RandomSearchModelSelection.cpp
| M	src/shogun/modelselection/RandomSearchModelSelection.h
| M	src/shogun/multiclass/ConjugateIndex.cpp
| M	src/shogun/multiclass/GMNPLib.cpp
| M	src/shogun/multiclass/GMNPSVM.cpp
| M	src/shogun/multiclass/GaussianNaiveBayes.cpp
| M	src/shogun/multiclass/KNN.cpp
| M	src/shogun/multiclass/KNN.h
| M	src/shogun/multiclass/LaRank.cpp
| M	src/shogun/multiclass/LaRank.h
| M	src/shogun/multiclass/MulticlassLibLinear.cpp
| M	src/shogun/multiclass/MulticlassLibLinear.h
| M	src/shogun/multiclass/MulticlassLibSVM.cpp
| M	src/shogun/multiclass/MulticlassLogisticRegression.cpp
| M	src/shogun/multiclass/MulticlassLogisticRegression.h
| M	src/shogun/multiclass/MulticlassOCAS.cpp
| M	src/shogun/multiclass/MulticlassOCAS.h
| M	src/shogun/multiclass/MulticlassSVM.cpp
| M	src/shogun/multiclass/MulticlassStrategy.cpp
| M	src/shogun/multiclass/MulticlassStrategy.h
| M	src/shogun/multiclass/MulticlassTreeGuidedLogisticRegression.cpp
| M	src/shogun/multiclass/MulticlassTreeGuidedLogisticRegression.h
| M	src/shogun/multiclass/QDA.cpp
| M	src/shogun/multiclass/QDA.h
| M	src/shogun/multiclass/RejectionStrategy.h
| M	src/shogun/multiclass/ScatterSVM.cpp
| M	src/shogun/multiclass/ShareBoost.cpp
| M	src/shogun/multiclass/ShareBoostOptimizer.cpp
| M	src/shogun/multiclass/ecoc/ECOCDiscriminantEncoder.cpp
| M	src/shogun/multiclass/ecoc/ECOCForestEncoder.cpp
| M	src/shogun/multiclass/ecoc/ECOCRandomDenseEncoder.cpp
| M	src/shogun/multiclass/ecoc/ECOCRandomSparseEncoder.cpp
| M	src/shogun/multiclass/tree/BalancedConditionalProbabilityTree.cpp
| M	src/shogun/multiclass/tree/ConditionalProbabilityTree.cpp
| M	src/shogun/multiclass/tree/ConditionalProbabilityTreeNodeData.h
| M	src/shogun/multiclass/tree/RelaxedTree.cpp
| M	src/shogun/multiclass/tree/RelaxedTree.h
| M	src/shogun/multiclass/tree/RelaxedTreeNodeData.h
| M	src/shogun/multiclass/tree/TreeMachineNode.h
| M	src/shogun/multiclass/tree/VwConditionalProbabilityTree.cpp
| M	src/shogun/optimization/liblinear/shogun_liblinear.cpp
| M	src/shogun/optimization/liblinear/tron.cpp
| M	src/shogun/preprocessor/DecompressString.cpp
| M	src/shogun/preprocessor/DimensionReductionPreprocessor.cpp
| M	src/shogun/preprocessor/HomogeneousKernelMap.cpp
| M	src/shogun/preprocessor/KernelPCA.cpp
| M	src/shogun/preprocessor/LogPlusOne.cpp
| M	src/shogun/preprocessor/NormOne.cpp
| M	src/shogun/preprocessor/PCA.cpp
| M	src/shogun/preprocessor/PNorm.cpp
| M	src/shogun/preprocessor/PruneVarSubMean.cpp
| M	src/shogun/preprocessor/RandomFourierGaussPreproc.cpp
| M	src/shogun/preprocessor/SortUlongString.cpp
| M	src/shogun/preprocessor/SortWordString.cpp
| M	src/shogun/preprocessor/SumOne.cpp
| M	src/shogun/regression/GaussianProcessRegression.cpp
| M	src/shogun/regression/KernelRidgeRegression.cpp
| M	src/shogun/regression/LeastAngleRegression.cpp
| M	src/shogun/regression/LeastAngleRegression.h
| M	src/shogun/regression/LinearRidgeRegression.cpp
| M	src/shogun/regression/gp/ExactInferenceMethod.cpp
| M	src/shogun/regression/gp/FITCInferenceMethod.cpp
| M	src/shogun/regression/gp/GaussianLikelihood.cpp
| M	src/shogun/regression/gp/LaplacianInferenceMethod.cpp
| M	src/shogun/regression/gp/StudentsTLikelihood.cpp
| M	src/shogun/regression/svr/LibLinearRegression.cpp
| M	src/shogun/regression/svr/LibLinearRegression.h
| M	src/shogun/regression/svr/LibSVR.cpp
| M	src/shogun/regression/svr/MKLRegression.cpp
| M	src/shogun/regression/svr/SVRLight.cpp
| M	src/shogun/statistics/HSIC.cpp
| M	src/shogun/statistics/KernelIndependenceTestStatistic.cpp
| M	src/shogun/statistics/KernelMeanMatching.cpp
| M	src/shogun/statistics/LinearTimeMMD.cpp
| M	src/shogun/statistics/MMDKernelSelection.cpp
| M	src/shogun/statistics/MMDKernelSelectionComb.cpp
| M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
| M	src/shogun/statistics/MMDKernelSelectionMedian.cpp
| M	src/shogun/statistics/QuadraticTimeMMD.cpp
| M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| M	src/shogun/structure/CCSOSVM.cpp
| M	src/shogun/structure/DirectorStructuredModel.cpp
| M	src/shogun/structure/DynProg.cpp
| M	src/shogun/structure/DynProg.h
| M	src/shogun/structure/HMSVMLabels.h
| M	src/shogun/structure/HMSVMModel.cpp
| M	src/shogun/structure/IntronList.cpp
| M	src/shogun/structure/MulticlassModel.cpp
| M	src/shogun/structure/MulticlassSOLabels.cpp
| M	src/shogun/structure/MulticlassSOLabels.h
| M	src/shogun/structure/Plif.cpp
| M	src/shogun/structure/Plif.h
| M	src/shogun/structure/PlifArray.cpp
| M	src/shogun/structure/PlifArray.h
| M	src/shogun/structure/PlifMatrix.cpp
| M	src/shogun/structure/PlifMatrix.h
| M	src/shogun/structure/PrimalMosekSOSVM.cpp
| M	src/shogun/structure/SegmentLoss.cpp
| M	src/shogun/structure/SegmentLoss.h
| M	src/shogun/structure/StructuredModel.cpp
| M	src/shogun/structure/TwoStateModel.cpp
| M	src/shogun/structure/libbmrm.cpp
| M	src/shogun/structure/libncbm.cpp
| M	src/shogun/structure/libp3bm.cpp
| M	src/shogun/structure/libppbm.cpp
| M	src/shogun/transfer/domain_adaptation/DomainAdaptationMulticlassLibLinear.cpp
| M	src/shogun/transfer/domain_adaptation/DomainAdaptationSVM.cpp
| M	src/shogun/transfer/domain_adaptation/DomainAdaptationSVMLinear.cpp
| M	src/shogun/transfer/multitask/LibLinearMTL.cpp
| M	src/shogun/transfer/multitask/LibLinearMTL.h
| M	src/shogun/transfer/multitask/MultitaskClusteredLogisticRegression.cpp
| M	src/shogun/transfer/multitask/MultitaskCompositeMachine.cpp
| M	src/shogun/transfer/multitask/MultitaskKernelMaskNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskKernelMaskPairNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskKernelMklNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskKernelNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskKernelPlifNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskKernelTreeNormalizer.h
| M	src/shogun/transfer/multitask/MultitaskL12LogisticRegression.cpp
| M	src/shogun/transfer/multitask/MultitaskLeastSquaresRegression.cpp
| M	src/shogun/transfer/multitask/MultitaskLinearMachine.cpp
| M	src/shogun/transfer/multitask/MultitaskLogisticRegression.cpp
| M	src/shogun/transfer/multitask/MultitaskROCEvaluation.cpp
| M	src/shogun/transfer/multitask/MultitaskTraceLogisticRegression.cpp
| M	src/shogun/transfer/multitask/Task.cpp
| M	src/shogun/transfer/multitask/TaskGroup.cpp
| M	src/shogun/transfer/multitask/TaskTree.cpp
| M	src/shogun/ui/GUIClassifier.cpp
| M	src/shogun/ui/GUIConverter.cpp
| M	src/shogun/ui/GUIDistance.cpp
| M	src/shogun/ui/GUIFeatures.cpp
| M	src/shogun/ui/GUIFeatures.h
| M	src/shogun/ui/GUIHMM.cpp
| M	src/shogun/ui/GUIKernel.cpp
| M	src/shogun/ui/GUILabels.cpp
| M	src/shogun/ui/GUIMath.cpp
| M	src/shogun/ui/GUIPluginEstimate.cpp
| M	src/shogun/ui/GUIPreprocessor.cpp
| M	src/shogun/ui/GUISignals.cpp.orig
| M	src/shogun/ui/GUIStructure.h
| M	src/shogun/ui/SGInterface.cpp
| M	src/shogun/ui/SGInterface.h
|  
* commit 8ebb42b4a6c44b212ffa91b88b3d9e4017572f6f
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Feb 5 08:35:31 2013 +0100
| 
|     fix illegal memory read
|     
|     - when incremental hash is computed on parameters it recurses even into
|     empty dynarrays underneath (stop this from happening)
|     - make dynarray length last ptr 0 based
| 
| M	examples/undocumented/libshogun/Makefile
| A	examples/undocumented/libshogun/features_dense_real_modular.cpp
| M	src/shogun/base/DynArray.h
| M	src/shogun/base/Parameter.cpp
| M	src/shogun/base/Parameter.h
| M	src/shogun/base/SGObject.cpp
| M	src/shogun/base/SGObject.h
| M	src/shogun/features/Subset.cpp
| M	src/shogun/features/SubsetStack.h
| M	src/shogun/lib/DataType.cpp
| M	src/shogun/lib/DataType.h
| M	src/shogun/lib/DynamicArray.h
| M	src/shogun/lib/DynamicObjectArray.h
| M	src/shogun/regression/gp/ExactInferenceMethod.cpp
|    
*   commit e20fd2519a82ca04e8d50ee7bc1949a933f579a5
|\  Merge: a5adf5e 481d9ce
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Mon Feb 4 10:52:43 2013 -0800
| | 
| |     Merge pull request #856 from kmcquisten/FixEvalDirection
| |     
| |     Fixed minor bug in model selection that would erroneously report that it...
| |   
| * commit 481d9cef0c1f086836e0e419bfe9e3115a8c2c65
|/  Author: Kyle McQuisten <kyle.mcquisten@gmail.com>
|   Date:   Mon Feb 4 12:45:23 2013 -0600
|   
|       Fixed minor bug in model selection that would erroneously report that it was
|       maximizing the evaluation criterion instead of minimizing it.
|   
|   M	src/shogun/modelselection/GridSearchModelSelection.cpp
|   M	src/shogun/modelselection/RandomSearchModelSelection.cpp
|  
* commit a5adf5ee1770bdb910ee8784522ccf68d5966523
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sun Jan 27 23:55:04 2013 +0400
| 
|     Ported tapkee bugfix for missed mean subtraction
| 
| M	src/shogun/lib/tapkee/routines/pca.hpp
| M	src/shogun/lib/tapkee/tapkee_methods.hpp
|  
* commit 7c7451f9467eee646913d438c8d685a65f60d3ed
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Jan 19 21:36:52 2013 +0100
| 
|     give us gdb backtraces if a test in libshogun/python* fails
| 
| M	examples/undocumented/libshogun/check.sh
| M	examples/undocumented/python_modular/check.sh
| M	examples/undocumented/python_static/check.sh
| A	src/.gdb
| M	src/Makefile.template
|  
* commit cca874bb34085beaa5ad4d1087a7d818868d3c2f
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Jan 18 20:05:57 2013 +0100
| 
|     add serialization example
| 
| M	examples/undocumented/libshogun/Makefile
| A	examples/undocumented/libshogun/library_serialization.cpp
|  
* commit 273d26b6bd3fe7de953707bd20e3c0892419637b
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Jan 19 21:49:18 2013 +0400
| 
|     Ifdefined arpack include
| 
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
|  
* commit 9cae423ffb0181f2ff190b51a7d5300a9dc011b8
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Jan 19 21:47:08 2013 +0400
| 
|     Added missed guard for case when ARPACK is not available
| 
| M	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
|  
* commit d9d7fe2c2708ee023ec2063115968b0cc2fd0f50
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Jan 19 21:33:48 2013 +0400
| 
|     Disabled landmark isomap in libshogun
| 
| M	examples/undocumented/libshogun/converter_isomap.cpp
|  
* commit d3939f741a543063d63149cdab6236c9ff8aef12
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Jan 19 00:02:03 2013 +0400
| 
|     Fallback for python tapkee examples
| 
| M	examples/undocumented/python_modular/converter_diffusionmaps_modular.py
| M	examples/undocumented/python_modular/converter_hessianlocallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_isomap_modular.py
| M	examples/undocumented/python_modular/converter_kernellocallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_laplacianeigenmaps_modular.py
| M	examples/undocumented/python_modular/converter_linearlocaltangentspacealignment_modular.py
| M	examples/undocumented/python_modular/converter_localitypreservingprojections_modular.py
| M	examples/undocumented/python_modular/converter_locallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_localtangentspacealignment_modular.py
| M	examples/undocumented/python_modular/converter_multidimensionalscaling_modular.py
| M	examples/undocumented/python_modular/converter_stochasticproximityembedding_modular.py
|  
* commit 3d866b11514d41ed02dd62ff20955a72afe83c59
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 15:34:33 2013 +0400
| 
|     Various fixes for tapkee integration
| 
| M	examples/undocumented/python_modular/converter_hessianlocallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_isomap_modular.py
| M	examples/undocumented/python_modular/converter_kernellocallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_laplacianeigenmaps_modular.py
| M	examples/undocumented/python_modular/converter_linearlocaltangentspacealignment_modular.py
| M	examples/undocumented/python_modular/converter_localitypreservingprojections_modular.py
| M	examples/undocumented/python_modular/converter_locallylinearembedding_modular.py
| M	examples/undocumented/python_modular/converter_localtangentspacealignment_modular.py
| M	examples/undocumented/python_modular/converter_stochasticproximityembedding_modular.py
| M	src/shogun/converter/HessianLocallyLinearEmbedding.cpp
| M	src/shogun/converter/LocalTangentSpaceAlignment.cpp
| M	src/shogun/converter/LocalityPreservingProjections.cpp
| M	src/shogun/converter/LocallyLinearEmbedding.cpp
| M	src/shogun/converter/StochasticProximityEmbedding.cpp
| M	src/shogun/lib/tapkee/tapkee_defines.hpp
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/tapkee_shogun.hpp
|  
* commit 6f913935ab9081a16bb2812962885fb1a18f6c8d
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 12:25:51 2013 +0400
| 
|     Disabled landmarks in isomap example
| 
| M	examples/undocumented/python_modular/converter_isomap_modular.py
|  
* commit 522fa05168ad1ba5fc5bdd34f56856f2dc21c717
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 02:59:30 2013 +0400
| 
|     More ifdefs to avoid errors with no eigen3 available
| 
| M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| M	src/shogun/lib/tapkee/tapkee_shogun.hpp
|  
* commit a1ce4d3faac2cdc1696fdbdac6c594a89c770f71
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 02:48:16 2013 +0400
| 
|     Final lapack cleanup in converter module
| 
| M	src/shogun/converter/DiffusionMaps.h
| M	src/shogun/converter/LocalTangentSpaceAlignment.cpp
|  
* commit dd6df902a6e72c0198ee856768ae60e5ba2f1dfd
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 02:44:38 2013 +0400
| 
|     More lapack genocide in converter module
| 
| M	src/shogun/converter/DiffusionMaps.cpp
| M	src/shogun/converter/Isomap.cpp
| M	src/shogun/converter/LinearLocalTangentSpaceAlignment.cpp
| M	src/shogun/converter/LocallyLinearEmbedding.h
|  
* commit 7694f60b8ffe89acb1b30eda4482766014700b68
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 02:39:27 2013 +0400
| 
|     Fixed ifdef in laplacian eigenmaps
| 
| M	src/shogun/converter/LaplacianEigenmaps.cpp
|  
* commit 77d706b10114e154c27efdb3c09b89e53a9feef8
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Fri Jan 18 02:34:03 2013 +0400
| 
|     Fixed requirement in static converter interface
| 
| M	src/shogun/ui/GUIConverter.cpp
|    
*   commit 7b337e4cf6710db358a844c41612aa24319eba03
|\  Merge: 5ee2148 237d969
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Wed Jan 16 13:16:34 2013 -0800
| | 
| |     Merge pull request #854 from lisitsyn/tapkee_merging
| |     
| |     Tapkee library integration
| |   
| * commit 237d96947c42c0232c1f7f9674d9dbea1ab12aba
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 04:29:30 2013 +0400
| | 
| |     Added missed parameter for l-isomap
| | 
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| | M	src/shogun/lib/tapkee/tapkee_shogun.hpp
| |   
| * commit b25c032df983da73fb89d55f2c583259da85beb6
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 04:19:11 2013 +0400
| | 
| |     Fixed mds and isomap eigennormalization
| | 
| | M	src/shogun/lib/tapkee/tapkee_methods.hpp
| |   
| * commit 0d7c48c8c0816a7d852d041e7de444be8810904d
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 03:44:50 2013 +0400
| | 
| |     Updated tapkee defines
| | 
| | M	src/shogun/lib/tapkee/tapkee_defines.hpp
| |   
| * commit 81fac137893747fc0532483abde701f225c193aa
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 03:28:16 2013 +0400
| | 
| |     Fixed backcompatibility sparse matrix building
| | 
| | M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| | M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| |   
| * commit 37983507d7a1c4f67b8e089abdd60355d51f7fcc
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 03:17:36 2013 +0400
| | 
| |     Fallback for no arpack
| | 
| | M	src/shogun/lib/tapkee/tapkee_shogun.cpp
| |   
| * commit 0e69470e750a4d713a4cc08deef8118b29dd7061
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 02:37:44 2013 +0400
| | 
| |     Removed unnecessary omp include
| | 
| | M	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| |   
| * commit 5a9a3d7a390dfdea2ede7c87d51bc46be0eac992
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 02:20:23 2013 +0400
| | 
| |     Backcompatibility for older eigen3
| | 
| | M	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| | M	src/shogun/lib/tapkee/routines/locally_linear.hpp
| | M	src/shogun/lib/tapkee/tapkee.hpp
| | M	src/shogun/lib/tapkee/tapkee_defines.hpp
| | M	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| | M	src/shogun/lib/tapkee/utils/matrix.hpp
| | M	src/shogun/mathematics/eigen3.h
| |   
| * commit e6065b8fd7f94186d69da1008528d63bfae79707
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 02:19:59 2013 +0400
| | 
| |     Updated KLLE
| | 
| | M	src/shogun/converter/KernelLocallyLinearEmbedding.cpp
| |   
| * commit d7b626abe36cbb587fd1b333623d74246382553e
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Jan 13 02:19:48 2013 +0400
| | 
| |     Disabled superlu by default
| | 
| | M	src/configure
| |   
| * commit ae754efc70d1f0f3447be43a90b01ccaf64805c2
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Jan 12 23:42:38 2013 +0400
| | 
| |     Another missed step of tapkee integration
| | 
| | D	applications/edrt/faces.png
| | M	applications/edrt/faces_embedding.py
| | D	applications/edrt/lle_auto_k.py
| | M	applications/edrt/swissroll_embedding.py
| | M	applications/edrt/tutorial_examples/dm.py
| | M	applications/edrt/tutorial_examples/isomap.py
| | D	applications/edrt/tutorial_examples/kltsa.py
| | M	applications/edrt/tutorial_examples/lle.py
| | M	applications/edrt/tutorial_examples/lltsa.py
| | M	examples/undocumented/libshogun/Makefile
| | D	examples/undocumented/libshogun/converter_kernellocaltangentspacealignment.cpp
| | D	examples/undocumented/python_modular/converter_kernellocaltangentspacealignment_modular.py
| | M	src/interfaces/modular/Converter.i
| | M	src/interfaces/modular/Converter_includes.i
| | M	src/shogun/converter/DiffusionMaps.cpp
| | M	src/shogun/converter/DiffusionMaps.h
| | M	src/shogun/converter/HessianLocallyLinearEmbedding.cpp
| | M	src/shogun/converter/HessianLocallyLinearEmbedding.h
| | M	src/shogun/converter/Isomap.cpp
| | M	src/shogun/converter/Isomap.h
| | D	src/shogun/converter/KernelLocalTangentSpaceAlignment.cpp
| | D	src/shogun/converter/KernelLocalTangentSpaceAlignment.h
| | M	src/shogun/converter/KernelLocallyLinearEmbedding.h
| | M	src/shogun/converter/LaplacianEigenmaps.cpp
| | M	src/shogun/converter/LaplacianEigenmaps.h
| | M	src/shogun/converter/LinearLocalTangentSpaceAlignment.cpp
| | M	src/shogun/converter/LinearLocalTangentSpaceAlignment.h
| | M	src/shogun/converter/LocalTangentSpaceAlignment.cpp
| | M	src/shogun/converter/LocalTangentSpaceAlignment.h
| | M	src/shogun/converter/LocalityPreservingProjections.cpp
| | M	src/shogun/converter/LocalityPreservingProjections.h
| | M	src/shogun/converter/LocallyLinearEmbedding.cpp
| | M	src/shogun/converter/LocallyLinearEmbedding.h
| | M	src/shogun/converter/MultidimensionalScaling.cpp
| | M	src/shogun/converter/MultidimensionalScaling.h
| | M	src/shogun/converter/NeighborhoodPreservingEmbedding.cpp
| | M	src/shogun/converter/NeighborhoodPreservingEmbedding.h
| | M	src/shogun/converter/StochasticProximityEmbedding.cpp
| | M	src/shogun/converter/StochasticProximityEmbedding.h
| | M	src/shogun/lib/malsar/malsar_clustered.cpp
| | M	src/shogun/lib/malsar/malsar_joint_feature_learning.cpp
| | M	src/shogun/lib/malsar/malsar_low_rank.cpp
| | M	src/shogun/lib/slep/slep_mc_plain_lr.cpp
| | M	src/shogun/lib/slep/slep_mc_tree_lr.cpp
| | M	src/shogun/mathematics/eigen3.h
| |   
| * commit ca6b4092ce68235da8a2d2b04f7ca1ba70eac563
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sat Jan 12 23:35:45 2013 +0400
| | 
| |     Integrated the tapkee library
| | 
| | A	applications/edrt/faces.png
| | A	src/shogun/lib/tapkee/callbacks/eigen_callbacks.hpp
| | A	src/shogun/lib/tapkee/callbacks/neighbor_callback.hpp
| | A	src/shogun/lib/tapkee/callbacks/pimpl_callbacks.hpp
| | A	src/shogun/lib/tapkee/callbacks/precomputed_callbacks.hpp
| | A	src/shogun/lib/tapkee/callbacks/traits.hpp
| | A	src/shogun/lib/tapkee/neighbors/connected.hpp
| | A	src/shogun/lib/tapkee/neighbors/covertree.hpp
| | A	src/shogun/lib/tapkee/neighbors/covertree_point.hpp
| | A	src/shogun/lib/tapkee/neighbors/neighbors.hpp
| | A	src/shogun/lib/tapkee/routines/diffusion_maps.hpp
| | A	src/shogun/lib/tapkee/routines/eigen_embedding.hpp
| | A	src/shogun/lib/tapkee/routines/generalized_eigen_embedding.hpp
| | A	src/shogun/lib/tapkee/routines/isomap.hpp
| | A	src/shogun/lib/tapkee/routines/laplacian_eigenmaps.hpp
| | A	src/shogun/lib/tapkee/routines/locally_linear.hpp
| | A	src/shogun/lib/tapkee/routines/matrix_operations.hpp
| | A	src/shogun/lib/tapkee/routines/matrix_projection.hpp
| | A	src/shogun/lib/tapkee/routines/multidimensional_scaling.hpp
| | A	src/shogun/lib/tapkee/routines/pca.hpp
| | A	src/shogun/lib/tapkee/routines/spe.hpp
| | A	src/shogun/lib/tapkee/tapkee.hpp
| | A	src/shogun/lib/tapkee/tapkee_defines.hpp
| | A	src/shogun/lib/tapkee/tapkee_methods.hpp
| | A	src/shogun/lib/tapkee/tapkee_shogun.cpp
| | A	src/shogun/lib/tapkee/tapkee_shogun.hpp
| | A	src/shogun/lib/tapkee/utils/any.hpp
| | A	src/shogun/lib/tapkee/utils/arpack_wrapper.hpp
| | A	src/shogun/lib/tapkee/utils/fibonacci_heap.hpp
| | A	src/shogun/lib/tapkee/utils/logging.hpp
| | A	src/shogun/lib/tapkee/utils/matrix.hpp
| | A	src/shogun/lib/tapkee/utils/time.hpp
| |   
* | commit 5ee214841afc62980525a53e5fa4a20d1ae5f1e4
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Jan 15 21:22:54 2013 +0100
| | 
| |     Only ever enable swig's directors with python (Closes #843)
| | 
| | M	src/interfaces/modular/Classifier.i
| | M	src/interfaces/modular/Distance.i
| | M	src/interfaces/modular/Evaluation.i
| | M	src/interfaces/modular/Features.i
| | M	src/interfaces/modular/Kernel.i
| | M	src/interfaces/modular/Latent.i
| | M	src/interfaces/modular/Structure.i
| | M	src/interfaces/modular/modshogun.i
| |   
* | commit 354c32bfd0101fb1d70d70267dfbac4e5f415c56
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Jan 15 21:16:44 2013 +0100
| | 
| |     don't define SGMatrixList in SGMatrix but vice versa
| | 
| | M	src/shogun/lib/SGMatrix.h
| | M	src/shogun/lib/SGMatrixList.h
| |   
* | commit f710d03f8e0795af311262b63e08daa14373d7e5
|/  Author: Soeren Sonnenburg <sonne@debian.org>
|   Date:   Mon Jan 14 20:50:13 2013 +0100
|   
|       fix ordering of const - closes #855
|   
|   M	src/shogun/lib/SGMatrixList.cpp
|   M	src/shogun/lib/SGMatrixList.h
|  
* commit a4e97e3da79a6493078dc8b272f46091305ef2c4
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Jan 10 08:36:58 2013 +0100
| 
|     fix serialization for sparse features and serializableasciireader
|     
|     thanks Christian Hentschel for the patch
| 
| M	src/shogun/io/SerializableAsciiReader00.cpp
|    
*   commit b0de6fa2862ea92499b91cb87331d5adb9fb1ee2
|\  Merge: 1565a51 f74dcc6
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 9 13:15:44 2013 -0800
| | 
| |     Merge pull request #853 from karlnapf/master
| |     
| |     attempt to heal build
| |   
| * commit f74dcc650b65f1050166386102440ee3a74d51d5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 9 21:14:47 2013 +0000
| | 
| |     refactoring
| | 
| | M	src/shogun/statistics/MMDKernelSelectionComb.h
| |   
| * commit b5d9e0b499a956d365f16bb505a57c0578e3e849
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 9 21:13:29 2013 +0000
| | 
| |     another attempt to heal build
| | 
| | M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
| |   
| * commit 23cb38cc0d4c4275a4195270283b44b32ed57e04
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Wed Jan 9 21:11:42 2013 +0000
|   
|       attempt to heal build
|   
|   M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.cpp
|    
*   commit 1565a5127c3fe0229dfb1504c54aee4b9a4006f1
|\  Merge: d3d8b99 76f1492
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Jan 8 17:17:14 2013 -0800
| | 
| |     Merge pull request #852 from karlnapf/master
| |     
| |     another kernel selection strategy: median
| |   
| * commit 76f1492c71e61d44c580ff0351033bb6bbdebb78
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 9 01:13:50 2013 +0000
| | 
| |     initial commit of median kernel selection strategy
| | 
| | A	src/shogun/statistics/MMDKernelSelectionMedian.cpp
| | A	src/shogun/statistics/MMDKernelSelectionMedian.h
| |   
| * commit 5ef530d24d411b0e00b77d1f821cad7999a17df5
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 9 01:13:33 2013 +0000
| | 
| |     updated copyright year to 2013
| | 
| | M	src/shogun/statistics/HSIC.cpp
| | M	src/shogun/statistics/HSIC.h
| | M	src/shogun/statistics/KernelIndependenceTestStatistic.cpp
| | M	src/shogun/statistics/KernelIndependenceTestStatistic.h
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.cpp
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.h
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| | M	src/shogun/statistics/MMDKernelSelection.h
| | M	src/shogun/statistics/MMDKernelSelectionComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionComb.h
| | M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.cpp
| | M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
| | M	src/shogun/statistics/MMDKernelSelectionCombOpt.h
| | M	src/shogun/statistics/MMDKernelSelectionMax.cpp
| | M	src/shogun/statistics/MMDKernelSelectionMax.h
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| | M	src/shogun/statistics/QuadraticTimeMMD.cpp
| | M	src/shogun/statistics/QuadraticTimeMMD.h
| | M	src/shogun/statistics/TestStatistic.cpp
| | M	src/shogun/statistics/TestStatistic.h
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.h
| |   
| * commit 8aefa8ae1ec412a29355e7b856e93fa30ea2e5a7
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Wed Jan 9 01:06:49 2013 +0000
|   
|       some minor extensions that are needed for median kernel selection for MMD and Gaussian kernels.
|       
|       -new getters/setters
|       -new EStatisticType enum
|   
|   M	src/shogun/statistics/HSIC.h
|   M	src/shogun/statistics/LinearTimeMMD.cpp
|   M	src/shogun/statistics/LinearTimeMMD.h
|   M	src/shogun/statistics/MMDKernelSelection.cpp
|   M	src/shogun/statistics/QuadraticTimeMMD.h
|   M	src/shogun/statistics/TestStatistic.h
|   M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
|   M	src/shogun/statistics/TwoDistributionsTestStatistic.h
|    
*   commit d3d8b995916e7c95b4e2f6a66ac93f8a275f70bf
|\  Merge: 7220e20 d122f70
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Sat Jan 5 23:40:46 2013 +0100
| | 
| |     make function protected
| |   
| * commit d122f708848495c8e52b5e29040e83a0d5c659e4
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Sat Jan 5 19:55:00 2013 +0100
| | 
| |     make the function available even w/o lapack
| | 
| | M	src/shogun/statistics/MMDKernelSelectionComb.h
| | M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.h
| |   
* | commit 7220e20dd08f017abd69dcbdc51fd0fdb50eb679
|/  Author: Soeren Sonnenburg <sonne@debian.org>
|   Date:   Sat Jan 5 19:55:00 2013 +0100
|   
|       make the function available even w/o lapack
|   
|   M	src/shogun/statistics/MMDKernelSelectionComb.h
|   M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.h
|  
* commit 2db353179ac2f4378cfa11fc7ad691ead7c9a05e
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Jan 5 13:06:36 2013 +0100
| 
|     fix compile error when lapack is not available
| 
| M	src/shogun/statistics/MMDKernelSelectionComb.cpp
|    
*   commit 1857b40fd23de114fa08e7bc32aff664f6c95109
|\  Merge: 44b6c1f f4cc9ee
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 15:22:30 2013 -0800
| | 
| |     Merge pull request #850 from karlnapf/master
| |     
| |     last kernel selection strategy and bugfixes
| |   
| * commit f4cc9ee31cd307afcafd56a25f4ca40f5705e88f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 23:17:30 2013 +0000
| | 
| |     fix memory bugs/leaks caused by SGReferenced and static context. Do everything by hand now. Works now in valgrind tests
| | 
| | M	src/shogun/statistics/MMDKernelSelectionCombMaxL2.cpp
| | M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
| |   
| * commit 7172f7b8c977ae160c7711e0ff01e0d067191bd8
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 22:56:56 2013 +0000
| | 
| |     added test for max mmd l2 kernel selection
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit 2472a0c1abf65dec3e22e3d7c3a92b7e78c6d463
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 22:55:37 2013 +0000
| | 
| |     added new kernel selection strategy: max mmd l2 norm regularized convex conbination. works
| | 
| | A	src/shogun/statistics/MMDKernelSelectionCombMaxL2.cpp
| | A	src/shogun/statistics/MMDKernelSelectionCombMaxL2.h
| |   
| * commit 24b8bfde7638dcf09b9caa12c5d2cda5222561c8
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 22:54:56 2013 +0000
| | 
| |     fixed a memory leak due to static context SGReferenced
| | 
| | M	src/shogun/statistics/MMDKernelSelectionComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
| |   
| * commit bbb4f60dd650335d3d530531fa3bee23a2517b2f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 22:54:06 2013 +0000
| | 
| |     fixed virtual method call crashes
| | 
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| |   
| * commit 326e41e59213ab639395c587e1b8037e45161d5d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 19:23:11 2013 +0000
| | 
| |     typo correction
| | 
| | M	src/shogun/statistics/MMDKernelSelectionMax.h
| |   
| * commit b9d78917394f80db975971d76ca5ad8f3ab0e0a3
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Wed Jan 2 19:23:05 2013 +0000
|   
|       refactored existing combined kernel selection classes a bit to make ground for a new class. Now got a base class which solves the optimisation problem for a given Q matrix and MMDs vector
|   
|   M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
|   A	src/shogun/statistics/MMDKernelSelectionComb.cpp
|   A	src/shogun/statistics/MMDKernelSelectionComb.h
|   A	src/shogun/statistics/MMDKernelSelectionCombOpt.cpp
|   A	src/shogun/statistics/MMDKernelSelectionCombOpt.h
|   D	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
|   D	src/shogun/statistics/MMDKernelSelectionOptComb.h
|    
*   commit 44b6c1f673f4ce72bc8668e71130000e88a43483
|\  Merge: 9a3c75e 77d668f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 08:30:49 2013 -0800
| | 
| |     Merge pull request #849 from karlnapf/master
| |     
| |     MMD kernel selection work
| |   
| * commit 77d668f68843531a4e8a171c440fa4f929f43ea1
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 16:16:26 2013 +0000
| | 
| |     added a maxmmd kernel selection test for the quadratic time mmd
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit 71bc32ee92cbe6f1ea038d9f0f7ab1badfaea5c0
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 16:16:11 2013 +0000
| | 
| |     implemented compute_statistic(bool multiple_kernels)
| | 
| | M	src/shogun/statistics/QuadraticTimeMMD.cpp
| | M	src/shogun/statistics/QuadraticTimeMMD.h
| |   
| * commit 3aa96910c55b3c8a3895bd467547004199d1b785
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 16:15:53 2013 +0000
| | 
| |     removed a kernel init which is not necessary and causes problems with combined kernels
| | 
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.cpp
| |   
| * commit 8b1a6f0b26fbaf2322305dd60f6bf8f2310aa01e
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 15:21:07 2013 +0000
| | 
| |     added maxmmd test for linear time MMD
| | 
| | M	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit 2533756d5fe986e887b1ab38de9dd1c9af35e5ed
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Jan 2 15:20:50 2013 +0000
| | 
| |     added single variance test
| | 
| | M	examples/undocumented/libshogun/statistics_linear_time_mmd.cpp
| |   
| * commit 0935200ab78d1ddb251cc258b7e7497f64d6e396
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Wed Jan 2 15:20:26 2013 +0000
|   
|       assed forgotten quare root, was wrong before
|   
|   M	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
|    
*   commit 9a3c75ecfab9fb1293a47dfdf300373865029d34
|\  Merge: 0318da9 47cd86f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Dec 31 03:40:28 2012 -0800
| | 
| |     Merge pull request #848 from karlnapf/master
| |     
| |     quickfix  for broken build
| |   
| * commit 47cd86f2f4d9d1d81f3722020f7612a908e1df1d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Dec 31 11:39:38 2012 +0000
| | 
| |     comment out example since it breaks build
| | 
| | M	examples/undocumented/python_modular/statistics_linear_time_mmd.py
| |     
* |   commit 0318da9af696117a4ff0455a73b8454f820af29d
|\ \  Merge: a2b8a09 5ccd9c7
| |/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| |   Date:   Mon Dec 31 03:10:19 2012 -0800
| |   
| |       Merge pull request #847 from karlnapf/master
| |       
| |       First working set of kernel selection methods
| |   
| * commit 5ccd9c740a3e3169c44c08a358c6eedcd1eb3c5d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Dec 31 00:28:52 2012 +0000
| | 
| |     added example for kernel selection for linear time algos
| | 
| | M	examples/undocumented/libshogun/Makefile
| | A	examples/undocumented/libshogun/statistics_mmd_kernel_selection.cpp
| |   
| * commit a9258c823ea710dbf9b2dd961f97a51150216a4a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Dec 31 00:28:31 2012 +0000
| | 
| |     various fixes, now first working set of kernel selection classes with new multiple kernel style methods
| | 
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| |   
| * commit c4d9c70b3f8bb8aa1b844d8ed302f7917143a388
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Mon Dec 31 00:28:03 2012 +0000
| | 
| |     removed memory leaking SG_REF
| | 
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| |   
| * commit 4fb0f00e9d03f74584c5779cd5e45b661341285d
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 23:17:44 2012 +0000
| | 
| |     another major bunch of changes temp commit
| | 
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.h
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| | M	src/shogun/statistics/MMDKernelSelectionMax.cpp
| | M	src/shogun/statistics/MMDKernelSelectionMax.h
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.h
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| | M	src/shogun/statistics/QuadraticTimeMMD.h
| |   
| * commit 310aeb1767faab36d25284425b2de7b75470e1be
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 22:43:16 2012 +0000
| | 
| |     temp state of work, doesnt work/compile, but need to fix a broken build now
| | 
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| | M	src/shogun/statistics/MMDKernelSelection.h
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.h
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
| |   
| * commit ce9f865c75b55dde6478167540e42c602d845de7
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 22:42:35 2012 +0000
| | 
| |     updated errors messages
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit 28b45ba0912d986f25f624901829a80668889c21
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 22:42:21 2012 +0000
| | 
| |     moved getter and setter for kernel to the header file and made it inline
| | 
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.cpp
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.h
| |   
| * commit 664db238b24f7cabab99015669cac9f0fe3c6c47
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Sun Dec 30 22:41:57 2012 +0000
|   
|       added get_delete_data() method
|   
|   M	src/shogun/lib/List.h
|    
*   commit a2b8a090c976944387e9f23a44789f936c51a469
|\  Merge: 38c9b31 0d7fde3
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 07:52:48 2012 -0800
| | 
| |     Merge pull request #846 from karlnapf/master
| |     
| |     More work on kernel selection for linear time MMD test
| |   
| * commit 0d7fde3b62afa1e8d7abaed0ca2680c59dc9bb4f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 15:35:36 2012 +0000
| | 
| |     added test for compute_statistic_and_Q in order to make MKL style kernel selection possible
| | 
| | M	examples/undocumented/libshogun/statistics_linear_time_mmd.cpp
| |   
| * commit 877a80590a27a9ff8c2cc1ba43cb9903c0d8f447
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 15:31:15 2012 +0000
| | 
| |     -fixed a possible bug in compute_statistic_and_variance
| |     
| |     -finally, compute_statistic_and_Q works in a test case after fixing more bugs and optimisations
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 440dbb596298ec147b0468944d32ca9e59d4f591
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Sun Dec 30 15:29:17 2012 +0000
| | 
| |     added method to compute single maximum element of matrix
| | 
| | M	src/shogun/lib/SGMatrix.cpp
| | M	src/shogun/lib/SGMatrix.h
| |   
| * commit 3b98ef39b2b05592ee180565efeb0a8fa5f60623
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 21:46:47 2012 +0000
| | 
| |     bugfixes and optimisations
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit 6366925928cb4ec94ba86bd39e047f309d69c992
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 21:46:31 2012 +0000
| | 
| |     removed typo which caused assertion error
| | 
| | M	src/shogun/kernel/Kernel.h
| |   
| * commit c8841304b00ecdda3c3114f861f4b6b345e8cc31
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 21:46:18 2012 +0000
| | 
| |     made example work compile again
| | 
| | M	examples/undocumented/libshogun/statistics_linear_time_mmd.cpp
| |   
| * commit 26466827395512314f053f72a6edc64de169fa8a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 19:16:10 2012 +0000
| | 
| |     removed old non-streaming code for Q matrix computation
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 91800981dbff82f806fad8a9bd5c850605a78b32
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 19:15:33 2012 +0000
| | 
| |     added "not yet tested" messages as a reminder
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit d29a970f447df65cec6e370931b3191762bb7f41
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 19:14:38 2012 +0000
| | 
| |     integrated new online computation of Q
| | 
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| |   
| * commit dc2a2c6c3774829c64fc6d3c58369a683e5283a9
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 19:06:48 2012 +0000
| | 
| |     corrections and a first compiling version of online Q matrix computation
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit 9d4b8a0fc848784c4971b7ff2fbb6baa02f9db22
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 18:46:55 2012 +0000
| | 
| |     Some work towards streaming style MKL kernel selection for the linear time MMD. Compiles but doesn not work yet
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
| | M	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| |   
| * commit afdb4d8526135c343dfc186f0c4e906cd278df68
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 26 18:45:52 2012 +0000
| | 
| |     debug messages
| | 
| | M	src/shogun/statistics/MMDKernelSelection.cpp
| |   
| * commit 732995d88cb6b2e70f51ae27dc8912d3471e4a57
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Wed Dec 26 18:45:24 2012 +0000
|   
|       added preallocation possibility to compute_kernel_diagonal
|   
|   M	src/shogun/kernel/Kernel.h
|  
* commit 38c9b31be020299d4b81e5fdf70be8a489990129
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sat Dec 29 08:38:58 2012 +0100
| 
|     fix compile error when lapack is unavailable
| 
| M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
|  
* commit 479cf816b0a208b9b8b470d7d546812f5c1c0def
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Dec 15 03:02:15 2012 +0400
| 
|     Moved some code out of headers in machines
| 
| M	src/shogun/machine/BaseMulticlassMachine.cpp
| M	src/shogun/machine/BaseMulticlassMachine.h
| M	src/shogun/machine/DistanceMachine.cpp
| M	src/shogun/machine/DistanceMachine.h
| M	src/shogun/machine/KernelMachine.cpp
| M	src/shogun/machine/KernelMachine.h
| M	src/shogun/machine/KernelMulticlassMachine.cpp
| M	src/shogun/machine/KernelMulticlassMachine.h
| M	src/shogun/machine/LinearMachine.cpp
| M	src/shogun/machine/LinearMachine.h
|    
*   commit fa3566b5db4b4597ed4fb60f2317ddad84067998
|\  Merge: bbb2be6 46b3f73
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Dec 13 09:54:14 2012 -0800
| | 
| |     Merge pull request #845 from karlnapf/master
| |     
| |     some clean ups towars kernel selection framework for MMD
| |   
| * commit 46b3f73ccc59a60ab88d72b8e7853c8f9d18779f
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Dec 13 17:49:17 2012 +0000
| | 
| |     removed kernel choice code due to soon to be introduced new framework for that
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 836d10ab4958884c178df3ab1766b9aeb732993b
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Dec 13 17:48:54 2012 +0000
| | 
| |     initialise optimisation parameters
| | 
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| |   
| * commit 33f4eb129ef7414ff37c466fc0d935e2089d6431
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Thu Dec 13 17:48:43 2012 +0000
| | 
| |     documentation
| | 
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.h
| |   
| * commit 7303295adfaf698eb7d6c2ec724b7e95969c2af1
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Thu Dec 13 17:48:20 2012 +0000
|   
|       removed old kernel selection examples due to soon to be introduced new framework
|   
|   M	examples/undocumented/libshogun/Makefile
|   D	examples/undocumented/libshogun/statistics_linear_time_mmd_kernel_choice.cpp
|   D	examples/undocumented/python_modular/statistics_linear_time_mmd_kernel_choice.py
|  
* commit bbb2be6fad1bb8a8d7107f76b192ec724133b3a4
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Dec 11 08:31:44 2012 +0100
| 
|     Mention how to download data already in README and quieten ldconfig error (addresses Issue #815)
| 
| M	src/Makefile.template
| M	src/README
|  
* commit 114617a6b1585b6e5cb24fcd806b38a90ecde542
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Sat Dec 8 14:53:25 2012 +0400
| 
|     Made swig-friendly subkernel weights method available in ckernel
| 
| M	src/shogun/kernel/Kernel.cpp
| M	src/shogun/kernel/Kernel.h
|  
* commit 2074c39b7d2032b74fff7e4716507db26fba04de
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Dec 6 08:51:26 2012 +0100
| 
|     fix build error when lapack is not available
| 
| M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
|    
*   commit dcb1fa7364f50321ed68b06693962dce45fbfa60
|\  Merge: 5925f33 9712e5a
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Wed Dec 5 03:49:48 2012 -0800
| | 
| |     Merge pull request #844 from karlnapf/master
| |     
| |     Some work towards kernel selection for MMD tests
| |   
| * commit 9712e5a3fda5441cb67edac5352de01cafcbbc74
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 23:43:05 2012 +0000
| | 
| |     removed unused variable
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| |   
| * commit 2c4a78ac28be8c86d8237aac56cae692e46c4645
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 23:38:30 2012 +0000
| | 
| |     first compiling version of optimal kernel weight selection for the linear time MMD
| | 
| | M	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| |   
| * commit d2d13f9b535a539d3fa683ed5a449dc954f555fc
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 23:37:44 2012 +0000
| | 
| |     added a getter for m
| | 
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.h
| |   
| * commit c51e0ed10ab597f5eb82d5f527eb42658c17e502
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 23:37:30 2012 +0000
| | 
| |     added new method for computing all h-terms and some minor changes
| | 
| | M	src/shogun/statistics/LinearTimeMMD.cpp
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 658c95af23b42f00485bca13fe7883be24ccb4dc
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 19:03:33 2012 +0000
| | 
| |     Add new kernel selection framework for MMD to news
| | 
| | M	src/NEWS
| |   
| * commit bd667386fb887756055c48e19890be7a9cd9ea36
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 19:03:03 2012 +0000
| | 
| |     made lapack related methods private (not called from outside)
| | 
| | M	src/shogun/statistics/LinearTimeMMD.h
| |   
| * commit 2ac0b6dac094c0bd27e0d03cb2f5342eb29e6622
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 19:02:44 2012 +0000
| | 
| |     some name changes and a draft for a new class for combined kernel weight selection (not ready yet)
| | 
| | A	src/shogun/statistics/MMDKernelSelectionMax.cpp
| | A	src/shogun/statistics/MMDKernelSelectionMax.h
| | A	src/shogun/statistics/MMDKernelSelectionOptComb.cpp
| | A	src/shogun/statistics/MMDKernelSelectionOptComb.h
| | A	src/shogun/statistics/MMDKernelSelectionOptSingle.cpp
| | A	src/shogun/statistics/MMDKernelSelectionOptSingle.h
| | D	src/shogun/statistics/MaxMMDKernelSelection.cpp
| | D	src/shogun/statistics/MaxMMDKernelSelection.h
| | D	src/shogun/statistics/OptimalLinearMMDKernelSelection.cpp
| | D	src/shogun/statistics/OptimalLinearMMDKernelSelection.h
| |   
| * commit d7355ad7c4bb0646e4fffa217881d4ff03d15ec2
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 16:59:14 2012 +0000
| | 
| |     new class for MMD kernel selection: Optimal kernel selection for the linear time MMD
| | 
| | A	src/shogun/statistics/OptimalLinearMMDKernelSelection.cpp
| | A	src/shogun/statistics/OptimalLinearMMDKernelSelection.h
| |   
| * commit facd389b0c4614527554cad8ade5a245b7832394
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 00:24:40 2012 +0000
| | 
| |     added new class for kernel selection for MMD based two-sample tests and a concrete instance for using the kernel which leads to the maximum MMD - more to follow
| | 
| | A	src/shogun/statistics/MMDKernelSelection.cpp
| | A	src/shogun/statistics/MMDKernelSelection.h
| | A	src/shogun/statistics/MaxMMDKernelSelection.cpp
| | A	src/shogun/statistics/MaxMMDKernelSelection.h
| |   
| * commit d8ecea229b17d790850db02df4acd77ac53da406
| | Author: Heiko Strathmann <heiko.strathmann@gmail.com>
| | Date:   Tue Dec 4 00:23:49 2012 +0000
| | 
| |     added setter for underlying kernel
| | 
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.cpp
| | M	src/shogun/statistics/KernelTwoSampleTestStatistic.h
| |   
| * commit 3a6e9ce9ba8e814f88b382dbb106d19537c40f27
|/  Author: Heiko Strathmann <heiko.strathmann@gmail.com>
|   Date:   Tue Dec 4 00:23:24 2012 +0000
|   
|       added obtain_from_generic function which casts an SGObject* to a CKernel* if possible and throws an error otherwise
|   
|   M	src/shogun/kernel/Kernel.cpp
|   M	src/shogun/kernel/Kernel.h
|  
* commit 5925f331e7b38e96db9ede4633eb0992f862ad86
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Dec 4 08:29:27 2012 +0100
| 
|     test for catlas support in configure
| 
| M	src/configure
| M	src/shogun/lib/SGVector.cpp
|  
* commit c9f2c1e203a8b3c10071a71b4d59b9a9f293a1c6
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Mon Dec 3 11:53:11 2012 +0100
| 
|     update news
| 
| M	src/NEWS
|  
* commit 411fbab4f0dbe4a7ef1686a92f9a145d65707bc0
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Dec 2 23:04:10 2012 +0100
| 
|     add debug mode to parameter example
| 
| M	examples/undocumented/libshogun/base_load_file_parameters.cpp
|  
* commit 743bc805b037f87d15c0a3b0bac69efaaac74e98
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Dec 2 23:01:58 2012 +0100
| 
|     dynarray serialization fixes
|     
|     - allow to resize array to 0 bytes (effectively deleting the array)
|     - add option to force resize exactly to requested size
|     - add serialization pre processing to array - shrink to #elements to
|     avoid uninited memory accesses
| 
| M	src/shogun/base/DynArray.h
| M	src/shogun/lib/DynamicArray.h
| M	src/shogun/lib/DynamicObjectArray.h
|  
* commit 3e944b3e761c155710925311d09e7c8be679f980
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Dec 2 23:01:29 2012 +0100
| 
|     no need to check for NULL before SG_UNREF
| 
| M	src/shogun/base/Parameter.cpp
|  
* commit 2fb6247a9838503f12516e4ded5a07e6bb95c2d3
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Dec 2 22:58:32 2012 +0100
| 
|     cosmetics
|     
|     add newline
| 
| M	src/shogun/kernel/Kernel.h
|  
* commit 57d201ef0d2e85bd21c9a85302d308bb1d4461b3
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 30 17:20:52 2012 +0100
| 
|     use malloc instead of calloc in dynarray
| 
| M	src/shogun/base/DynArray.h
|  
* commit 0372dd02f75d03be23b7d03a1d1ce1829617282a
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 30 17:15:48 2012 +0100
| 
|     add getters for SG data types to enable further typemap converted
|     processing in director enabled classes
| 
| M	src/shogun/lib/SGMatrix.h
| M	src/shogun/lib/SGSparseMatrix.h
| M	src/shogun/lib/SGSparseVector.h
| M	src/shogun/lib/SGString.h
| M	src/shogun/lib/SGStringList.h
| M	src/shogun/lib/SGVector.h
|  
* commit 6ccd8005716581e70cfececef4cd96a5f8e977df
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 30 08:33:46 2012 +0100
| 
|     add forgotten example and fix minor typo
| 
| A	examples/undocumented/libshogun/library_dynarray.cpp
| M	src/interfaces/python_modular/CustomKernel_protocols.i
| M	src/interfaces/python_modular/DenseFeatures_protocols.i
|  
* commit b2aa0873566ba5bca1285bd6dee2c0b62fb97951
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 30 08:28:48 2012 +0100
| 
|     don't use memset in DynArray or zero unused memory
| 
| M	src/shogun/base/DynArray.h
| M	src/shogun/base/ParameterMap.cpp
| M	src/shogun/lib/DynamicArray.h
| M	src/shogun/lib/DynamicObjectArray.h
| M	src/shogun/structure/DynProg.cpp
| M	src/shogun/structure/DynProg.h
| M	src/shogun/structure/PlifArray.cpp
|  
* commit 1f7a6cca7f7bb58616eb0f2b9f884617c49b19f2
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 22:07:22 2012 +0100
| 
|     fixup cygwin build -> never use __reserved __keywords!
| 
| M	src/shogun/structure/DirectorStructuredModel.h
| M	src/shogun/structure/MulticlassModel.cpp
| M	src/shogun/structure/StructuredModel.cpp
| M	src/shogun/structure/StructuredModel.h
| M	src/shogun/structure/libp3bm.cpp
|  
* commit 8a5274f3ea1a32182a5e6c6af08fc012a48df8c9
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 10:34:33 2012 +0100
| 
|     SGSparseVectorEntry is in fact a struct
| 
| M	src/shogun/io/File.h
|  
* commit a85550094ec860e020803d5a7b5540fd285e3079
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 10:29:41 2012 +0100
| 
|     fix compile error when pthreads are not available
| 
| M	src/shogun/lib/SGReferencedData.cpp
|  
* commit fab840bb26e039e7ae8a703ab4fd643ba31e3c36
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 09:48:32 2012 +0100
| 
|     remove leftin function call
| 
| M	src/configure
|  
* commit c333f44e165a880497253af95d049831c852cb52
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 09:28:29 2012 +0100
| 
|     fix  error: cannot convert ‘shogun::SGMatrix<double>’ to ‘const float64_t*’ in assignment
|     
|     in converter/LocalTangentSpaceAlignment.cpp
| 
| M	src/shogun/converter/LocalTangentSpaceAlignment.cpp
|  
* commit d517033406b1d90e4fb6400224762a951b843ab9
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 09:11:06 2012 +0100
| 
|     make pthreads optional
| 
| M	src/configure
|  
* commit 9417651b7b96268510c64454e720cee08a3a4328
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 08:29:36 2012 +0100
| 
|     fix compile error on cygwin
| 
| M	src/shogun/structure/StructuredModel.cpp
| M	src/shogun/structure/StructuredModel.h
|  
* commit 228f6ab20ea16dd35d4c0f4056f93ef9507ac047
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 29 08:25:59 2012 +0100
| 
|     drop -fPIC / pthreads on cygwin
| 
| M	src/configure
|  
* commit e22e574f40b365d13d374bdb53ebf69eafbbe742
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Nov 28 21:13:17 2012 +0100
| 
|     add load/save functions to sparsematrix/vector/string/stringlist
| 
| M	src/shogun/io/File.cpp
| M	src/shogun/io/File.h
| M	src/shogun/lib/SGSparseMatrix.cpp
| M	src/shogun/lib/SGSparseMatrix.h
| M	src/shogun/lib/SGSparseVector.cpp
| M	src/shogun/lib/SGSparseVector.h
| M	src/shogun/lib/SGString.cpp
| M	src/shogun/lib/SGString.h
| M	src/shogun/lib/SGStringList.cpp
| M	src/shogun/lib/SGStringList.h
|  
* commit 1a41f826a1b8a13f9e4aa86d7e11d9202dc851dd
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Nov 28 20:56:55 2012 +0100
| 
|     test for HDF5 in example
| 
| M	examples/undocumented/libshogun/library_hdf5.cpp
|  
* commit 4774b68e4fb1f9ad981de8bf75f42dafc2ec8627
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Nov 28 20:04:18 2012 +0100
| 
|     implement dummies for missing get and setters in hdf5 sparsematrix/stringlist
| 
| M	src/shogun/io/HDF5File.cpp
| M	src/shogun/io/HDF5File.h
|    
*   commit cd9367c28de2df247907490d12bc56604f440124
|\  Merge: c2983fb d245e1b
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Nov 28 10:51:59 2012 -0800
| | 
| |     Merge pull request #842 from vigsterkr/master
| |     
| |     Fix warning in libncbm
| |   
| * commit d245e1b12acc26f8604b9171f70b0058006189d9
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Wed Nov 28 17:44:28 2012 +0100
|   
|       Fix warning in libncbm
|   
|   M	src/shogun/structure/libncbm.cpp
|  
* commit c2983fb04f8394fa2e5a6cfc7e1c835ab8fbfd97
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Nov 28 17:29:46 2012 +0100
| 
|     use overloading for all file functions
|     
|     - change set/get sparse_matrix
|     - change set/get ndarray
|     - change set/get string_list
| 
| M	src/shogun/features/SparseFeatures.cpp
| M	src/shogun/features/StringFeatures.cpp
| M	src/shogun/io/AsciiFile.cpp
| M	src/shogun/io/AsciiFile.h
| M	src/shogun/io/BinaryFile.cpp
| M	src/shogun/io/BinaryFile.h
| M	src/shogun/io/File.cpp
| M	src/shogun/io/File.h
| M	src/shogun/io/HDF5File.cpp
| M	src/shogun/io/HDF5File.h
|  
* commit cb56c98b97bd259a507be3aec37d63985a62ff68
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Wed Nov 28 08:34:42 2012 +0100
| 
|     fix hdf5file (implement missing functions) and add toy data set and example
| 
| M	data
| M	examples/undocumented/libshogun/Makefile
| A	examples/undocumented/libshogun/library_hdf5.cpp
| M	src/shogun/io/HDF5File.cpp
| M	src/shogun/io/HDF5File.h
|    
*   commit b093d9e7b3971edd88930a1c74dba323daf59b84
|\  Merge: 11acf90 31e07b6
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Nov 27 23:13:52 2012 -0800
| | 
| |     Merge pull request #841 from vigsterkr/master
| |     
| |     Define EMachineType for the SO learners
| |   
| * commit 31e07b62b2916e118c4554541ede0e40330c18ea
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Tue Nov 27 23:01:24 2012 +0100
|   
|       Define EMachineType for the SO learners
|   
|   M	src/shogun/machine/Machine.h
|   M	src/shogun/structure/CCSOSVM.cpp
|   M	src/shogun/structure/CCSOSVM.h
|   M	src/shogun/structure/DualLibQPBMSOSVM.cpp
|   M	src/shogun/structure/DualLibQPBMSOSVM.h
|   M	src/shogun/structure/PrimalMosekSOSVM.cpp
|   M	src/shogun/structure/PrimalMosekSOSVM.h
|    
*   commit 11acf9002c3f3a92e9ab5de2dbd3c4125228f887
|\  Merge: 1d57638 46a1f28
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Nov 27 13:51:54 2012 -0800
| | 
| |     Merge pull request #840 from vigsterkr/master
| |     
| |     Fix warnings in libncbm and StructuredModel
| |   
| * commit 46a1f28ac4f81492ee1733e05f33269eb0f543a2
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Tue Nov 27 22:50:39 2012 +0100
|   
|       Fix warnings in libncbm and StructuredModel
|   
|   M	src/shogun/structure/StructuredModel.cpp
|   M	src/shogun/structure/libncbm.cpp
|  
* commit 1d57638fa6365234e9b1639c4e5f8e73e711b8cd
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Nov 27 22:34:01 2012 +0100
| 
|     include lib common to make data types know
| 
| M	src/shogun/structure/StructuredModel.h
|  
* commit b7a678696238462e2fa39cea95bdca4c17d91dca
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Nov 27 21:31:51 2012 +0100
| 
|     compile fix for csharp (directors & SO)
| 
| M	src/interfaces/modular/modshogun_ignores.i
|  
* commit b4322ff9f112f0265317ea02ec499b0ad8d023b1
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Tue Nov 27 21:28:32 2012 +0100
| 
|     Refactoring
|     
|     - Use template specializations in SGVector functions
|     - Use overloading in File get/set matrix
|     - Move load/save over from DenseFeatures to SGMatrix
| 
| M	src/shogun/features/DenseFeatures.cpp
| M	src/shogun/io/AsciiFile.cpp
| M	src/shogun/io/AsciiFile.h
| M	src/shogun/io/BinaryFile.cpp
| M	src/shogun/io/BinaryFile.h
| M	src/shogun/io/File.h
| M	src/shogun/io/HDF5File.cpp
| M	src/shogun/io/HDF5File.h
| M	src/shogun/lib/SGMatrix.cpp
| M	src/shogun/lib/SGMatrix.h
| M	src/shogun/lib/SGVector.cpp
| M	src/shogun/lib/SGVector.h
|  
* commit 315b058291d6d0ad9ddc1e8b791f53d6e7938615
| Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| Date:   Wed Nov 28 00:01:33 2012 +0400
| 
|     Flexible director risk
| 
| M	examples/undocumented/python_modular/graphical/so_multiclass_director_BMRM.py
| M	src/shogun/structure/DirectorStructuredModel.h
| M	src/shogun/structure/StructuredModel.cpp
| M	src/shogun/structure/StructuredModel.h
|    
*   commit 329a232fc58eaed71dcb52e79911f0a86768fc39
|\  Merge: 3dd2ab3 a084140
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Mon Nov 26 08:41:12 2012 -0800
| | 
| |     Merge pull request #838 from vigsterkr/master
| |     
| |     Fix macro check in SGVector
| |   
| * commit a0841409f26aa223e988bb49ae23b732218b9428
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Mon Nov 26 13:23:03 2012 +0100
| | 
| |     Fix macro check in SGVector
| |     OSX's accelerator framework provides defines catlas_sset
| |     and catlas_dset functions.
| | 
| | M	src/shogun/lib/SGVector.cpp
| |     
* |   commit 3dd2ab3d384349d5e8a1b6d0d45048155d8af12b
|\ \  Merge: ec1f088 c87fcdd
| |/  Author: Soeren Sonnenburg <sonne@debian.org>
|/|   Date:   Mon Nov 26 04:36:46 2012 -0800
| |   
| |       Merge pull request #837 from vigsterkr/so-dev
| |       
| |       Fix warnings in libbmrm and libncbm
| |   
| * commit c87fcdd8dd840ee9afbc3a00212bdf67d901e69a
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Mon Nov 26 12:46:18 2012 +0100
|   
|       Fix warnings in libbmrm and libncbm
|   
|   M	src/shogun/structure/libbmrm.cpp
|   M	src/shogun/structure/libncbm.cpp
|  
* commit ec1f0883fbfa6855bdf1720c5a15fc0cc7a65447
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Mon Nov 26 08:30:43 2012 +0100
| 
|     Misc cleanups
|     
|     - use SGVector's load function in labels
|     - move floor_log to CMath
|     - fix doxygen warning
| 
| M	src/shogun/classifier/svm/LibLinear.h
| M	src/shogun/labels/DenseLabels.cpp
| M	src/shogun/lib/SGSparseVector.cpp
| M	src/shogun/lib/SGSparseVector.h
| M	src/shogun/lib/SGVector.cpp
| M	src/shogun/mathematics/Math.h
|  
* commit 74c38fc9a4d86e50ff74cbddf988eb3e3d62a2fd
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Nov 25 22:15:02 2012 +0100
| 
|     fix cygwin compile error (ifdef HAVE_ATLAS not HAVE_LAPACK)
| 
| M	src/shogun/lib/SGVector.cpp
|  
* commit a127917e35c03634c2bf4c075185c284c189f1a0
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Sun Nov 25 22:12:15 2012 +0100
| 
|     fix java modular compile error
| 
| M	src/interfaces/modular/modshogun_ignores.i
|    
*   commit dc4094d76829f523e16b735d37cb2a5e6d6a17f6
|\  Merge: 3e80aad 966f036
| | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | Date:   Sun Nov 25 04:27:53 2012 -0800
| | 
| |     Merge pull request #833 from vigsterkr/so-dev
| |     
| |     Introduction of a new non-convex bundle method risk minimization algorithm
| |   
| * commit 966f03666b68849c4274fa83cde85ec85a1a0659
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Sat Nov 24 20:07:24 2012 +0100
| | 
| |     Attempt to fix clean_icp with gcc
| | 
| | M	src/shogun/structure/libbmrm.cpp
| | M	src/shogun/structure/libbmrm.h
| |   
| * commit 5e7143c5230ff583c868a50994cc9a8937c6741b
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Sat Nov 24 19:53:01 2012 +0100
| | 
| |     Fix for DualLibQPBMSOSVM of calling NCBM
| | 
| | M	src/shogun/structure/DualLibQPBMSOSVM.cpp
| |   
| * commit 294ecbfe9c18216a7a6767b2e42952f74a73545f
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Sat Nov 24 19:40:25 2012 +0100
| | 
| |     Final fixes for NCBM
| | 
| | M	src/shogun/structure/libncbm.cpp
| | M	src/shogun/structure/libncbm.h
| |   
| * commit 2300ee1bbef9145920f6b5eda7c7a1c2278be1eb
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Wed Nov 21 15:15:55 2012 +0100
| | 
| |     Fix NCBM call in DualLibQPBMSOSVM
| |     we assume that the risk function is convex
| | 
| | M	src/shogun/structure/DualLibQPBMSOSVM.cpp
| |   
| * commit e7035adb3b75a60810e072c0b3d031aeeb39dacf
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Wed Nov 21 14:16:02 2012 +0100
| | 
| |     NCBM API simplification
| | 
| | M	src/shogun/structure/DualLibQPBMSOSVM.cpp
| | M	src/shogun/structure/libncbm.cpp
| | M	src/shogun/structure/libncbm.h
| |   
| * commit 1aecb471ef6ad1ec46d6ff3376b88e9a31f0ccd0
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Wed Nov 21 12:49:18 2012 +0100
| | 
| |     NCBM performance enhancements
| | 
| | M	src/shogun/structure/libncbm.cpp
| | M	src/shogun/structure/libncbm.h
| |   
| * commit a6005b8410fb2d06c0a29112ba39d9c9636469ef
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Tue Nov 20 23:05:30 2012 +0100
| | 
| |     More optimization for libp3bm
| | 
| | M	src/shogun/structure/libp3bm.cpp
| |   
| * commit ab7b86a5d144b94aaee35d65c82f99e5a2ae2bf6
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Tue Nov 20 21:56:07 2012 +0100
| | 
| |     First attempt to fix clean_icp for p3bm
| | 
| | M	src/shogun/structure/libbmrm.cpp
| | M	src/shogun/structure/libbmrm.h
| | M	src/shogun/structure/libp3bm.cpp
| |   
| * commit d684440930d5049e73e185ae581da05b48eb3001
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Tue Nov 20 12:18:38 2012 +0100
| | 
| |     NCBM (non-convex bundle method) solver
| |     Solves any unconstrainedminimization problem in the form of:
| |     min lambda/2 ||w||^2 + R(w)
| |     where R(w) is add risk funciton of any kind.
| | 
| | M	src/shogun/structure/DualLibQPBMSOSVM.cpp
| | M	src/shogun/structure/DualLibQPBMSOSVM.h
| | A	src/shogun/structure/libncbm.cpp
| | A	src/shogun/structure/libncbm.h
| |   
| * commit 5ca9b34da935e4c94913b5c023c9f5bb5d3102f6
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Tue Nov 20 12:12:57 2012 +0100
| | 
| |     Add clean_icp function to BMRM
| |     To remove some code duplication added a new
| |     function clean_icp that does the inactive cp
| |     management for BMRM machines
| | 
| | M	src/shogun/structure/libbmrm.cpp
| | M	src/shogun/structure/libbmrm.h
| | M	src/shogun/structure/libp3bm.cpp
| | M	src/shogun/structure/libppbm.cpp
| |     
* |   commit 3e80aadc4d2d9905c66e6a05c8f80ac8b150e137
|\ \  Merge: c250bb9 2f58c83
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Sun Nov 25 04:26:47 2012 -0800
| | | 
| | |     Merge pull request #835 from vigsterkr/master
| | |     
| | |     Add some BLAS optimized operations to SGVector
| | |    
| * | commit 2f58c83a8d07a7d4f8532d06afc4ae5cbbee2778
| | | Author: Viktor Gal <viktor.gal@maeth.com>
| | | Date:   Sun Nov 25 01:08:26 2012 +0100
| | | 
| | |     Fix for SGVector<float32_t>::set_const(...)
| | | 
| | | M	src/shogun/lib/SGVector.cpp
| | |    
| * | commit 26cd9815f219203fbdbdf74a6ee71be1f4b0fc50
| | | Author: Viktor Gal <viktor.gal@maeth.com>
| | | Date:   Sun Nov 25 01:05:04 2012 +0100
| | | 
| | |     Fix for SGVector::set_const tmpl specialization
| | |     HAVE_LAPACK should be enough, as the function is part of BLAS
| | |     level 1 routine.
| | | 
| | | M	src/shogun/lib/SGVector.cpp
| | |    
| * | commit 1d13cb4baa6a742e09995315abfddb11941e4e63
|/ /  Author: Viktor Gal <viktor.gal@maeth.com>
| |   Date:   Sun Nov 25 00:57:01 2012 +0100
| |   
| |       Add some BLAS optimized operations to SGVector
| |   
| |   M	src/shogun/lib/SGVector.cpp
| |   M	src/shogun/lib/SGVector.h
| |     
* |   commit c250bb9beb21523a90d85b480df717972dbd67b8
|\ \  Merge: 49682e5 bfdff65
| |/  Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
|/|   Date:   Sat Nov 24 12:45:35 2012 -0800
| |   
| |       Merge pull request #834 from vigsterkr/master
| |       
| |       Template specialization for add_to_dense_vec in DenseFeatures
| |   
| * commit bfdff65504574b8ad8896444fa1f0af744d8ad71
|/  Author: Viktor Gal <viktor.gal@maeth.com>
|   Date:   Sat Nov 24 21:44:07 2012 +0100
|   
|       Template specialization for add_to_dense_vec in DenseFeatures
|   
|   M	src/shogun/features/DenseFeatures.cpp
|  
* commit 49682e5e5390f77f4cd15dc6420845f58fdd004a
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 23 21:58:42 2012 +0100
| 
|     add some more documentation
| 
| M	src/shogun/classifier/svm/LibLinear.h
| M	src/shogun/features/streaming/generators/MeanShiftDataGenerator.h
| M	src/shogun/structure/CCSOSVM.h
|  
* commit 2fcfa0d4d3b8f7d90452f29dc6795ff29a7a511c
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 23 17:36:16 2012 +0100
| 
|     fix a number of doxygen errors
| 
| M	src/shogun/classifier/mkl/MKLMulticlassGradient.h
| M	src/shogun/kernel/LinearKernel.h
| M	src/shogun/lib/SGVector.h
| M	src/shogun/lib/memory.h
| M	src/shogun/machine/LinearLatentMachine.h
| M	src/shogun/statistics/LinearTimeMMD.h
|  
* commit 73f922810bc07524be102def2d90022992fa4ea9
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Fri Nov 23 09:54:39 2012 +0100
| 
|     use DynArray instead of std::vector in interface
| 
| M	src/shogun/structure/CCSOSVM.cpp
| M	src/shogun/structure/CCSOSVM.h
|  
* commit 8f218f7be468c4c880fd54ba9cfc52675dcd08e0
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 22 23:30:17 2012 +0100
| 
|     SG_REALLOC compile fixes for CCSOSVM
| 
| M	src/shogun/classifier/mkl/MKLMulticlassGradient.cpp
| M	src/shogun/structure/CCSOSVM.cpp
|  
* commit 9ffd0ee2fffb290a56d17552f1fea06358f431d7
| Author: Soeren Sonnenburg <sonne@debian.org>
| Date:   Thu Nov 22 23:02:37 2012 +0100
| 
|     introduce a some more ufuncs like cos/sin to sgvector
| 
| M	src/shogun/lib/SGVector.cpp
| M	src/shogun/lib/SGVector.h
| M	src/shogun/mathematics/Math.h
|    
*   commit bae48d40f98991b2f40f2fa4714ddeb9e75edbe4
|\  Merge: 4c5837e 2a65a1d
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Thu Nov 22 13:21:49 2012 -0800
| | 
| |     Merge pull request #823 from vigsterkr/so
| |     
| |     Add SO-SVM solver based on Chun-Nam Yu's implementation
| |   
| * commit 2a65a1d247b81f6ca042796d4b7fbaa325098142
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Wed Nov 14 16:40:45 2012 +0100
| | 
| |     Minor fix for MOSEK test
| | 
| | M	src/shogun/structure/CCSOSVM.cpp
| | M	src/shogun/structure/CCSOSVM.h
| |   
| * commit 97db83ff01eb1a5661d12076e922d630d7316ac9
| | Author: Viktor Gal <viktor.gal@maeth.com>
| | Date:   Wed Nov 14 14:55:16 2012 +0100
| | 
| |     Add SO-SVM solver based on Chun-Nam Yu's implementation
| | 
| | A	src/shogun/structure/CCSOSVM.cpp
| | A	src/shogun/structure/CCSOSVM.h
| |   
* | commit 4c5837ea147a26c2f930182eb361a76d28151efe
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Thu Nov 22 19:40:26 2012 +0100
| | 
| |     fix example to use IntVector's randperm_vec function
| | 
| | M	examples/undocumented/python_modular/statistics_quadratic_time_mmd.py
| |   
* | commit cff95d271c250d3df660af2bcbd7ca520a7df76a
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Thu Nov 22 19:12:59 2012 +0100
| | 
| |     -add randperm_vec function again but in SGVector
| |     -rename sorted_index to argsort and move it to .cpp file
| | 
| | M	examples/undocumented/python_modular/statistics_hsic.py
| | M	src/shogun/lib/SGVector.cpp
| | M	src/shogun/lib/SGVector.h
| | M	src/shogun/multiclass/tree/RelaxedTree.cpp
| |   
* | commit 102799c7cebb15da4ddeefd8d0bee726c0335a72
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Thu Nov 22 01:08:25 2012 +0100
| | 
| |     - move implementation from SGString{,List}.h to .cpp
| |     - move SGVector relevant functions from Math -> SGVector
| | 
| | M	examples/undocumented/libshogun/features_subset_labels.cpp
| | M	examples/undocumented/libshogun/features_subset_simple_features.cpp
| | M	examples/undocumented/libshogun/features_subset_sparse_features.cpp
| | M	examples/undocumented/libshogun/mathematics_confidence_intervals.cpp
| | M	examples/undocumented/libshogun/mathematics_lapack.cpp
| | M	examples/undocumented/libshogun/statistics.cpp
| | M	src/shogun/converter/StochasticProximityEmbedding.cpp
| | M	src/shogun/evaluation/CrossValidationOutput.h
| | M	src/shogun/features/Subset.h
| | M	src/shogun/lib/Compressor.cpp
| | A	src/shogun/lib/SGString.cpp
| | M	src/shogun/lib/SGString.h
| | A	src/shogun/lib/SGStringList.cpp
| | M	src/shogun/lib/SGStringList.h
| | M	src/shogun/lib/SGVector.cpp
| | M	src/shogun/lib/SGVector.h
| | M	src/shogun/lib/memory.cpp
| | M	src/shogun/mathematics/Math.h
| | M	src/shogun/mathematics/Statistics.cpp
| | M	src/shogun/multiclass/RejectionStrategy.h
| | M	src/shogun/statistics/QuadraticTimeMMD.cpp
| | M	src/shogun/statistics/TwoDistributionsTestStatistic.cpp
| | M	src/shogun/structure/Plif.h
| |   
* | commit 7528d0e12453396aa3d47ad08bdde6446c70af70
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Nov 21 21:05:17 2012 +0100
| | 
| |     put impl. of  sparse vector / matrix functions into .cpp
| | 
| | A	src/shogun/lib/SGSparseMatrix.cpp
| | M	src/shogun/lib/SGSparseMatrix.h
| | A	src/shogun/lib/SGSparseVector.cpp
| | M	src/shogun/lib/SGSparseVector.h
| |   
* | commit 217af0036e06d7413846bba28f51b58c8d4d87c3
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Nov 21 18:17:17 2012 +0100
| | 
| |     define index_t in lib/common.h like all other datatypes
| | 
| | M	src/shogun/lib/DataType.h
| | M	src/shogun/lib/common.h
| |   
* | commit dfc7d7d277c1199359df8e2dedb29ae9c98870fe
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Nov 21 18:16:58 2012 +0100
| | 
| |     move function definitions to .cpp file
| | 
| | M	src/shogun/lib/SGMatrix.cpp
| | M	src/shogun/lib/SGMatrix.h
| |     
* |   commit 810c9e5b7e6e2faa4ad394729538da030df87904
|\ \  Merge: ba1e9af c7f0a72
| | | Author: Sergey Lisitsyn <lisitsyn.s.o@gmail.com>
| | | Date:   Wed Nov 21 04:43:51 2012 -0800
| | | 
| | |     Merge pull request #832 from vigsterkr/master
| | |     
| | |     Fix SGSparseMatrix ctor to comply with SGMatrix ctor
| | |    
| * | commit c7f0a72ee1b411b5477e8afa4cb02f4adfb89678
|/ /  Author: Viktor Gal <viktor.gal@maeth.com>
| |   Date:   Wed Nov 21 13:39:44 2012 +0100
| |   
| |       Fix SGSparseMatrix ctor to comply with SGMatrix ctor
| |       SGMatrix(num_features, num_vectors) and we want to
| |       follow this in SGSparseMatrix as well to avoid confusions
| |   
| |   M	examples/undocumented/libshogun/features_copy_subset_sparse_features.cpp
| |   M	src/shogun/features/SparseFeatures.cpp
| |   M	src/shogun/lib/SGSparseMatrix.h
| |     
* |   commit ba1e9afb7ddc7f8aa2fad57801a8fec4f09471ad
|\ \  Merge: 0a59171 1f02914
| | | Author: Soeren Sonnenburg <sonne@debian.org>
| | | Date:   Wed Nov 21 04:21:14 2012 -0800
| | | 
| | |     Merge pull request #831 from vigsterkr/master
| | |     
| | |     Add template specialization for SGVector's arg_max and max
| | |    
| * | commit 1f0291451c9971422f3a010eb187beaf7fecc0c9
|/ /  Author: Viktor Gal <viktor.gal@maeth.com>
| |   Date:   Wed Nov 21 13:05:44 2012 +0100
| |   
| |       Add template specialization for SGVector's arg_max and max
| |       Add float32_t and float64_t template specialization for
| |       arg_max and max functions of SGVector if BLAS is available
| |   
| |   M	src/shogun/lib/SGVector.cpp
| |   
* | commit 0a5917168a713a2053ec5d72088cd001872a615d
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Wed Nov 21 08:35:39 2012 +0100
| | 
| |     include lib/memory.h in common.h again since SGVector forward declaration works ok now
| | 
| | M	src/shogun/base/DynArray.h
| | M	src/shogun/base/SGObject.h
| | M	src/shogun/base/init.cpp
| | M	src/shogun/lib/SGMatrix.h
| | M	src/shogun/lib/SGNDArray.cpp
| | M	src/shogun/lib/SGReferencedData.cpp
| | M	src/shogun/lib/SGSparseMatrix.h
| | M	src/shogun/lib/SGStringList.h
| | M	src/shogun/lib/common.h
| | M	src/shogun/lib/external/libqp_gsmo.cpp
| | M	src/shogun/lib/external/libqp_splx.cpp
| | M	src/shogun/lib/external/shogun_libsvm.cpp
| | M	src/shogun/lib/memory.cpp
| | M	src/shogun/lib/memory.h
| | M	src/shogun/lib/v_array.h
| | M	src/shogun/mathematics/arpack.cpp
| | M	src/shogun/mathematics/lapack.cpp
| | M	src/shogun/optimization/lbfgs/lbfgs.cpp
| | M	src/shogun/ui/SGInterface.cpp
| | M	src/shogun/ui/SGInterface.h
| |   
* | commit af103f3dd6176b993052d42c2f038e38ae74962f
| | Author: Soeren Sonnenburg <sonne@debian.org>
| | Date:   Tue Nov 20 23:00:32 2012 +0100
| | 
| |     simplify example
| | 
| | M	examples/undocumented/libshogun/classifier_multiclasslibsvm.cpp
| |   
* | commit 63d4f32d8b1543b272444076ded9adda57dba98b
| | Author: Soeren Sonnenburg <sonne@debian.org>
